<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 5. Using Bootstrap</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Client Configuration Guide" /><link rel="prev" href="ch-gpg-keys.jsp" title="Chapter 4. Importing Custom GPG Keys" /><link rel="next" href="s1-bootstrap-gen.jsp" title="5.2. Generation" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 5. Using Bootstrap</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-gpg-keys.jsp">Prev</a> </td><th width="60%" align="center">Client Configuration Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-bootstrap-gen.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 5. Using Bootstrap"><div class="titlepage"><div><div><h2 class="title"><a id="ch-bootstrap"></a>Chapter 5. Using Bootstrap</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-bootstrap.jsp#s1-bootstrap-prep">5.1. Preparation</a></span></dt><dt><span class="section"><a href="s1-bootstrap-gen.jsp">5.2. Generation</a></span></dt><dt><span class="section"><a href="s1-bootstrap-use.jsp">5.3. Script Use</a></span></dt><dt><span class="section"><a href="s1-bootstrap-options.jsp">5.4. Bootstrap Options</a></span></dt></dl></div><a id="id424368" class="indexterm"></a><p>
  SUSE Manager provides a tool that automates much of the manual
  reconfiguration described in previous chapters:
  <span class="command"><strong>mgr-bootstrap</strong></span>. This tool plays an integral role in the
  SUSE Manager Server Installation Program, enabling generation of the
  bootstrap script during installation.
 </p><p>
  SUSE Manager Proxy Server customers and customers with updated SUSE Manager
  Server setting require a bootstrap tool that can be used independently.
  <span class="application">SUSE Manager Bootstrap</span>, invoked with the command
  <span class="command"><strong>/usr/bin/mgr-bootstrap</strong></span>, serves that purpose and comes
  installed by default on both SUSE Manager Server and SUSE Manager Proxy Server.
 </p><p>
  If used correctly, the script this tool generates can be run from any
  client system to conduct the following tasks:
 </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
    Redirect client applications to the SUSE Manager Proxy or SUSE Manager
   </p></li><li class="listitem"><p>
    Import custom GPG keys
   </p></li><li class="listitem"><p>
    Install SSL certificates
   </p></li><li class="listitem"><p>
    Register the system to SUSE Manager and particular system groups and
    channels with the help of activation keys
   </p></li><li class="listitem"><p>
    Perform miscellaneous post-configuration activities, including updating
    packages, performing reboots, and altering SUSE Manager configuration
   </p></li></ul></div><p>
  Customers should note, however, the inherent risks of using a script to
  conduct configuration. Security tools such as SSL certificates are
  installed by the script itself. Therefore they do not yet exist on the
  systems and cannot be used to process transactions. This allows for the
  possibility of someone impersonating the SUSE Manager Server and transmitting
  bad data. This is mitigated by the fact that virtually all SUSE Manager
  Servers and client systems operate behind customer firewalls and are
  restricted from outside traffic. Registration is conducted via SSL and is
  therefore protected.
 </p><p>
  The bootstrap script <code class="filename">bootstrap.sh</code> is automatically
  placed in the <code class="filename">/srv/www/htdocs/pub/bootstrap/</code>
  directory of the SUSE Manager Server. From there it can be downloaded and run
  on all client systems. Note that some preparation and post-generation
  editing is required, as identified in the following sections. Refer to
  <a class="xref" href="s1-bootstrap-options.jsp" title="5.4. Bootstrap Options">Section 5.4, “Bootstrap Options”</a> for the tool's complete list of
  options. Finally, refer to the
  <a class="xref" href="ap-sample-bootstrap-script.jsp" title="Appendix A. Sample Bootstrap Script">Appendix A, <i>Sample Bootstrap Script</i></a> for an example script.
 </p><div class="section" title="5.1. Preparation"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-bootstrap-prep"></a>5.1. Preparation<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-bootstrap-prep">¶</a></span></h2></div></div></div><a id="id334908" class="indexterm"></a><p>
   Since <span class="application"> Bootstrap</span>
   (<code class="filename">mgr-bootstrap</code>) depends on other components of the
   SUSE Manager infrastructure to properly configure client systems, those
   components must be prepared before script generation. The following list
   identifies suggested initial measures:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Generate activation keys to be called by the script(s). Activation keys
     can be used to register client systems, entitle them to a SUSE Manager
     service level, and subscribe them to specific channels and system
     groups, all in one action. Note that you must have Management
     entitlements available to use an activation key, while inclusion of
     multiple activation keys at once requires Provisioning entitlements.
     Generate activation keys through the <span class="guilabel">Activation
     Keys</span> page within the <span class="guilabel">Systems</span> category
     of the SUSE Manager website. Refer to the <em class="citetitle">SUSE Manager Reference
     Guide</em> for instructions on creation and use.
    </p></li><li class="listitem"><p>
     We recommend your RPMs be signed by a custom GNU Privacy Guard (GPG)
     key. Make the key available so you may refer to it from the script.
     Generate the key as described in the <em class="citetitle">Channel Management
     Guide</em> and place the key in the
     <code class="filename">/srv/www/htdocs/pub/</code> directory of the SUSE Manager
     Server, per <a class="xref" href="ch-gpg-keys.jsp" title="Chapter 4. Importing Custom GPG Keys">Chapter 4, <i>Importing Custom GPG Keys</i></a>.
    </p></li><li class="listitem"><p>
     If you wish to use the script to deploy your CA SSL public certificate,
     have the certificate or the package (RPM) containing that certificate
     available on that SUSE Manager Server and include it during script
     generation with the <code class="option">--ssl-cert</code> option. Refer to
     <a class="xref" href="ch-certificates.jsp" title="Chapter 3. SSL Infrastructure">Chapter 3, <i>SSL Infrastructure</i></a> for details.
    </p></li><li class="listitem"><p>
     Have the values ready to develop one or many bootstrap scripts,
     depending on the variety of systems to be reconfigured. Since
     <span class="application">mgr-bootstrap</span> provides a full set of
     reconfiguration options, you may use it to generate different bootstrap
     scripts to accommodate each type of system. For instance,
     <code class="filename">bootstrap-web-servers.sh</code> might be used to
     reconfigure your Web servers, while
     <code class="filename">bootstrap-app-servers.sh</code> can handle the
     application servers. Consult <a class="xref" href="s1-bootstrap-options.jsp" title="5.4. Bootstrap Options">Section 5.4, “Bootstrap Options”</a> for
     the complete list.
    </p></li></ul></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-gpg-keys.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-bootstrap-gen.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 4. Importing Custom GPG Keys </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.2. Generation</td></tr></table></div></body></html>
