<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 3. SSL Infrastructure</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Client Configuration Guide" /><link rel="prev" href="s1-latest-clients-applet.jsp" title="2.4. Configuring the Network Alert Notification Tool with SUSE Manager" /><link rel="next" href="s1-certificate-rhnsmt.jsp" title="3.2. The SUSE Manager SSL Maintenance Tool" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 3. SSL Infrastructure</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-latest-clients-applet.jsp">Prev</a> </td><th width="60%" align="center">Client Configuration Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-certificate-rhnsmt.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 3. SSL Infrastructure"><div class="titlepage"><div><div><h2 class="title"><a id="ch-certificates"></a>Chapter 3. SSL Infrastructure</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-certificates.jsp#s1-certificate-intro">3.1. A Brief Introduction To SSL</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp">3.2. The SUSE Manager SSL Maintenance Tool</a></span></dt><dd><dl><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool--create-explain">3.2.1. SSL Generation Explained</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool-options">3.2.2. SSL Maintenance Tool Options</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool-CA-create">3.2.3. Generating the Certificate Authority SSL Key Pair</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool-server-create">3.2.4. Generating Web Server SSL Key Sets</a></span></dt></dl></dd><dt><span class="section"><a href="s1-certificate-rpms.jsp">3.3. Deploying the CA SSL Public Certificate to Clients</a></span></dt><dt><span class="section"><a href="s1-certificate-configuration.jsp">3.4. Configuring Client Systems</a></span></dt></dl></div><p>
  For SUSE Manager customers, security concerns are of the utmost importance.
  One of the strengths of SUSE Manager is its ability to process every single
  request over Secure Sockets Layer, or SSL. To maintain this level of
  security, customers installing SUSE Manager within their infrastructures must
  generate custom SSL keys and certificates.
 </p><p>
  Manual creation and deployment of SSL keys and certificates can be quite
  involved. Both the SUSE Manager Proxy Server and the SUSE Manager Server allow
  you to build your own SSL keys and certificates based on your own private
  Certificate Authority (CA) during installation. In addition, a separate
  command line utility, the <span class="application">SUSE Manager SSL Maintenance
  Tool</span>, exists for this purpose. Regardless, these keys and
  certificates must then be deployed to all systems within your managed
  infrastructure. In many cases, deployment of these SSL keys and
  certificates is automated for you. This chapter describes efficient
  methods for conducting all of these tasks.
 </p><p>
  Please note that this chapter does not explain SSL in depth. The
  <span class="application">SUSE Manager SSL Maintenance Tool</span> was designed to
  hide much of the complexity involved in setting up and maintaining this
  public-key infrastructure (PKI). For more information, please consult some
  of the many good references available at your nearest bookstore.
 </p><div class="section" title="3.1. A Brief Introduction To SSL"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-certificate-intro"></a>3.1. A Brief Introduction To SSL<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-certificate-intro">¶</a></span></h2></div></div></div><a id="id381299" class="indexterm"></a><p>
   SSL, or Secure Sockets Layer, is a protocol that enables client-server
   applications to pass information securely. SSL uses a system of public
   and private key pairs to encrypt communication passed between clients and
   servers. Public certificates can be left accessible, while private keys
   must be secured. It's the mathematical relationship (a digital signature)
   between a private key and its paired public certificate that makes this
   system work. Through this relationship, a connection of trust is
   established.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    Throughout this document we discuss SSL private keys and public
    certificates. Technically both can be referred to as keys (public and
    private keys). But it is convention, when discussing SSL, to refer to
    the public half of an SSL key pair (or key set) as the SSL public
    certificate.
   </p></div><p>
   An organization's SSL infrastructure is generally made up of these SSL
   keys and certificates:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Certificate Authority (CA) SSL private key and public certificate —
     only one set per organization generally generated. The public
     certificate is digitally signed by its private key. The public
     certificate is distributed to every system.
    </p></li><li class="listitem"><p>
     Web server SSL private key and public certificate — one set per
     application server. The public certificate is digitally signed by both
     its private key and the CA SSL private key. We often refer to a Web
     server's key <em class="firstterm">set</em>; this is because there is an
     intermediary SSL certificate request that is generated. The details of
     what this is used for are not important to this discussion. All three
     are deployed to an SUSE Manager Server.
    </p></li></ul></div><p>
   Here's a scenario: If you have one SUSE Manager Server and five SUSE Manager
   Proxy Servers, you will generate one CA SSL key pair and six Web server
   SSL key sets. The CA SSL public certificate is distributed to all systems
   and used by all clients to establish a connection to their respective
   upstream servers. Each server has its own SSL key set that is
   specifically tied to that server's hostname and generated using its own
   SSL private key and the CA SSL private key in combination. This
   establishes a digitally verifiable association between the Web server's
   SSL public certificate and the CA SSL key pair and server's private key.
   The Web server's key set cannot be shared with other web servers.
  </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    The most critical portion of this system is the CA SSL key pair. From
    that private key and public certificate an administrator can regenerate
    any Web server's SSL key set. This CA SSL key pair must be secured. It
    is highly recommended that once the entire SUSE Manager infrastructure of
    servers is set up and running, you archive the SSL build directory
    generated by this tool and/or the installers onto separate media, write
    down the CA password, and secure the media and password in a safe place.
   </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-latest-clients-applet.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-certificate-rhnsmt.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">2.4. Configuring the Network Alert Notification Tool with SUSE Manager </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.2. The SUSE Manager SSL Maintenance Tool</td></tr></table></div></body></html>
