<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 4. Importing Custom GPG Keys</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Client Configuration Guide" /><link rel="prev" href="s1-certificate-configuration.jsp" title="3.4. Configuring Client Systems" /><link rel="next" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 4. Importing Custom GPG Keys</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-certificate-configuration.jsp">Prev</a> </td><th width="60%" align="center">Client Configuration Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch-bootstrap.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 4. Importing Custom GPG Keys"><div class="titlepage"><div><div><h2 class="title"><a id="ch-gpg-keys"></a>Chapter 4. Importing Custom GPG Keys</h2></div></div></div><a id="id428891" class="indexterm"></a><p>
  For customers who plan to build and distribute their own RPMs securely, it
  is strongly recommended that all custom RPMs are signed using GNU Privacy
  Guard (GPG). Generating GPG keys and building GPG-signed packages are
  covered in the <em class="citetitle">Channel Management Guide</em>.
 </p><p>
  Once the packages are signed, the public key must be deployed on all
  systems importing these RPMs. This task has two steps: first, create a
  central location for the public key so that clients may retrieve it, and
  second, adding the key to the local GPG keyring for each system.
 </p><p>
  The first step is common and may be handled using the website approach
  recommended for deploying SUSE Manager client applications. (Refer to
  <a class="xref" href="ch-latest-clients.jsp#s1-latest-clients-deploying" title="2.1. Deploying the Latest Client RPMs">Section 2.1, “Deploying the Latest Client RPMs”</a>.) To do this, create a
  public directory on the Web server and place the GPG public signature in
  it:
 </p><pre class="screen">
<span class="command"><strong>cp /some/path/YOUR-RPM-GPG-KEY /srv/www/htdocs/pub/</strong></span>
</pre><p>
  The key can then be downloaded by client systems using
  <span class="application">Wget</span>:
 </p><pre class="screen">
<span class="command"><strong>wget -O- -q http://your_susemgr.your_domain.com/pub/YOUR-RPM-GPG-KEY</strong></span>
</pre><p>
  The <code class="option">-O-</code> option sends results to standard output while the
  <code class="option">-q</code> option sets <span class="application">Wget</span> to run in
  quiet mode. Remember to replace the <em class="replaceable"><code>YOUR-RPM-GPG-KEY</code></em>
  variable with the filename of your key.
 </p><p>
  Once the key is available on the client file system, import it into the
  local GPG keyring. Use the following command:
 </p><pre class="screen">
<span class="command"><strong>rpm --import /path/to/YOUR-RPM-GPG-KEY</strong></span>
</pre><p>
  Once the GPG key has been successfully added to the client, the system
  should be able to validate custom RPMs signed with the corresponding key.
 </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-certificate-configuration.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-bootstrap.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.4. Configuring Client Systems </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 5. Using Bootstrap</td></tr></table></div></body></html>
