<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 2. Red Hat Linux Client Applications</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Client Configuration Guide" /><link rel="prev" href="ch-intro.jsp" title="Chapter 1. Introduction" /><link rel="next" href="s1-latest-clients-configuring.jsp" title="2.2. Configuring the Client Applications" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Red Hat Linux Client Applications</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-intro.jsp">Prev</a> </td><th width="60%" align="center">Client Configuration Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-latest-clients-configuring.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 2. Red Hat Linux Client Applications"><div class="titlepage"><div><div><h2 class="title"><a id="ch-latest-clients"></a>Chapter 2. Red Hat Linux Client Applications</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-latest-clients.jsp#s1-latest-clients-deploying">2.1. Deploying the Latest Client RPMs</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp">2.2. Configuring the Client Applications</a></span></dt><dd><dl><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-keys">2.2.1. Registering with Activation Keys</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-option">2.2.2. The up2date

    --configure Option</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-file">2.2.3. Updating the Configuration Files Manually</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-failover">2.2.4. Implementing Server Failover</a></span></dt></dl></dd><dt><span class="section"><a href="s1-latest-clients-puplet.jsp">2.3. The Package Updater Applet</a></span></dt><dt><span class="section"><a href="s1-latest-clients-applet.jsp">2.4. Configuring the Network Alert Notification Tool with SUSE Manager</a></span></dt></dl></div><p>
  In order to utilize most enterprise-class features of SUSE Manager,
  configuration of the latest client applications is required. Obtaining
  these applications before the client has registered with SUSE Manager can be
  difficult. This paradox is especially problematic for customers migrating
  large numbers of older systems to SUSE Manager. This chapter identifies
  techniques to resolve this dilemma.
 </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
   We strongly recommend that clients connected to a SUSE Manager Proxy Server
   or SUSE Manager Server be running the latest update to ensure
   proper connectivity.
  </p><p>
   Additionally, if client firewalls are configured, ports 80 and 443 should
   be open for proper functionality with SUSE Manager.
  </p></div><div class="section" title="2.1. Deploying the Latest Client RPMs"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-latest-clients-deploying"></a>2.1. Deploying the Latest Client RPMs<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-latest-clients-deploying">¶</a></span></h2></div></div></div><a id="id452877" class="indexterm"></a><p>
   The <span class="application">Package Updater</span>, <span class="command"><strong>yum</strong></span>
   and optionally <span class="application">Network Registration Client</span>
   (<code class="filename">rhn_register</code>) on Red Hat Enterprise Linux
   (<code class="filename">up2date</code> on earlier RHEL versions) are prerequisites
   for using much of SUSE Manager enterprise functionality. It is crucial to
   install it on client systems before attempting to use SUSE Manager Proxy
   Server or SUSE Manager Server in your environment.
  </p><p>
   There are several sensible approaches to accomplish this update of the
   SUSE Manager client software. One of which involves storing the RPMs in a
   location that is accessible by all client systems and deploying the
   packages with the simplest command possible. In nearly all cases, a
   manual deployment of <span class="command"><strong>yum</strong></span>, <span class="command"><strong>pup

   </strong></span>, and <code class="filename">rhn_register

   </code> (<code class="filename">up2date

   </code> for earlier version of Red Hat Enterprise Linux) do not need
   to be performed. Those client tools should have no issues connecting to
   your SUSE Manager or Proxy environment. These discussion below assumes that
   the "out of box" <span class="command"><strong>yum</strong></span>, <span class="command"><strong>pup

   </strong></span>, and <span class="command"><strong>rhn_register

   </strong></span> (or <span class="command"><strong>up2date

   </strong></span>) are not the latest and do not work for your environment.
  </p><p>
   Remember, only systems running Red Hat Enterprise Linux 5 systems must
   have registered with SUSE Manager in <span class="command"><strong>firstboot</strong></span> after
   installation or use the <span class="application">rhn_register
   </span>. Systems running Red Hat Enterprise Linux 4 can use
   the registration functionality built into the <span class="application">Red Hat Update
   Agent</span>.
  </p><p>
   This document presumes that the customer has installed at least one
   SUSE Manager Server and/or SUSE Manager Proxy Server on their network. The
   example below demonstrates a simple approach of deploying
   <code class="filename">yum</code>, <span class="command"><strong>pup

   </strong></span>, and <code class="filename">rhn_register

   </code> (or <code class="filename">up2date

   </code>) for the first time by an administrator assuming the machines
   do not already have a working Novell Customer Center setup. The administrator has
   populated the <code class="filename">/srv/www/htdocs/pub/</code> directory with a
   copy of the <span class="command"><strong>yum</strong></span>, <span class="command"><strong>pup

   </strong></span>, and <span class="command"><strong>rhn_register

   </strong></span> (or <code class="filename">up2date

   </code>) RPMs that the client systems need, and then has simply
   deployed those RPMs onto the client systems with a simple <span class="command"><strong>rpm
   -Uvh</strong></span> command. Run from a client, this command installs the RPMs
   to that client, assuming the domain name, paths, and RPM versions are
   correct (<span class="emphasis"><em>note</em></span> that this command has been split into
   multiple lines for print and PDF purposes but should be typed as one line
   at a shell prompt):
  </p><pre class="screen">rpm -Uvh
http://your_proxy_or_sat.your_domain.com/pub/rhn-setup-0.4.17-8.el5.i386.rpm
http://your_proxy_or_sat.your_domain.com/pub/yum-3.2.8-9.el5.i386.rpm
http://your_proxy_or_sat.your_domain.com/pub/pirut-1.3.28-13.3l5.noarch.rpm</pre><p>
   Keep in mind that the architecture (in this case,
   <code class="filename">i386</code>) may need to be altered depending on the
   systems to be served.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-intro.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-latest-clients-configuring.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 1. Introduction </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 2.2. Configuring the Client Applications</td></tr></table></div></body></html>
