<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 6. Manually Scripting the Configuration</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Client Configuration Guide" /><link rel="prev" href="s1-bootstrap-options.jsp" title="5.4. Bootstrap Options" /><link rel="next" href="ch-rhnreg-ks.jsp" title="Chapter 7. Implementing Autoinstall" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 6. Manually Scripting the Configuration</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-bootstrap-options.jsp">Prev</a> </td><th width="60%" align="center">Client Configuration Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch-rhnreg-ks.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 6. Manually Scripting the Configuration"><div class="titlepage"><div><div><h2 class="title"><a id="ch-scripting"></a>Chapter 6. Manually Scripting the Configuration</h2></div></div></div><a id="id351527" class="indexterm"></a><p>
  Note that this chapter provides an alternative to using
  <span class="application">Bootstrap</span> to generate the bootstrap script.
  With these instructions, you should be able to create your own bootstrap
  script from scratch.
 </p><p>
  All of the initial techniques have shared a common theme: the deployment
  of necessary files in a centralized location to be retrieved and installed
  using simple, scriptable commands run on each client. In this chapter, we
  explore putting all of these pieces together to create a single script
  that can be invoked by any system in your organization.
 </p><p>
  When we combine all of the commands from the previous chapters in the most
  sensible order on a SLES11 SP1 system, we get the following script:
 </p><pre class="screen"># First, install the latest client RPMs to the system.

zypper ar http://susemgr.example.com/pub/repositories/susemanager-client-setup susemanager-client-setup
zypper in spacewalk-check spacewalk-client-setup spacewalk-client-tools rhncfg-actions rhncfg-client rhncfg-management zypp-plugin-spacewalk

# Second, reconfigure the clients to talk to the correct server.

perl -p -i -e 's/s/www\.rhns\.redhat\.com/susemgr\.example\.com/g' \
        /etc/sysconfig/rhn/rhn_register \
        /etc/sysconfig/rhn/up2date
        
# Third, install the SSL client certificate for your company's
# SUSE Manager Server or Proxy Server.
rpm -Uvh http://susemgr.example.com/pub/rhn-org-trusted-ssl-cert-*.noarch.rpm

# Fourth, reconfigure the clients to use the new SSL certificate.
perl -p -i -e 's/^sslCA/#sslCA/g;' \
        /etc/sysconfig/rhn/up2date /etc/sysconfig/rhn/rhn_register
echo "sslCACert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT" \
        &gt;&gt; /etc/sysconfig/rhn/up2date
echo "sslCACert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT" \
        &gt;&gt; /etc/sysconfig/rhn/rhn_register

# Fifth, install the SSL certificate in /etc/ssl/certs:
--&gt;
test -e "/etc/ssl/certs/RHN-ORG-TRUSTED-SSL-CERT.pem" || {
  ln -s "/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT" "/etc/ssl/certs/RHN-ORG-TRUSTED-SSL-CERT.pem"
  /usr/bin/c_rehash /etc/ssl/certs/
}


# Sixth, download the GPG key needed to validate custom packages.
wget -O - -q http://susemgr.example.com/pub/YOUR-RPM-GPG-KEY


# Seventh, import that GPG key to your GPG keyring.
rpm --import /path/to/YOUR-RPM-GPG-KEY</pre><p>
  Remember, the sixth step is documented here as it pertains to systems
  running SLE11-SP1 or newer.
 </p><p>
  This script comprises a clean and repeatable process that should fully
  configure any potential SUSE Manager client in preparation for registration
  to an SUSE Manager Server. Remember, key values, such as the URL of your
  SUSE Manager Server, its public directory, and your actual GPG key must be
  inserted into the placeholders listed within the script. Also, depending
  on your environment, additional modifications may be required. Although
  this script may work nearly verbatim, it should be used as a guide.
 </p><p>
  Like its components, this script may be centrally located. By placing this
  script in the <code class="filename">/pub/</code> directory of the server, running
  <span class="command"><strong>wget -O-</strong></span> on it, and piping the output to a shell
  session, one may run the entire bootstrap process with a single command
  from each client:
 </p><pre class="screen">wget -O - http://susemgr.example.com/pub/bootstrap_script | bash</pre><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
   Running a shell script directly from input piped in over a Web connection
   obviously has some inherent security risks. Therefore, it is vital to
   ensure the security of the source server in this instance.
  </p></div><p>
  This one-line command may then be invoked across all of the systems on a
  network. If the administrator has SSH access to all of the systems in
  question, it would be a simple task to iterate over a list of these
  systems and run the command remotely on all of them. This script would
  also be a perfect addition to the %post section of an existing AutoYaST
  script.
 </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-bootstrap-options.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-rhnreg-ks.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.4. Bootstrap Options </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 7. Implementing Autoinstall</td></tr></table></div></body></html>
