<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.2. Generation</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap" /><link rel="prev" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap" /><link rel="next" href="s1-bootstrap-use.jsp" title="5.3. Script Use" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.2. Generation</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-bootstrap.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Using Bootstrap</th><td width="20%" align="right"> <a accesskey="n" href="s1-bootstrap-use.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.2. Generation"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-bootstrap-gen"></a>5.2. Generation<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-bootstrap-gen">¶</a></span></h2></div></div></div><a id="id366707" class="indexterm"></a><p>
   Now that all of the necessary components are in place, you may use
   <span class="application">mgr-bootstrap</span> to generate the required
   scripts. Log into your SUSE Manager Server or SUSE Manager Proxy Server as root
   and issue the <span class="command"><strong>mgr-bootstrap</strong></span> command followed by the
   desired options and values. If no options are included, a
   <code class="filename">bootstrap.sh</code> file is created in the
   <code class="filename">bootstrap/</code> subdirectory that contains the essential
   values derived from the server, including hostname, the SSL certificate,
   it if exists, SSL and GPG settings, and a call for the
   <code class="filename">client-config-overrides.txt</code> file.
  </p><p>
   At a minimum, we strongly recommend your scripts also accommodate
   activation keys, GPG keys, and advanced configuration options in the
   following manner:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Use the <code class="option">--activation-keys</code> option to include keys,
     taking into account the Entitlement requirements identified in
     <a class="xref" href="ch-bootstrap.jsp#s1-bootstrap-prep" title="5.1. Preparation">Section 5.1, “Preparation”</a>.
    </p></li><li class="listitem"><p>
     Use the <code class="option">--gpg-key</code> option to identify the key path and
     filename during script generation. Otherwise, use the
     <code class="option">--no-gpg</code> option to turn off this verification on
     client systems. We recommend retaining this security measure.
    </p></li><li class="listitem"><p>
     Include the <code class="option">--allow-config-actions</code> flag to enable
     remote configuration management on all client systems touched by the
     script. This feature is useful in reconfiguring multiple systems
     simultaneously.
    </p></li><li class="listitem"><p>
     Include the <code class="option">--allow-remote-commands</code> flag to enable
     remote script use on all client systems. Like configuration management,
     this feature aids in reconfiguring multiple systems.
    </p></li></ul></div><p>
   When you're done, your command will look something like this:
  </p><pre class="screen">mgr-bootstrap --activation-keys KEY1,KEY2 \
                --gpg-key /srv/www/htdocs/pub/MY_CORPORATE_PUBLIC_KEY \
                --allow-config-actions \
                --allow-remote-commands</pre><p>
   Obviously, include the actual key names. Refer to
   <a class="xref" href="s1-bootstrap-options.jsp" title="5.4. Bootstrap Options">Section 5.4, “Bootstrap Options”</a> for the complete list of options.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-bootstrap.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-bootstrap.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-bootstrap-use.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 5. Using Bootstrap </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.3. Script Use</td></tr></table></div></body></html>
