<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.4. Bootstrap Options</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap" /><link rel="prev" href="s1-bootstrap-use.jsp" title="5.3. Script Use" /><link rel="next" href="ch-scripting.jsp" title="Chapter 6. Manually Scripting the Configuration" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.4. Bootstrap Options</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-bootstrap-use.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Using Bootstrap</th><td width="20%" align="right"> <a accesskey="n" href="ch-scripting.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.4. Bootstrap Options"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-bootstrap-options"></a>5.4. Bootstrap Options<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-bootstrap-options">¶</a></span></h2></div></div></div><a id="id447757" class="indexterm"></a><p>
   The <span class="application">SUSE Manager Bootstrap</span> offers many command
   line options for creating client boostrap scripts. Although descriptions
   of these options can be found within the following table, ensure that
   they are available in the version of the tool installed on your SUSE Manager
   Server by issuing the command <span class="command"><strong>mgr-bootstrap --help</strong></span> or
   reviewing its man page.
  </p><div class="table"><a id="id445585"></a><p class="title"><b>Table 5.1. <span class="application">Bootstrap</span> Options</b></p><div class="table-contents"><table summary="Bootstrap Options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">-h</code>, <code class="option">--help</code>
      </td><td>Display the help screen with a list of
             options specific to generating the bootstrap
             script.</td></tr><tr><td><code class="option">--activation-keys=<em class="replaceable"><code>ACTIVATION_KEYS</code></em></code>
      </td><td>activation key(s) as defined in the SUSE Manager
             website with multiple entries separated by a
             comma and no space</td></tr><tr><td><code class="option">--overrides=<em class="replaceable"><code>OVERRIDES</code></em></code>
      </td><td>Configuration overrides filename. The default
             is client-config-overrides.txt.</td></tr><tr><td><code class="option">--script=<em class="replaceable"><code>SCRIPT</code></em></code>
      </td><td>The bootstrap script filename. The default is
             bootstrap.sh.</td></tr><tr><td><code class="option">--hostname=<em class="replaceable"><code>HOSTNAME</code></em></code>
      </td><td>The fully qualified domain name (FQDN) of the
             server to which client systems will connect.</td></tr><tr><td><code class="option">--ssl-cert=<em class="replaceable"><code>SSL_CERT</code></em></code>
      </td><td>The path to your organization's public SSL certificate,
        either a package or a raw certificate. It will be copied to the
        <code class="option">--pub-tree</code> option. A value of <strong class="userinput"><code>""</code></strong>
        will force a search of <code class="option">--pub-tree</code>.</td></tr><tr><td><code class="option">--gpg-key=<em class="replaceable"><code>GPG_KEY</code></em></code>
      </td><td>The path to your organization's public GPG
        key, if used. It will be copied to the location
        specified by the <code class="option">--pub-tree</code> option.</td></tr><tr><td><code class="option">--http-proxy=<em class="replaceable"><code>HTTP_PROXY</code></em></code>
      </td><td>The HTTP proxy setting for the client systems
        in the form <strong class="userinput"><code>hostname:port</code></strong>.
        A value of <strong class="userinput"><code>""</code></strong> disables
        this setting.</td></tr><tr><td><code class="option">--http-proxy-username=<em class="replaceable"><code>HTTP_PROXY_USERNAME</code></em></code>
      </td><td>If using an authenticating HTTP proxy, specify a username.
        A value of <strong class="userinput"><code>""</code></strong> disables this setting.</td></tr><tr><td><code class="option">--http-proxy-password=<em class="replaceable"><code>HTTP_PROXY_PASSWORD</code></em></code>
      </td><td>If using an authenticating HTTP proxy, specify a password.</td></tr><tr><td><code class="option">--allow-config-actions</code>
      </td><td>Boolean; including this option sets the system to allow all configuration
        actions via Novell Customer Center. This requires installing certain mgrcfg-* packages, possibly
        through an activation key.</td></tr><tr><td><code class="option">--allow-remote-commands</code>
      </td><td>Boolean; including this option sets the system to allow arbitrary remote
        commands via Novell Customer Center. This requires installing certain mgrcfg-* packages, possibly
        through an activation key.</td></tr><tr><td><code class="option">--no-ssl</code>
      </td><td><span class="emphasis"><em>Not recommended</em></span> - Boolean; including this
                  option turns SSL off on the client system.</td></tr><tr><td><code class="option">--no-gpg</code>
      </td><td><span class="emphasis"><em>Not recommended</em></span> - Boolean; including this
                  option turns GPG checking off on the client system.</td></tr><tr><td><code class="option">--no-up2date</code>
      </td><td><span class="emphasis"><em>Not recommended</em></span> - Boolean; including this
        option ensures <span class="command"><strong>zypper up</strong></span>
        will not run once the system has been bootstrapped.</td></tr><tr><td><code class="option">--pub-tree=<em class="replaceable"><code>PUB_TREE</code></em></code>
      </td><td><span class="emphasis"><em>Change not
                  recommended</em></span> - The public directory
                  tree where the CA SSL certificate and package
                  will land; the bootstrap directory and scripts.
                  The default is <code class="filename">/srv/www/htdocs/pub/</code>.</td></tr><tr><td><code class="option">--force</code>
      </td><td><span class="emphasis"><em>Not
                  recommended</em></span> - Boolean; including this
                  option forces bootstrap script generation despite
                  warnings.</td></tr><tr><td><code class="option">-v</code>, <code class="option">--verbose</code>
      </td><td>Display verbose messaging. Accumulative;
                  <code class="option">-vvv</code> causes extremely
                  verbose messaging.</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-bootstrap-use.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-bootstrap.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-scripting.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.3. Script Use </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 6. Manually Scripting the Configuration</td></tr></table></div></body></html>
