<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.2. The SUSE Manager SSL Maintenance Tool</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-certificates.jsp" title="Chapter 3. SSL Infrastructure" /><link rel="prev" href="ch-certificates.jsp" title="Chapter 3. SSL Infrastructure" /><link rel="next" href="s1-certificate-rpms.jsp" title="3.3. Deploying the CA SSL Public Certificate to Clients" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.2. The SUSE Manager SSL Maintenance Tool</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-certificates.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SSL Infrastructure</th><td width="20%" align="right"> <a accesskey="n" href="s1-certificate-rpms.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="3.2. The SUSE Manager SSL Maintenance Tool"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-certificate-rhnsmt"></a>3.2. The SUSE Manager SSL Maintenance Tool<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-certificate-rhnsmt">¶</a></span></h2></div></div></div><a id="id358026" class="indexterm"></a><a id="id406161" class="indexterm"></a><a id="id402645" class="indexterm"></a><p>
   SUSE Manager provides a command line tool to ease management of your secure
   infrastructure: the <span class="application">SSL Maintenance Tool</span>,
   commonly known by its command <span class="command"><strong>mgr-ssl-tool</strong></span> . This tool
   is available as part of the <code class="filename">spacewalk-certs-tools</code>
   package. This package can be found within the software channels for the
   the latest SUSE Manager Proxy Server and SUSE Manager Server (as well as the
   SUSE Manager Server ISO). <span class="application">SSL Maintenance Tool</span>
   enables you to generate your own Certificate Authority SSL key pair, as
   well as Web server SSL key sets (sometimes called <em class="firstterm">key
   pairs</em>).
  </p><p>
   This tool is only a build tool. It generates all of the SSL keys and
   certificates that are required. It also packages the files in RPM format
   for quick distribution and installation on all client machines. It does
   not deploy them, however. That is left to the administrator, or in many
   cases, automated by the SUSE Manager Server.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    The <code class="filename">spacewalk-certs-tools</code>, which contains
    <span class="command"><strong>mgr-ssl-tool</strong></span> , can be installed and run on any
    current SUSE Linux Enterprise Server system with minimal requirements. This is offered as a
    convenience for administrators who wish to manage their SSL
    infrastructure from their workstation or another system other than their
    SUSE Linux Enterprise Server.
   </p></div><p>
   Here are the cases in which the tool is required:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     When updating your CA public certificate - this is rare.
    </p></li><li class="listitem"><p>
     When installing an SUSE Manager Proxy Server version 1.2 or later that
     connects to the central SUSE Manager Servers as its top-level service -
     the hosted service, for security reasons, cannot be a repository for
     your CA SSL key and certificate, which is private to your organization.
    </p></li><li class="listitem"><p>
     When reconfiguring your SUSE Manager infrastructure to use SSL where it
     previously did not.
    </p></li><li class="listitem"><p>
     When adding SUSE Manager Proxy Servers of versions prior to 1.2 into your
     SUSE Manager infrastructure.
    </p></li><li class="listitem"><p>
     When adding multiple SUSE Manager Servers to your SUSE Manager
     infrastructure.
    </p></li></ul></div><p>
   Here are the cases in which the tool is <span class="emphasis"><em>not</em></span>
   required:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     During installation of a SUSE Manager Server - all SSL settings are
     configured during the installation process. The SSL keys and
     certificate are built and deployed automatically.
    </p></li><li class="listitem"><p>
     During installation of an SUSE Manager Proxy Server version 1.2 or later
     if connected to an SUSE Manager Server version 1.2 or later as its
     top-level service - the SUSE Manager Server contains all of the SSL
     information needed to configure, build and deploy the SUSE Manager Proxy
     Server's SSL keys and certificates.
    </p></li></ul></div><p>
   The installation procedures of both the SUSE Manager Server and the
   SUSE Manager Proxy Server ensure the CA SSL public certificate is deployed
   to the <code class="filename">/pub</code> directory of each server. This public
   certificate is used by the client systems to connect to the SUSE Manager
   Server. Refer to <a class="xref" href="s1-certificate-rpms.jsp" title="3.3. Deploying the CA SSL Public Certificate to Clients">Section 3.3, “Deploying the CA SSL Public Certificate to Clients”</a> for more
   information.
  </p><p>
   In short, if your organization's SUSE Manager infrastructure deploys the
   latest version of SUSE Manager Server as its top-level service, you will
   likely have little need to use the tool. Otherwise, become familiar with
   its usage.
  </p><div class="section" title="3.2.1. SSL Generation Explained"><div class="titlepage"><div><div><h3 class="title"><a id="s2-certificate-tool--create-explain"></a>3.2.1. SSL Generation Explained<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-certificate-tool--create-explain">¶</a></span></h3></div></div></div><a id="id422846" class="indexterm"></a><p>
    The primary benefits of using the <span class="application">SSL Maintenance
    Tool</span> are security, flexibility, and portability. Security
    is achieved through the creation of distinct Web server SSL keys and
    certificates for each SUSE Manager server, all signed by a single
    Certificate Authority SSL key pair created by your organization.
    Flexibility is supplied by the tool's ability to work on any machine
    that has the <code class="filename">spacewalk-certs-tools</code> package
    installed. Portability exists in a build structure that can be stored
    anywhere for safe keeping and then installed wherever the need arises.
   </p><p>
    Again, if your infrastructure's top-level server is the most current
    SUSE Manager Server, the most you may have to do is restore your
    <code class="filename">ssl-build</code> tree from an archive to the
    <code class="filename">/root</code> directory and utilize the configuration tools
    provided within the SUSE Manager Server's website.
   </p><p>
    To make the best use of the <span class="application">SSL Maintenance
    Tool</span>, complete the following high-level tasks in roughly
    this order. Refer to the remaining sections for the required details:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      Install the <code class="filename">spacewalk-certs-tools</code> package on a
      system within your organization, perhaps but not necessarily the
      SUSE Manager Server or SUSE Manager Proxy Server.
     </p></li><li class="listitem"><p>
      Create a single Certificate Authority SSL key pair for your
      organization and install the resulting RPM or public certificate on
      all client systems.
     </p></li><li class="listitem"><p>
      Create a Web server SSL key set for each of the Proxies and Servers to
      be deployed and install the resulting RPMs on the SUSE Manager Servers,
      restarting the <code class="filename">httpd</code> service afterwards:
     </p><pre class="screen">
<span class="command"><strong>rcapache2 restart</strong></span>
</pre></li><li class="listitem"><p>
      Archive the SSL <em class="firstterm">build tree</em> - consisting of the
      primary build directory and all subdirectories and files - to
      removable media, such as a floppy disk. (Disk space requirements are
      insignificant.)
     </p></li><li class="listitem"><p>
      Verify and then store that archive in a safe location, such as the one
      described for backups in the <span class="emphasis"><em>Additional
      Requirements</em></span> sections of either the Proxy or SUSE Manager
      installation guide.
     </p></li><li class="listitem"><p>
      Record and secure the CA password for future use.
     </p></li><li class="listitem"><p>
      Delete the build tree from the build system for security purposes, but
      only once the entire SUSE Manager infrastructure is in place and
      configured.
     </p></li><li class="listitem"><p>
      When additional Web server SSL key sets are needed, restore the build
      tree on a system running the <span class="application">SSL Maintenance
      Tool</span> and repeat steps 3 through 7.
     </p></li></ol></div></div><div class="section" title="3.2.2. SSL Maintenance Tool Options"><div class="titlepage"><div><div><h3 class="title"><a id="s2-certificate-tool-options"></a>3.2.2. SSL Maintenance Tool Options<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-certificate-tool-options">¶</a></span></h3></div></div></div><a id="id463990" class="indexterm"></a><p>
    The <span class="application">SSL Maintenance Tool</span> offers a plethora of
    command line options for generating your Certificate Authority SSL key
    pair and managing your server SSL certificates and keys. The tool offers
    essentially three command line option help listings:
    <span class="command"><strong>mgr-ssl-tool --help</strong></span> (general), <span class="command"><strong>mgr-ssl-tool
    --gen-ca --help</strong></span> (Certificate Authority), and
    <span class="command"><strong>mgr-ssl-tool --gen-server --help</strong></span> (Web server). The
    manual page for mgr-ssl-tool is also quite detailed and available to
    assist: <span class="command"><strong>man mgr-ssl-tool</strong></span>.
   </p><p>
    The two tables below break down the options by their related task,
    either CA or Web server SSL key set generation.
   </p><p>
    This set of options must be preceded by the <code class="option">--gen-ca</code>
    argument:
   </p><div class="table"><a id="id442396"></a><p class="title"><b>Table 3.1. SSL Certificate Authority (CA) Options (<span class="command">mgr-ssl-tool --gen-ca --help</span>)</b></p><div class="table-contents"><table summary="SSL Certificate Authority (CA) Options (mgr-ssl-tool --gen-ca --help)" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">--gen-ca</code>
       </td><td>Generate a Certificate Authority (CA) key
                    pair and public RPM. This must be issued with
                    any of the remaining options in this
                    table.</td></tr><tr><td><code class="option">-h</code>,
                    <code class="option">--help</code>
       </td><td>Display the help screen with a list of base
                    options specific to generating and managing a
                    Certificate Authority.</td></tr><tr><td><code class="option">-f</code>,
                    <code class="option">--force</code>
       </td><td>Forcibly create a new CA private key and/or
                    public certificate.</td></tr><tr><td><code class="option">-p=</code>,
                    <code class="option">--password=<em class="replaceable"><code>PASSWORD</code></em></code>
       </td><td>The CA password. You will be prompted for
                    this if it's missing. Record it in a safe
                    manner.</td></tr><tr><td><code class="option">-d=</code>,
                    <code class="option">--dir=<em class="replaceable"><code>BUILD_DIRECTORY</code></em></code>
       </td><td><span class="emphasis"><em>Required for
                    most commands</em></span> - The directory where
                    certificates and RPMs are built. The default is
                    <code class="filename">./ssl-build</code>.</td></tr><tr><td><code class="option">--ca-key=<em class="replaceable"><code>FILENAME</code></em></code>
       </td><td>The CA private key filename. The default is
                    <code class="filename">RHN-ORG-PRIVATE-SSL-KEY</code>.</td></tr><tr><td><code class="option">--ca-cert=<em class="replaceable"><code>FILENAME</code></em></code>
       </td><td>The CA public certificate filename. The
           default is <code class="filename">
RHN-ORG-TRUSTED-SSL-CERT</code>.</td></tr><tr><td><code class="option">--cert-expiration=<em class="replaceable"><code>CA_CERT_EXPIRE</code></em></code>
       </td><td>The expiration date of the public CA
                    certificate. The default is the number of days
                    until one day prior to epoch rollover (or
                    01-18-2038).</td></tr><tr><td><code class="option">--set-country=<em class="replaceable"><code>COUNTRY_CODE</code></em></code>
       </td><td>The two-letter country code. The default is
                    US.</td></tr><tr><td><code class="option">--set-state=<em class="replaceable"><code>STATE_OR_PROVINCE</code></em></code>
       </td><td>The state or province of the CA. The
                    default is ''.</td></tr><tr><td><code class="option">--set-city=<em class="replaceable"><code>CITY_OR_LOCALITY</code></em></code>
       </td><td>The city or locality. The default is
                    ''.</td></tr><tr><td><code class="option">--set-org=<em class="replaceable"><code>ORGANIZATION</code></em></code>
       </td><td>The company or organization, such as SUSE. The default is Example Corp. Inc.</td></tr><tr><td><code class="option">--set-org-unit=<em class="replaceable"><code>SET_ORG_UNIT</code></em></code>
       </td><td>The organizational unit. The default is ''.</td></tr><tr><td><code class="option">--set-common-name=<em class="replaceable"><code>HOSTNAME</code></em></code>
       </td><td><span class="emphasis"><em>Not typically
                    set for the CA.</em></span> - The common
                    name.</td></tr><tr><td><code class="option">--set-email=<em class="replaceable"><code>EMAIL</code></em></code>
       </td><td><span class="emphasis"><em>Not typically
                    set for the CA.</em></span> - The email
                    address.</td></tr><tr><td><code class="option">--rpm-packager=<em class="replaceable"><code>PACKAGER</code></em></code>
       </td><td>Packager of the generated RPM, such as "SUSE
                    Admin (suse-admin@example.com)."</td></tr><tr><td><code class="option">--rpm-vendor=<em class="replaceable"><code>VENDOR</code></em></code>
       </td><td>Vendor of the generated RPM, such as "IS/IT
                    Example Corp."</td></tr><tr><td><code class="option">-v</code>,
                    <code class="option">--verbose</code>
       </td><td>Display verbose messaging. Accumulative -
                    added "v"s result in increasing detail.</td></tr><tr><td><code class="option">--ca-cert-rpm=<em class="replaceable"><code>CA_CERT_RPM</code></em></code>
       </td><td><span class="emphasis"><em>Rarely
                    changed</em></span> - RPM name that houses the
                    CA certificate (the base filename, not
                    filename-version-release.noarch.rpm).</td></tr><tr><td><code class="option">--key-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only a CA private
                    key. Review <span class="command"><strong>--gen-ca
                    --key-only --help</strong></span> for more
                    information.</td></tr><tr><td><code class="option">--cert-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only a CA public
                    certificate. Review <span class="command"><strong>--gen-ca --cert-only --help</strong></span>
                    for more information.</td></tr><tr><td><code class="option">--rpm-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only an RPM for
                    deployment. Review <span class="command"><strong>--gen-ca --rpm-only --help</strong></span> for
                    more information.</td></tr><tr><td><code class="option">--no-rpm</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Conduct all CA-related steps
                    except RPM generation.</td></tr></tbody></table></div></div><br class="table-break" /><p>
    The following set of options must be preceded by the
    <code class="option">--gen-server</code> argument:
   </p><div class="table"><a id="id344731"></a><p class="title"><b>Table 3.2. SSL Web Server Options (<span class="command"> mgr-ssl-tool --gen-server --help</span>)</b></p><div class="table-contents"><table summary="SSL Web Server Options ( mgr-ssl-tool --gen-server --help)" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">--gen-server</code>
       </td><td>Generate the Web server's SSL key set, RPM
                    and tar archive. This must be issued with any
                    of the remaining options in this table.</td></tr><tr><td><code class="option">-h</code>,
                    <code class="option">--help</code>
       </td><td>Display the help screen with a list of base
                    options specific to generating and managing a
                    server key-pair.</td></tr><tr><td><code class="option">-p=</code>,
                    <code class="option">--password=<em class="replaceable"><code>PASSWORD</code></em></code>
       </td><td>The CA password. You will be prompted for
                    this if it's missing. Record it in a safe
                    manner.</td></tr><tr><td><code class="option">-d=</code>,
                    <code class="option">--dir=<em class="replaceable"><code>BUILD_DIRECTORY</code></em></code>
       </td><td><span class="emphasis"><em>Required for
                    most commands</em></span> - The directory where
                    certificates and RPMs are built. The default is
                    <code class="filename">./ssl-build</code>.</td></tr><tr><td><code class="option">--server-key=<em class="replaceable"><code>FILENAME</code></em></code>
       </td><td>The Web server's SSL private key filename.
                    The default is <code class="filename">server.key</code>.</td></tr><tr><td><code class="option">--server-cert-req=<em class="replaceable"><code>FILENAME</code></em></code>
       </td><td>The Web server's SSL certificate request
                    filename. The default is <code class="filename">server.csr</code>.</td></tr><tr><td><code class="option">--server-cert=<em class="replaceable"><code>FILENAME</code></em></code>
       </td><td>The Web server's SSL certificate filename.
                    The default is <code class="filename">server.crt</code>.</td></tr><tr><td><code class="option">--startdate=<em class="replaceable"><code>YYMMDDHHMMSSZ</code></em></code>
       </td><td>The start date for server certificate
                    validity in the example format: year, month,
                    date, hour, minute, second (two characters per
                    value). Z stands for Zulu and is required. The
                    default is one week before generation.</td></tr><tr><td><code class="option">--cert-expiration=<em class="replaceable"><code>SERVER_CERT_EXPIRE</code></em></code>
       </td><td>The expiration date of the server
                    certificate. The default is the number of days
                    until one day prior to epoch rollover (or
                    01-18-2038).</td></tr><tr><td><code class="option">--set-country=<em class="replaceable"><code>COUNTRY_CODE</code></em></code>
       </td><td>The two-letter country code. The default is
                    US.</td></tr><tr><td><code class="option">--set-state=<em class="replaceable"><code>STATE_OR_PROVINCE</code></em></code>
       </td><td>The state or province. The default is North
                    Carolina.</td></tr><tr><td><code class="option">--set-city=<em class="replaceable"><code>CITY_OR_LOCALITY</code></em></code>
       </td><td>
        
        The city or locality. .</td></tr><tr><td><code class="option">--set-org=<em class="replaceable"><code>ORGANIZATION</code></em></code>
       </td><td>The company or organization, such as SUSE. The default is Example Corp. Inc.</td></tr><tr><td><code class="option">--set-org-unit=<em class="replaceable"><code>SET_ORG_UNIT</code></em></code>
       </td><td>The organizational unit. The
                    default is unit.</td></tr><tr><td><code class="option">--set-hostname=<em class="replaceable"><code>HOSTNAME</code></em></code>
       </td><td>The hostname of the SUSE Manager Server to receive
                    the key. The default is dynamically set to the
                    build machine's hostname.</td></tr><tr><td><code class="option">--set-email=<em class="replaceable"><code>EMAIL</code></em></code>
       </td><td>The email address of the certificate
                    contact. The default is
                    admin@example.corp.</td></tr><tr><td><code class="option">--rpm-packager=<em class="replaceable"><code>PACKAGER</code></em></code>
       </td><td>Packager of the generated RPM, such as "SUSE
                    Admin (suse-admin@example.com)."</td></tr><tr><td><code class="option">--rpm-vendor=<em class="replaceable"><code>VENDOR</code></em></code>
       </td><td>Vendor of the generated RPM, such as "IS/IT
                    Example Corp."</td></tr><tr><td><code class="option">-v</code>,
                    <code class="option">--verbose</code>
       </td><td>Display verbose messaging. Accumulative -
                    added "v"s result in increasing detail.</td></tr><tr><td><code class="option">--key-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only a server
                    private key. Review <span class="command"><strong>--gen-server --key-only --help</strong></span>
                    for more information.</td></tr><tr><td><code class="option">--cert-req-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only a server
                    certificate request. Review <span class="command"><strong>--gen-server --cert-req-only
                    --help</strong></span> for more information.</td></tr><tr><td><code class="option">--cert-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only a server
                    certificate. Review <span class="command"><strong>--gen-server --cert-only
                    --help</strong></span> for more information.</td></tr><tr><td><code class="option">--rpm-only</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Generate only an RPM for
                    deployment. Review <span class="command"><strong>--gen-server --rpm-only --help</strong></span>
                    for more information.</td></tr><tr><td><code class="option">--no-rpm</code>
       </td><td><span class="emphasis"><em>Rarely
                    used</em></span> - Conduct all server-related
                    steps except RPM generation.</td></tr><tr><td><code class="option">--server-rpm=<em class="replaceable"><code>SERVER_RPM</code></em></code>
       </td><td><span class="emphasis"><em>Rarely
                    changed</em></span> - RPM name that houses the
                    Web server's SSL key set (the base filename,
                    not filename-version-release.noarch.rpm).</td></tr><tr><td><code class="option">--server-tar=<em class="replaceable"><code>SERVER_TAR</code></em></code>
       </td><td><span class="emphasis"><em>Rarely
                    changed</em></span> - Name of .tar archive of
                    the Web server's SSL key set and CA public
                    certificate that is used solely by the hosted
                    SUSE Manager Proxy Server installation routines (the
                    base filename, not
                    filename-version-release.tar).</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="3.2.3. Generating the Certificate Authority SSL Key Pair"><div class="titlepage"><div><div><h3 class="title"><a id="s2-certificate-tool-CA-create"></a>3.2.3. Generating the Certificate Authority SSL Key Pair<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-certificate-tool-CA-create">¶</a></span></h3></div></div></div><a id="id422917" class="indexterm"></a><p>
    Before creating the SSL key set required by the Web server, you must
    generate a Certificate Authority (CA) SSL key pair. A CA SSL public
    certificate is distributed to client systems of the SUSE Manager or
    SUSE Manager Proxy. The <span class="application">SSL Maintenance Tool</span>
    allows you to generate a CA SSL key pair if needed and re-use it for all
    subsequent SUSE Manager Server deployments.
   </p><p>
    The build process automatically creates the key pair and public RPM for
    distribution to clients. All CA components end up in the build directory
    specified at the command line, typically
    <code class="filename">/root/ssl-build</code> (or
    <code class="filename">/etc/sysconfig/rhn/ssl</code> for older SUSE Manager and
    Proxies). To generate a CA SSL key pair, issue a command like this:
   </p><pre class="screen">mgr-ssl-tool --gen-ca --password=MY_CA_PASSWORD --dir="/root/ssl-build" \ 
--set-state="North      Carolina" --set-city="Raleigh" --set-org="Example Inc." \
--set-org-unit="SSL CA Unit"</pre><p>
    Replace the example values with those appropriate for your organization.
    This will result in the following relevant files in the specified build
    directory:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <code class="filename"> RHN-ORG-PRIVATE-SSL-KEY</code> — the CA SSL private
      key
     </p></li><li class="listitem"><p>
      <code class="filename"> RHN-ORG-TRUSTED-SSL-CERT</code> — the CA SSL public
      certificate
     </p></li><li class="listitem"><p>
      <code class="filename">
      rhn-org-trusted-ssl-cert-<em class="replaceable"><code>VER-REL</code></em>.noarch.rpm</code>
      — the RPM prepared for distribution to client systems. It contains
      the CA SSL public certificate (above) and installs it in this
      location: <code class="filename">/usr/share/rhn/
      RHN-ORG-TRUSTED-SSL-CERT</code>
     </p></li><li class="listitem"><p>
      <code class="filename">rhn-ca-openssl.cnf</code> — the SSL CA configuration
      file
     </p></li><li class="listitem"><p>
      <code class="filename">latest.txt</code> — always lists the latest versions
      of the relevant files.
     </p></li></ul></div><p>
    Once finished, you're ready to distribute the RPM to client systems.
    Refer to <a class="xref" href="s1-certificate-rpms.jsp" title="3.3. Deploying the CA SSL Public Certificate to Clients">Section 3.3, “Deploying the CA SSL Public Certificate to Clients”</a>.
   </p></div><div class="section" title="3.2.4. Generating Web Server SSL Key Sets"><div class="titlepage"><div><div><h3 class="title"><a id="s2-certificate-tool-server-create"></a>3.2.4. Generating Web Server SSL Key Sets<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-certificate-tool-server-create">¶</a></span></h3></div></div></div><a id="id355546" class="indexterm"></a><p>
    Although you must have a CA SSL key pair already generated, you will
    likely generate web server SSL key sets more frequently, especially if
    more than one Proxy or SUSE Manager is deployed. Note that the value for
    <code class="option">--set-hostname</code> is different for each server. In other
    words, a distinct set of SSL keys and certificates must be generated and
    installed for every distinct SUSE Manager server hostname.
   </p><p>
    The server certificate build process works much like CA SSL key pair
    generation with one exception: All server components end up in
    subdirectories of the build directory that reflect the build system's
    machine name, such as <code class="filename">/root/ssl-build/MACHINE_NAME</code>.
    To generate server certificates, issue a command like this:
   </p><pre class="screen">mgr-ssl-tool --gen-server --password=MY_CA_PASSWORD --dir="/root/ssl-build" \ 
--set-state="North      Carolina" --set-city="Raleigh" --set-org="Example       Inc." \
--set-org-unit="IS/IT" --set-email="admin@example.com" \
--set-hostname="mgrbox1.example.com</pre><p>
    Replace the example values with those appropriate for your organization.
    This will result in the following relevant files in a machine-specific
    subdirectory of the build directory:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <code class="filename">server.key</code> — the Web server's SSL private
      server key
     </p></li><li class="listitem"><p>
      <code class="filename">server.csr</code> — the Web server's SSL certificate
      request
     </p></li><li class="listitem"><p>
      <code class="filename">server.crt</code> — the web server's SSL public
      certificate
     </p></li><li class="listitem"><p>
      <code class="filename">
      rhn-org-httpd-ssl-key-pair-<em class="replaceable"><code>MACHINE_NAME-VER-REL</code></em>.noarch.rpm</code>
      — the RPM prepared for distribution to SUSE Manager Servers. Its
      associated src.rpm file is also generated. This RPM contains the above
      three files. It will install them in these locations:
     </p><div class="itemizedlist"><ul class="itemizedlist" type="circle"><li class="listitem"><p>
        <code class="filename">/etc/httpd/conf/ssl.key/server.key</code>
       </p></li><li class="listitem"><p>
        <code class="filename">/etc/httpd/conf/ssl.csr/server.csr</code>
       </p></li><li class="listitem"><p>
        <code class="filename">/etc/httpd/conf/ssl.crt/server.crt</code>
       </p></li></ul></div></li><li class="listitem"><p>
      rhn-server-openssl.cnf — the Web server's SSL configuration file
     </p></li><li class="listitem"><p>
      <code class="filename">latest.txt</code> — always lists the latest versions
      of the relevant files.
     </p></li></ul></div><p>
    Once finished, you're ready to distribute and install the RPM on its
    respective SUSE Manager Server. Note that the <code class="filename">httpd</code>
    service must be restarted after installation:
   </p><pre class="screen">
<span class="command"><strong>rcapache2 restart</strong></span>
</pre></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-certificates.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-certificates.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-certificate-rpms.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 3. SSL Infrastructure </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.3. Deploying the CA SSL Public Certificate to Clients</td></tr></table></div></body></html>
