<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>2.2. Configuring the Client Applications</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-latest-clients.jsp" title="Chapter 2. Red Hat Linux Client Applications" /><link rel="prev" href="ch-latest-clients.jsp" title="Chapter 2. Red Hat Linux Client Applications" /><link rel="next" href="s1-latest-clients-puplet.jsp" title="2.3. The Package Updater Applet" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">2.2. Configuring the Client Applications</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-latest-clients.jsp">Prev</a> </td><th width="60%" align="center">Chapter 2. Red Hat Linux Client Applications</th><td width="20%" align="right"> <a accesskey="n" href="s1-latest-clients-puplet.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="2.2. Configuring the Client Applications"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-latest-clients-configuring"></a>2.2. Configuring the Client Applications<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-latest-clients-configuring">¶</a></span></h2></div></div></div><a id="id482730" class="indexterm"></a><p>
   Not every customer must connect securely to a SUSE Manager Server or
   SUSE Manager Proxy Server within their organization. Not every customer
   needs to build and deploy a GPG key for custom packages. (Both of these
   topics are explained in detail later.) Every customer who uses SUSE Manager
   Server or SUSE Manager Proxy Server must reconfigure the <span class="application">Red
   Hat Update Agent</span> (<code class="filename">up2date

   </code>) and possibly the <span class="application">Red Hat Network Registration
   Client</span> (<code class="filename">rhn_register

   </code>) to redirect it from Novell Customer Center to their SUSE Manager Server or
   SUSE Manager Proxy Server.
  </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    Although this is not configurable, note that the port used by the
    <span class="application">up2date

    </span> is 80 for HTTP and 443 for secure HTTP (HTTPS). By
    default, <code class="filename">yum</code> on Red Hat Enterprise Linux 5 uses SSL
    only. For this reason, users should ensure that their firewalls allow
    connections over port 443. To bypass SSL, change the protocol for
    <code class="option">serverURL</code> from <strong class="userinput"><code>https</code></strong> to
    <strong class="userinput"><code>http</code></strong> in
    <code class="filename">/etc/sysconfig/rhn/up2date</code>. Similarly, to use
    SUSE Manager's Monitoring feature and probes requiring the
Red Hat Network Monitoring
    <span class="command"><strong>rhnmd</strong></span> Daemon, note that client systems must allow
    connections on port 4545 (or port 22, if using <code class="filename">sshd</code>
    instead).
   </p></div><p>
   By default, the <span class="command"><strong>rhn_register

   </strong></span> and <span class="application">up2date

   </span> refer to the main SUSE Manager Servers. Users must
   reconfigure client systems to refer to their SUSE Manager Server or
   SUSE Manager Proxy Server.
  </p><p>
   Note that the latest versions of the <span class="application">Red Hat Update
   Agent</span> can be configured to accommodate several SUSE Manager
   Servers, thereby providing failover protection in case the primary server
   is inaccessible. Refer to <a class="xref" href="s1-latest-clients-configuring.jsp#s2-client-config-failover" title="2.2.4. Implementing Server Failover">Section 2.2.4, “Implementing Server Failover”</a> for
   instructions on enabling this feature.
  </p><p>
   The next sections describe three methods of configuring the client
   systems to access your SUSE Manager Server or SUSE Manager Proxy Server: using
   an Activation Key, <span class="command"><strong>up2date

   --configure</strong></span>, and manually updating the configuration files.( To
   see how virtually all reconfiguration can be scripted, see
   <a class="xref" href="ch-scripting.jsp" title="Chapter 6. Manually Scripting the Configuration">Chapter 6, <i>Manually Scripting the Configuration</i></a>.)
  </p><div class="section" title="2.2.1. Registering with Activation Keys"><div class="titlepage"><div><div><h3 class="title"><a id="s2-client-config-keys"></a>2.2.1. Registering with Activation Keys<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-client-config-keys">¶</a></span></h3></div></div></div><a id="id348490" class="indexterm"></a><p>
    Novell recommends using activation keys for registering and configuring
    client systems that access SUSE Manager Proxy Server or SUSE Manager Server.
    Activation keys can be used to register, entitle, and subscribe systems
    in a batch. Refer to the section "Activation Keys" in the
    <em class="citetitle">SUSE Manager Server Reference Guide</em>
    for more information on activation keys.
   </p><p>
    Registering with an activation key has four basic steps:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      Generate an Activation Key.
     </p></li><li class="listitem"><p>
      Import custom GPG keys.
     </p></li><li class="listitem"><p>
      Download and install the SSL Certificate RPM from the
      <code class="filename">/pub/</code> directory of the SUSE Manager Proxy Server or
      SUSE Manager Server. The command for this step could look something like
      this:
     </p><pre class="screen">rpm -Uvh http://your-suse_manager-FQDN/pub/rhn-org-trusted-ssl-cert-1.0-1.noarch.rpm</pre></li><li class="listitem"><p>
      Register the system with your SUSE Manager Proxy Server or SUSE Manager
      Server. The command for this step could look something like:
     </p><pre class="screen">
<span class="command"><strong>rhnreg_ks --activationkey mykey --serverUrl https://your-suse_manager-FQDN/XMLRPC </strong></span>
</pre></li></ol></div><p>
    Alternatively, most of the above steps can be combined in a shell script
    that includes the following lines (<span class="emphasis"><em>note</em></span> that this
    command has been split into multiple lines for print and PDF purposes
    but should be typed as one line at a shell prompt).
   </p><pre class="screen">wget -0 - http://your-suse_manager-FQDN/pub/bootstrap.sh | bash
&amp;&amp; rhnreg_ks --activation-key my_key --serverUrl
https://your-suse_manager-FQDN/XMLRPC</pre><p>
    The bootstrap script, generated at installation and available for both
    SUSE Manager Server and SUSE Manager Proxy Server, is such a script. The
    script and the mgr_bootstrap that generates it are discussed in detail
    in <a class="xref" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap">Chapter 5, <i>Using Bootstrap</i></a>.
   </p><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
     Systems running Red Hat Enterprise Linux 2.1 and versions of Red Hat
     Linux prior to 8.0 may experience problems using Activation Keys to
     migrate SSL certificate settings from <span class="command"><strong>rhn_register

     </strong></span> to <span class="command"><strong>up2date

     </strong></span>. Therefore, the SSL certificate information on those systems
     must be set manually. All other settings, such as the server URL,
     transfer properly.
    </p></div></div><div class="section" title="2.2.2. The up2date --configure Option"><div class="titlepage"><div><div><h3 class="title"><a id="s2-client-config-option"></a>2.2.2. The up2date

    --configure Option<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-client-config-option">¶</a></span></h3></div></div></div><a id="id487015" class="indexterm"></a><a id="id375842" class="indexterm"></a><p>
    The <span class="application">Red Hat Update Agent</span> in Red Hat
    Enterprise Linux 3 and 4 provides an interface for configuring various
    settings. For full listings of these settings, refer to the
    <span class="command"><strong>up2date

    </strong></span> manual page (<span class="command"><strong>man up2date

    </strong></span> at a command line).
   </p><p>
    To reconfigure the <span class="application">Red Hat Update Agent</span>,
    issue the following command as root:
   </p><pre class="screen">
<span class="command"><strong> up2date --configure </strong></span>
</pre><p>
    You are presented with a dialog box offering various settings that may
    be reconfigured. In the <span class="guilabel">General</span> tab, under
    <code class="computeroutput">Select a SUSE Manager Server to use</code>
    replace the default value with the fully qualified domain name (FQDN) of
    the SUSE Manager Server or SUSE Manager Proxy Server, such as
    <strong class="userinput"><code>https://your_proxy_or_susemgr.your_domain.com/XMLRPC</code></strong>.
    Retain the <code class="computeroutput">/XMLRPC</code> at the end. When
    finished, click <span class="guibutton">OK</span>.
   </p><div class="figure"><a id="id365546"></a><p class="title"><b>Figure 2.1. Red Hat Update Agent GUI Configuration</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/up2date-config.png" width="444" alt="Red Hat Update Agent GUI Configuration" /></td></tr></table></div></div></div><br class="figure-break" /><p>
    Make sure you enter the domain name of your SUSE Manager Server or
    SUSE Manager Proxy Server correctly. Entering an incorrect domain or
    leaving the field blank may prevent <span class="command"><strong>up2date

    --configure</strong></span> from launching. This may be resolved, however, by
    editing the value in the <code class="filename">up2date

    </code> configuration file. Refer to
    <a class="xref" href="s1-latest-clients-configuring.jsp#s2-client-config-file" title="2.2.3. Updating the Configuration Files Manually">Section 2.2.3, “Updating the Configuration Files Manually”</a> for precise instructions.
   </p><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
     Systems running Red Hat Enterprise Linux 3 or 4 have registration
     functionality built into the <span class="application">Red Hat Update
     Agent</span> and therefore do not install the <span class="application">Red
     Hat Network Registration Client</span>. Systems on Red Hat
     Enterprise Linux 5 do not use <span class="command"><strong>up2date

     </strong></span>, and need <span class="command"><strong>rhn_register

     </strong></span> to register their systems to SUSE Manager and
     <span class="command"><strong>yum</strong></span> and <span class="command"><strong>pup

     </strong></span> to update their packages.
    </p></div></div><div class="section" title="2.2.3. Updating the Configuration Files Manually"><div class="titlepage"><div><div><h3 class="title"><a id="s2-client-config-file"></a>2.2.3. Updating the Configuration Files Manually<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-client-config-file">¶</a></span></h3></div></div></div><a id="id485556" class="indexterm"></a><a id="id358509" class="indexterm"></a><p>
    As an alternative to the GUI interface described in the previous
    section, users may also reconfigure the <span class="application">Red Hat Update
    Agent</span> by editing the application's configuration file.
   </p><p>
    To configure <span class="application">Red Hat Update Agent</span> on the
    client systems connecting to the SUSE Manager Proxy Server or SUSE Manager
    Server, edit the values of the <span class="command"><strong>serverURL</strong></span> and
    <span class="command"><strong>noSSLServerURL</strong></span> settings in the
    <code class="filename">/etc/sysconfig/rhn/up2date</code> configuration file (as
    <code class="systemitem">root</code>). Replace the default URL with the fully qualified domain name
    (FQDN) for the SUSE Manager Proxy Server or SUSE Manager Server. For example:
   </p><pre class="screen">serverURL[comment]=Remote server URL
serverURL=https://your_primary.your_domain.com/XMLRPC

noSSLServerURL[comment]=Remote server URL without SSL
noSSLServerURL=http://your_primary.your_domain.com/XMLRPC</pre><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
     The <code class="filename">httpProxy</code> setting in
     <code class="filename">/etc/sysconfig/rhn/up2date</code> does
     <span class="emphasis"><em>not</em></span> refer to the SUSE Manager Proxy Server. It is
     used to configure an optional HTTP proxy for the client. With an
     SUSE Manager Proxy Server in place, the <code class="filename">httpProxy</code>
     setting must be blank (not set to any value).
    </p></div></div><div class="section" title="2.2.4. Implementing Server Failover"><div class="titlepage"><div><div><h3 class="title"><a id="s2-client-config-failover"></a>2.2.4. Implementing Server Failover<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-client-config-failover">¶</a></span></h3></div></div></div><a id="id347528" class="indexterm"></a><p>
    Beginning with <code class="filename">up2date-4.2.38</code>, the <span class="application">Red
    Hat Update Agent</span> can be configured to seek updates from a
    series of SUSE Manager Servers. This can be especially helpful in
    sustaining constant updates if your primary SUSE Manager Proxy Server or
    SUSE Manager Server may be taken offline.
   </p><p>
    To use this feature, first ensure that you are running the required
    version of <span class="command"><strong>up2date

    </strong></span>. Then manually add the secondary servers to the
    <span class="command"><strong>serverURL</strong></span> and <span class="command"><strong>noSSLServerURL</strong></span>
    settings in the <code class="filename">/etc/sysconfig/rhn/up2date</code>
    configuration file (as <code class="systemitem">root</code>). Add the fully qualified domain names
    (FQDN) for the Proxy or SUSE Manager immediately after the primary server,
    separated by a semicolon (;). For example:
   </p><pre class="screen">serverURL[comment]=Remote server URL
serverURL=https://your_primary.your_domain.com/XMLRPC; 
https://your_secondary.your_domain.com/XMLRPC;

noSSLServerURL[comment]=Remote server URL without SSL
noSSLServerURL=http://your_primary.your_domain.com/XMLRPC; 
https://your_secondary.your_domain.com/XMLRPC;</pre><p>
    Connection to the servers is attempted in the order provided here. You
    can include as many servers as you wish. You may list the central
    SUSE Manager Servers, as well. This makes sense, however, only if the
    client systems can reach the Internet.
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-latest-clients.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-latest-clients.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-latest-clients-puplet.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 2. Red Hat Linux Client Applications </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 2.3. The Package Updater Applet</td></tr></table></div></body></html>
