<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 4. Installation</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Installation Guide" /><link rel="prev" href="bk02ch03s03.jsp" title="3.3. Additional Documentation" /><link rel="next" href="ch-troubleshooting.jsp" title="Chapter 5. Troubleshooting" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 4. Installation</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="bk02ch03s03.jsp">Prev</a> </td><th width="60%" align="center">Installation Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch-troubleshooting.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 4. Installation"><div class="titlepage"><div><div><h2 class="title"><a id="ch-installation"></a>Chapter 4. Installation</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-installation.jsp#s1-summary-steps">4.1. Summary of Steps</a></span></dt><dd><dl><dt><span class="section"><a href="ch-installation.jsp#sec.stepsummary.install">4.1.1. Installation and Setup</a></span></dt><dt><span class="section"><a href="ch-installation.jsp#sec.stepsummary.config">4.1.2. Basic Configuration</a></span></dt></dl></dd></dl></div><p>
  SUSE Manager is a management server application combined with an operating
  system (appliance). It can be deployed on industry hardware or in a
  virtual environment and used in conjunction with an embedded or a
  stand-alone database.
 </p><p>
  If your future SUSE Manager server is connected to the Internet, it will
  receive any updates directly from the Novell Customer Center. For a disconnected setup
  scenario, configure SUSE Manager to receive any updates from an internal
  update server (like SMT) instead.
 </p><p>
  Installation and basic configuration of SUSE Manager is covered in
  <a class="xref" href="../../quickstart/en-US/art.susemanager.quick.jsp" title="Quick Start">Quick Start</a>. It is task-based and guides
  you through all required steps, from basic installation and setup through
  basic configuration.
 </p><div xml:lang="en-US" class="section" title="4.1. Summary of Steps" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-summary-steps"></a>4.1. Summary of Steps<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-summary-steps">¶</a></span></h2></div></div></div><a id="id333798" class="indexterm"></a><p>
   The following overview lists the installation and setup scenarios covered
   in the Quick Start. The overview includes all required steps for basic
   installation, setup and configuration of SUSE Manager. Additionally, it
   covers a list of common administration tasks that you might need
   afterward.
  </p><div class="section" title="4.1.1. Installation and Setup"><div class="titlepage"><div><div><h3 class="title"><a id="sec.stepsummary.install"></a>4.1.1. Installation and Setup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.stepsummary.install">¶</a></span></h3></div></div></div><div class="variablelist"><dl><dt><span class="term">Setup From Scratch—With Internet Connection</span></dt><dd><p> For installation and initial setup, you need to execute the
       following basic steps: </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p> If using a stand-alone database: Preparing your database instance
         according to the formula provided in <a class="xref" href="ch-requirements.jsp" title="Chapter 3. Requirements">Chapter 3, <i>Requirements</i></a>.
        </p></li><li class="listitem"><p>
         <a class="xref" href="../../quickstart/en-US/sec.manager.inst.jsp#pro.manager.installation" title="Procedure 2. Installing the Appliance">Installing the Appliance</a>
        </p></li><li class="listitem"><p>
         <a class="xref" href="../../quickstart/en-US/sec.manager.inst.jsp#pro.manager.setup" title="Procedure 3. Setting Up SUSE Manager">Setting Up SUSE Manager</a>
        </p></li></ol></div></dd><dt><span class="term">Setup From Scratch—Without Internet Connection</span></dt><dd><p> For installation and initial setup, execute the same basic steps as
       listed above, but skip the registration of the product at NCC. For
       details, see <a class="xref" href="../../quickstart/en-US/sec.manager.inst.jsp#step.manager.install.register.ncc" title="Step 10">Step 10</a> in <a class="xref" href="../../quickstart/en-US/sec.manager.inst.jsp#pro.manager.installation" title="Procedure 2. Installing the Appliance">Procedure 2, “Installing the Appliance”</a>. </p><p> During basic configuration, the setup of Novell channels
       differs from the standard procedure: Instead of importing channels from
       NCC, you need to create custom channels, and add repositories to be
       synchronized with the custom channel. For details, refer to <a class="xref" href="../../reference/en-US/s1-sm-channels-packages.jsp" title="3.6. Channels">Section 3.6, “Channels”</a> and <a class="xref" href="../../reference/en-US/s1-sm-channels-packages.jsp#s3-chnl-mgmt-mng-repos" title="3.6.3.3. Manage Software Channels+Manage Repositories">Section 3.6.3.3, “<span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Manage Repositories</span>”</a>, respectively. </p></dd><dt><span class="term">Migration from a Satellite Server</span></dt><dd><p> Instead of setting up a SUSE Manager server from scratch, you can
       also migrate from an existing Satellite server. For details, refer to
        <a class="xref" href="../../quickstart/en-US/sec.manager.server.migration.jsp" title="6. Server Migration">Section 6, “Server Migration”</a>. </p></dd></dl></div></div><div class="section" title="4.1.2. Basic Configuration"><div class="titlepage"><div><div><h3 class="title"><a id="sec.stepsummary.config"></a>4.1.2. Basic Configuration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.stepsummary.config">¶</a></span></h3></div></div></div><p>
    To complete the basic SUSE Manager configuration, you need to execute the
    following steps:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#pro.manager.admin.account" title="Procedure 4. Creating the SUSE Manager Administrator Account">Creating the SUSE Manager Administrator Account</a>
     </p></li><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#pro.manager.nccsync" title="Procedure 5. Importing Novell Channels from NCC">Importing Novell Channels from NCC</a>
     </p><p>
      In case of disconnected setup with an internal update server like
      SMT, you need to create custom channels, and add repositories to be
      synchronized with the custom channels.
     </p></li><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#pro.manager.activationkey" title="Procedure 6. Creating Activation Keys">Creating Activation Keys</a>
     </p></li><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#pro.manager.generate.bootstrap" title="Procedure 7. Generating the Bootstrap Script">Generating the Bootstrap Script</a>
     </p></li><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#pro.manager.clients.register" title="Procedure 8. Editing the Bootstrap Script and Registering Clients">Editing the Bootstrap Script and Registering Clients</a>
     </p></li></ol></div><p>
    The following tasks are not part of the initial installation, setup, and
    configuration but they represent common tasks for basic administration
    and further configuration:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#sec.manager.config.organizations" title="5.4. Organization Management">Organization Management</a>
     </p></li><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#sec.manager.config.entitlements" title="5.5. Management of System and Software Entitlements">Management of System and Software Entitlements</a>
     </p></li><li class="listitem"><p>
      <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#sec.manager.config.users" title="5.6. User Management">User Management</a>
     </p></li></ul></div><p>
    After SUSE Manager is populated with standard channels and packages and all
    clients are connected to it, you may begin creating and serving custom
    channels and packages. Once the custom RPMs are developed, you can
    import them into SUSE Manager using <span class="command"><strong>mgrpush</strong></span>.
    
    In the SUSE Manager Web interface, add custom channels in which to store
    them.

   </p><p>
    As can be seen from the overview above, implementing a fully functional
    SUSE Manager requires more than installing software and a database. Many
    tasks extending beyond the basic installation and setup are covered in
    detail in other guides. For a full list of available documentation for
    this product, refer to <a class="xref" href="preface.susemanager.install.jsp" title="About This Guide">About This Guide</a>.
   </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="bk02ch03s03.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-troubleshooting.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.3. Additional Documentation </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 5. Troubleshooting</td></tr></table></div></body></html>
