<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 1. Conceptual Overview</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Installation Guide" /><link rel="prev" href="bk02pr01s03.jsp" title="3. Documentation Conventions" /><link rel="next" href="ch-example-topologies.jsp" title="Chapter 2. Example Topologies" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Conceptual Overview</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="bk02pr01s03.jsp">Prev</a> </td><th width="60%" align="center">Installation Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch-example-topologies.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 1. Conceptual Overview"><div class="titlepage"><div><div><h2 class="title"><a id="ch-intro-install"></a>Chapter 1. Conceptual Overview</h2></div></div></div><a id="id430766" class="indexterm"></a><a id="id430763" class="indexterm"></a><a id="id430738" class="indexterm"></a><p>
  SUSE Manager provides a solution to organizations requiring absolute control
  over and privacy of the maintenance and package deployment of their
  servers. It allows customers the greatest flexibility and power in keeping
  servers secure and updated.
 </p><p>
  Two types of SUSE Manager are available: One with a stand-alone database on a
  separate machine and one with an embedded database installed on the same
  machine as SUSE Manager. This guide describes the installation of both types
  of SUSE Manager.
 </p><p>
  Although the two types of SUSE Manager are functionally similar, some
  differences do exist. These variations are primarily isolated to hardware
  requirements, installation steps, and maintenance activities. They may
  also appear during troubleshooting. This guide identifies distinctions
  between the SUSE Manager types by marking the differing instructions as
  either <span class="emphasis"><em>Stand-Alone Database</em></span> or <span class="emphasis"><em>Embedded
  Database</em></span>.
  
 </p><p>
  SUSE Manager consists of the following components:
 </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
    Database — for the stand-alone, remote database, this may be the
    organization's existing database or, preferably, a separate machine. For
    a list of supported database versions, refer to the system requirements
    section.
    
    For the embedded database, the database comes bundled with SUSE Manager
    server and is installed on the same machine as SUSE Manager during the
    installation process.
   </p></li><li class="listitem"><p></p><p>
    SUSE Manager — core <span class="quote">“<span class="quote">business logic</span>”</span> and entry point for the
    update agent running on client systems (either Red Hat Update Agent on Red Hat Enterprise Linux
    clients or zypper on SUSE Linux Enterprise clients). The SUSE Manager server also includes
    an Apache HTTP Server (serving XML-RPC requests).
   </p></li><li class="listitem"><p>
    SUSE Manager Web interface — advanced system, system group, user, and
    channel management interface.
   </p></li><li class="listitem"><p>
    RPM Repository — repository for default packages (and custom RPM
    packages identified by the organization).
   </p></li><li class="listitem"><p>
    Management Tools:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="circle"><li class="listitem"><p>
      Database and file system synchronization tools
     </p></li><li class="listitem"><p>
      RPM importing tools
     </p></li><li class="listitem"><p>
      Channel maintenance tools (Web-based)
     </p></li><li class="listitem"><p>
      Patch management tools (Web-based)
     </p></li><li class="listitem"><p>
      User management tools (Web-based)
     </p></li><li class="listitem"><p>
      Client system and system grouping tools (Web-based)
     </p></li><li class="listitem"><p>
      An update agent

      on the client systems
     </p></li></ul></div></li></ul></div><p>
  The update agent

  on the client systems must be reconfigured to retrieve updates from the
  organization's internal SUSE Manager server.

  After this one-time reconfiguration, client systems may retrieve updates
  locally using the update agent, or system administrators may schedule
  actions through the SUSE Manager website.
 </p><div class="important" title="Latest Updates on Client Systems" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Latest Updates on Client Systems</h3><p>
   It is strongly recommended to install the latest system updates on any
   client system connected to SUSE Manager to ensure proper connectivity.
  </p></div><p>
  When a client requests updates, the organization's internal SUSE Manager
  server queries its database, authenticates the client system, identifies
  the updated packages available for the client system, and sends the
  requested RPMs back to the client system. Depending upon the client's
  preferences, the package may also be installed. If the packages are
  installed, the client system sends an updated package profile to the
  SUSE Manager database; those packages are removed from the list of outdated
  packages for the client.
 </p><p>
  The organization can configure the website for the SUSE Manager server to be
  accessible from the local area network only or from both the local area
  network and the Internet. Both setups allows full control over client
  systems, system groups, and users.
 </p><p>
  The SUSE Manager management tools are used to synchronize the SUSE Manager
  database and package repository with Novell Customer Center. The SUSE Manager import tool
  allows the system administrator to include custom RPM packages in the
  package repository.
 </p><p>
  SUSE Manager can be used in conjunction with a SUSE Manager Proxy Server to
  deliver a distributed, self-contained deployment for the organization. For
  example, an organization can maintain one SUSE Manager in a secure location.
  Any client systems with local network access to the SUSE Manager can connect
  to it. Other remote offices can maintain SUSE Manager proxy server
  installations that connect to the SUSE Manager server. The different
  locations inside the organization must be networked, but this can be a
  private network; an Internet connection is not required for any of the
  systems.

 </p><div class="figure"><a id="id440082"></a><p class="title"><b>Figure 1.1. Using SUSE Manager and SUSE Manager Proxy Server Together</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="600"><tr><td><img src="../../images/susemanager_overview.png" width="600" alt="Using SUSE Manager and SUSE Manager Proxy Server Together" /></td></tr></table></div></div></div><br class="figure-break" /><p>
  For an explanation of key terms in the SUSE Manager context, refer to
  <a class="xref" href="../../reference/en-US/cha.manager.glossary.jsp" title="Glossary">Glossary</a>.
 </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="bk02pr01s03.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-example-topologies.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3. Documentation Conventions </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 2. Example Topologies</td></tr></table></div></body></html>
