<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 3. Requirements</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Installation Guide" /><link rel="prev" href="s1-example-topologies-multiservers.jsp" title="2.3. SUSE Manager-Proxy Vertically Tiered Topology" /><link rel="next" href="s1-requirements-additional.jsp" title="3.2. Additional Requirements" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 3. Requirements</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-example-topologies-multiservers.jsp">Prev</a> </td><th width="60%" align="center">Installation Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-requirements-additional.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 3. Requirements"><div class="titlepage"><div><div><h2 class="title"><a id="ch-requirements"></a>Chapter 3. Requirements</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-requirements.jsp#s1-requirements-database">3.1. External Database Requirements</a></span></dt><dt><span class="section"><a href="s1-requirements-additional.jsp">3.2. Additional Requirements</a></span></dt><dt><span class="section"><a href="bk02ch03s03.jsp">3.3. Additional Documentation</a></span></dt></dl></div><a id="id409684" class="indexterm"></a><p>
  For requirements and prerequisites to be met before installation, refer to
  <a class="xref" href="../../quickstart/en-US/sec.manager.requirements.jsp" title="2. System Requirements">Section 2, “System Requirements”</a> and
  <a class="xref" href="../../quickstart/en-US/sec.manager.prerequisites.jsp" title="3. Prerequisites">Section 3, “Prerequisites”</a>. If you want to use SUSE Manager
  with an external database, refer to
  <a class="xref" href="ch-requirements.jsp#s1-requirements-database" title="3.1. External Database Requirements">Section 3.1, “External Database Requirements”</a>.
 </p><div xml:lang="en-US" class="section" title="3.1. External Database Requirements" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-requirements-database"></a>3.1. External Database Requirements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-requirements-database">¶</a></span></h2></div></div></div><a id="id409642" class="indexterm"></a><a id="id409632" class="indexterm"></a><a id="id333893" class="indexterm"></a><p>
   This section applies only to SUSE Manager if used in conjunction with a
   stand-alone database as the requirements for the embedded database are
   included in <a class="xref" href="../../quickstart/en-US/sec.manager.requirements.jsp" title="2. System Requirements">Section 2, “System Requirements”</a>.

   The stand-alone Database must not run on the same server as the
   SUSE Manager.
  </p><p>
   A single 6 GB tablespace is recommended as more than sufficient for most
   installations. It is possible for many customers to function with a
   smaller tablespace. An experienced Oracle database administrator (DBA)
   will be necessary to assess sizing issues. 
   
   However, keep in mind that the exact size of the database depends on many
   factors, like number of systems managed, numbers of packages installed on
   the average system, and numbers of packages imported. If you have 1000
   packages this needs approximately 100 MB in the database. Due to
   these factors, database storage may grow rapidly.
  </p><p>
   Although you should be generous in your database sizing estimates, you
   must consider that size affects the time to conduct backups and adds load
   to other system resources. If the database is shared, its hardware and
   spacing are entirely dependent on what else is using it.
  </p><p>
   Additionally, block sizes must be a minimum of 8 KB for SUSE Manager to
   install properly.
  </p><p>
   The Oracle database should have a user assigned to SUSE Manager with full
   DDL and DML access to that user's default tablespace. The user needs
   standard connection information for the database at the time of
   installation.
  </p><p>
   The precise access levels required by the Oracle user are as follows:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     ALTER SESSION
    </p></li><li class="listitem"><p>
     CREATE SEQUENCE
    </p></li><li class="listitem"><p>
     CREATE SYNONYM
    </p></li><li class="listitem"><p>
     CREATE TABLE
    </p></li><li class="listitem"><p>
     CREATE VIEW
    </p></li><li class="listitem"><p>
     CREATE PROCEDURE
    </p></li><li class="listitem"><p>
     CREATE TRIGGER
    </p></li><li class="listitem"><p>
     CREATE TYPE
    </p></li><li class="listitem"><p>
     CREATE SESSION
    </p></li></ul></div><p>
   Additional database requirements include:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Security Identifier (SID)
    </p></li><li class="listitem"><p>
     Listener Port
    </p></li><li class="listitem"><p>
     Username
    </p></li><li class="listitem"><p>
     UTF-8 character set
    </p></li></ul></div><p>
   Two additional <span class="emphasis"><em>suggested</em></span> recommendation for user's
   default tablespace include:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Uniform Extent Size
    </p></li><li class="listitem"><p>
     Auto Segment Space Management
    </p></li></ul></div><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    Ensure that the NLS/charset setting is set to "UTF8"' when
    using an external database, not 'AL32UTF8' or other charsets. Using
    other charsets may lead to problems later.
   </p></div><p>
   The disk layout on the database machine is independent of SUSE Manager and
   entirely up to the customer.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-example-topologies-multiservers.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-requirements-additional.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">2.3. SUSE Manager-Proxy Vertically Tiered Topology </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.2. Additional Requirements</td></tr></table></div></body></html>
