<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 5. Troubleshooting</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Installation Guide" /><link rel="prev" href="ch-installation.jsp" title="Chapter 4. Installation" /><link rel="next" href="s1-general-problem.jsp" title="5.2. General Problems" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 5. Troubleshooting</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-installation.jsp">Prev</a> </td><th width="60%" align="center">Installation Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-general-problem.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 5. Troubleshooting"><div class="titlepage"><div><div><h2 class="title"><a id="ch-troubleshooting"></a>Chapter 5. Troubleshooting</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-troubleshooting.jsp#s1-log-files">5.1. Log Files</a></span></dt><dt><span class="section"><a href="s1-general-problem.jsp">5.2. General Problems</a></span></dt><dt><span class="section"><a href="s1-host-not-found.jsp">5.3. Host Not Found/Could Not Determine FQDN</a></span></dt><dt><span class="section"><a href="s1-connection-errors.jsp">5.4. Connection Errors</a></span></dt><dt><span class="section"><a href="s1-satellite-debug.jsp">5.5. SUSE Manager Debugging</a></span></dt></dl></div><a id="id369811" class="indexterm"></a><p>
  This chapter provides tips for determining the cause of and resolving the
  most common errors associated with SUSE Manager. For services and support
  options available for your product, refer to
  <a class="ulink" href="http://www.novell.com/services/" target="_top">http://www.novell.com/services/</a>.

 </p><p>
  In addition, you may package configuration information and logs from
  SUSE Manager and send them to Novell for further diagnosis. Refer to
  <a class="xref" href="s1-satellite-debug.jsp" title="5.5. SUSE Manager Debugging">Section 5.5, “SUSE Manager Debugging”</a> for instructions.
 </p><div class="section" title="5.1. Log Files"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-log-files"></a>5.1. Log Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-log-files">¶</a></span></h2></div></div></div><a id="id369828" class="indexterm"></a><a id="id369815" class="indexterm"></a><p>
   Virtually every troubleshooting step should start with a look at the
   associated log file or files. These provide invaluable information about
   the activity that has taken place on the device or within the application
   that can be used to monitor performance and ensure proper configuration.
   See <a class="xref" href="ch-troubleshooting.jsp#tb-log-files" title="Table 5.1. Log Files">Table 5.1, “Log Files”</a> for the paths to all relevant log
   files:
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    There may be numbered log files (such as
    /var/log/rhn/rhn_satellite_install.log.1,
    /var/log/rhn/rhn_satellite_install.log.2, etc.) within the
    <code class="filename">/var/log/rhn/</code> directory. These are
    <em class="firstterm">rotated</em> logs, which are log files created with a
    .&lt;NUMBER&gt; extension when the current
    <code class="filename">rhn_satellite_install.log</code> file fills up to a size
    as specified by the <span class="command"><strong>logrotate(8)</strong></span> daemon and the
    contents written to a rotated log file. For example, the
    <code class="filename">rhn_satellite_install.log.1</code> contains the oldest
    rotated log file, while <code class="filename">rhn_satellite_install.log.4</code>
    contains the most recently rotated log.
   </p></div><div class="table"><a id="tb-log-files"></a><p class="title"><b>Table 5.1. Log Files</b></p><div class="table-contents"><table summary="Log Files" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Component/Task</th><th>Log File Location</th></tr></thead><tbody><tr><td>Apache Web server</td><td><code class="filename">/var/log/httpd/</code>
                  directory</td></tr><tr><td>SUSE Manager</td><td><code class="filename">/var/log/rhn/</code>
                  directory</td></tr><tr><td>SUSE Manager Installation
                      </td><td><code class="filename">/var/log/susemanager_setup.log</code>
      </td></tr><tr><td>Database installation (<span class="emphasis"><em>Embedded Database</em></span>)
      </td><td><code class="filename">/var/log/rhn/install_db.log</code>
      </td></tr><tr><td>Database population</td><td><code class="filename">/var/log/rhn/populate_db.log</code>
      </td></tr><tr><td><span class="application">SUSE Manager Synchronization
                  Tool</span>
      </td><td><code class="filename">/var/log/rhn/mgr-ncc-sync.log</code>
      </td></tr><tr><td>Monitoring infrastructure</td><td><code class="filename">/var/log/nocpulse/</code>
                  directory</td></tr><tr><td>Monitoring notifications</td><td><code class="filename">/var/log/notification/</code>
                  directory</td></tr><tr><td><span class="application">Task Engine</span> (taskomatic)</td><td><code class="filename">/var/log/messages</code>
      </td></tr><tr><td><span class="application">yum</span>
      </td><td><code class="filename">/var/log/yum.log</code>
      </td></tr><tr><td><span class="application">zypper</span>
      </td><td><code class="filename">/var/log/zypper.log</code>
      </td></tr><tr><td>XML-RPC transactions</td><td><code class="filename">/var/log/rhn/rhn_server_xmlrpc.log</code>
      </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-installation.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-general-problem.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 4. Installation </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.2. General Problems</td></tr></table></div></body></html>
