<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.4. Connection Errors</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-troubleshooting.jsp" title="Chapter 5. Troubleshooting" /><link rel="prev" href="s1-host-not-found.jsp" title="5.3. Host Not Found/Could Not Determine FQDN" /><link rel="next" href="s1-satellite-debug.jsp" title="5.5. SUSE Manager Debugging" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.4. Connection Errors</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-host-not-found.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Troubleshooting</th><td width="20%" align="right"> <a accesskey="n" href="s1-satellite-debug.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.4. Connection Errors"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-connection-errors"></a>5.4. Connection Errors<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-connection-errors">¶</a></span></h2></div></div></div><a id="id367286" class="indexterm"></a><a id="id337843" class="indexterm"></a><p>
   A common connection problem, indicated by SSL_CONNECT errors, is the
   result of a SUSE Manager server being installed on a machine whose time had
   been improperly set. During the installation process, SSL certificates
   are created with inaccurate times. If the time on SUSE Manager is then
   corrected, the certificate start date and time may be set in the future,
   making it invalid.
  </p><p>
   To troubleshoot this, check the date and time on the clients and on
   SUSE Manager with the following command:
  </p><pre class="screen">date</pre><p>
   The results should be nearly identical for all machines and within the
   "notBefore" and "notAfter" validity windows of the
   certificates. Check the client certificate dates and times with the
   following command:
  </p><pre class="screen">openssl x509 -dates -noout -in /usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT</pre><p>
   Check the SUSE Manager server certificate dates and times with the following
   command:
  </p><pre class="screen">openssl x509 -dates -noout -in /etc/httpd/conf/ssl.crt/server.crt</pre><p>
   By default, the server certificate has a one-year life while client
   certificates are good for 10 years. If you find the certificates are
   incorrect, you can either wait for the valid start time, if possible, or
   create new certificates, preferably with all system times set to GMT.
  </p><p>
   The following measures can be used to troubleshoot general connection
   errors:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Attempt to connect to SUSE Manager's database at the command line using
     the correct connection string as found in
     <code class="filename">/etc/rhn/rhn.conf</code>:
    </p><pre class="screen">
sqlplus <em class="replaceable"><code>username/password@sid</code></em>
</pre></li><li class="listitem"><p>
     Ensure SUSE Manager is using Network Time Protocol (NTP) and set to the
     appropriate time zone. This also applies to all client systems and the
     separate database machine in SUSE Manager (if used with a stand-alone
     database).
    </p></li><li class="listitem"><p>
     Confirm the correct package:
    </p><pre class="screen">rhn-org-httpd-ssl-key-pair-<em class="replaceable"><code>MACHINE_NAME-VER-REL</code></em>.noarch.rpm 
</pre><p>
     is installed on SUSE Manager and the corresponding
     <code class="filename">rhn-org-trusted-ssl-cert-*.noarch.rpm</code> or raw CA
     SSL public (client) certificate is installed on all client systems.
    </p></li><li class="listitem"><p>
     Verify the client systems are configured to use the appropriate
     certificate.
    </p></li><li class="listitem"><p>
     If also using one or more SUSE ManagerProxy Servers, ensure each Proxy's
     SSL certificates are prepared correctly. The Proxy should have both its
     own server SSL key-pair and CA SSL public (client) certificate
     installed, since it will serve in both capacities. Refer to
     <a class="xref" href="../../client-config/en-US/ch-certificates.jsp" title="Chapter 3. SSL Infrastructure">Chapter 3, <i>SSL Infrastructure</i></a> for specific instructions.
    </p></li><li class="listitem"><p>
     Make sure client systems are not using firewalls of their own, blocking
     required ports.
    </p></li></ul></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-host-not-found.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-troubleshooting.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-satellite-debug.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.3. Host Not Found/Could Not Determine FQDN </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.5. SUSE Manager Debugging</td></tr></table></div></body></html>
