<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.2. General Problems</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-troubleshooting.jsp" title="Chapter 5. Troubleshooting" /><link rel="prev" href="ch-troubleshooting.jsp" title="Chapter 5. Troubleshooting" /><link rel="next" href="s1-host-not-found.jsp" title="5.3. Host Not Found/Could Not Determine FQDN" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.2. General Problems</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-troubleshooting.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Troubleshooting</th><td width="20%" align="right"> <a accesskey="n" href="s1-host-not-found.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.2. General Problems"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-general-problem"></a>5.2. General Problems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-general-problem">¶</a></span></h2></div></div></div><a id="id344814" class="indexterm"></a><a id="id409477" class="indexterm"></a><a id="id440057" class="indexterm"></a><a id="id358403" class="indexterm"></a><a id="id456295" class="indexterm"></a><a id="id328585" class="indexterm"></a><p>
   To begin troubleshooting general problems, examine the log file or files
   related to the component exhibiting failures.

  </p><p>
   A common issue is full disk space. An almost sure sign of this is the
   appearance of halted writing in the log files. If logging stopped during
   a write, such as mid-word, you likely have filled disks. To confirm this,
   run this command and check the percentages in the
   <span class="guilabel">Use%</span> column:
  </p><pre class="screen">df -h</pre><p>
   In addition to log files, you can obtain valuable information by
   retrieving the status of your SUSE Manager and its various components. This
   can be done with the command:
  </p><pre class="screen">/usr/sbin/spacewalk-service status</pre><p>
   In addition, you can obtain the status of components such as the Apache
   Web server and the <span class="application">Task Engine</span> individually.
   For instance, to view the status of the Apache Web server, run the
   command:
  </p><pre class="screen">rcapache2 status</pre><p>
   If the Apache Web server is not running, entries in your
   <code class="filename">/etc/hosts</code> file may be incorrect. Refer to
   <a class="xref" href="s1-host-not-found.jsp" title="5.3. Host Not Found/Could Not Determine FQDN">Section 5.3, “Host Not Found/Could Not Determine FQDN”</a> for a description of this problem and
   possible solutions.
  </p><p>
   To obtain the status of the <span class="application">Task Engine</span>, run
   the command:
  </p><pre class="screen">rctaskomatic status</pre><p>
   To obtain the status of SUSE Manager's embedded database, if it exists, run
   the command:
  </p><pre class="screen">service oracle status</pre><p>
   To determine the version of your database schema, run the command:
  </p><pre class="screen">rhn-schema-version</pre><p>
   To derive the character set types of your SUSE Manager's database, run the
   command:
  </p><pre class="screen">rhn-charsets</pre><p>
   If the administrator is not getting email from SUSE Manager, confirm the
   correct email addresses have been set for <code class="option">traceback_mail</code>
   in <code class="filename">/etc/rhn/rhn.conf</code>.
  </p><p>
   If the traceback mail is marked from
   <code class="literal">susemanager@suse.de</code> and you would like the address to
   be valid for your organization, include the
   <code class="option">web.default_mail_from</code> option and appropriate value in
   <code class="filename">/etc/rhn/rhn.conf</code>.
  </p><p>
   If importing

   a channel fails and you cannot recover it in any other way, run this
   command to delete the cache:
  </p><pre class="screen">
rm -rf <em class="replaceable"><code>temporary-directory</code></em>
</pre><p>
   Next, restart the importation

   .
  </p><p>
   If <span class="command"><strong>zypper up</strong></span>) or the push capability of SUSE Manager
   ceases to function, it is possible that old log files may be at fault.
   Stop the <code class="systemitem">jabberd</code> daemon before
   removing these files. To do so, issue the following commands as root:
  </p><pre class="screen">rcjabberd stop
cd /var/lib/jabberd
rm -f _db*
rcjabberd start</pre></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-troubleshooting.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-troubleshooting.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-host-not-found.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 5. Troubleshooting </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.3. Host Not Found/Could Not Determine FQDN</td></tr></table></div></body></html>
