<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.3. Host Not Found/Could Not Determine FQDN</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-troubleshooting.jsp" title="Chapter 5. Troubleshooting" /><link rel="prev" href="s1-general-problem.jsp" title="5.2. General Problems" /><link rel="next" href="s1-connection-errors.jsp" title="5.4. Connection Errors" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.3. Host Not Found/Could Not Determine FQDN</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-general-problem.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Troubleshooting</th><td width="20%" align="right"> <a accesskey="n" href="s1-connection-errors.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.3. Host Not Found/Could Not Determine FQDN"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-host-not-found"></a>5.3. Host Not Found/Could Not Determine FQDN<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-host-not-found">¶</a></span></h2></div></div></div><a id="id422522" class="indexterm"></a><a id="id336507" class="indexterm"></a><p>
   Because SUSE Manager configuration files rely exclusively on fully qualified
   domain names (FQDN), it is imperative key applications are able to
   resolve the name of the SUSE Manager server into an IP address.
   <span class="application">Red Hat Update Agent</span>,

   , and the Apache Web server are particularly prone to this problem with
   the applications issuing errors of "host not found" and the Web
   server stating "Could not determine the server's fully qualified
   domain name" upon failing to start.
  </p><p>
   This problem typically originates from the
   <code class="filename">/etc/hosts</code> file. You may confirm this by examining
   <code class="filename">/etc/nsswitch.conf</code>, which defines the methods and
   the order by which domain names are resolved. Usually, the
   <code class="filename">/etc/hosts</code> file is checked first, followed by
   Network Information Service (NIS) if used, followed by DNS. One of these
   has to succeed for the Apache Web server to start and the client
   applications to work.
  </p><p>
   To resolve this problem, identify the contents of the
   <code class="filename">/etc/hosts</code> file. It may look like this:
  </p><pre class="screen">
127.0.0.1 this_machine.example.com this_machine localhost.localdomain \ localhost
</pre><p>
   In a text editor, remove the offending machine information:
  </p><pre class="screen">
127.0.0.1 localhost.localdomain.com localhost
</pre><p>
   Save the file and attempt to re-run the client applications or the Apache
   Web server. If they still fail, explicitly identify SUSE Manager server's IP
   address in the file, such as:
  </p><pre class="screen">
127.0.0.1 localhost.localdomain.com localhost
123.45.67.8 this_machine.example.com this_machine
</pre><p>
   Replace the value here with the actual IP address of the SUSE Manager
   server. This should resolve the problem. Keep in mind, if the specific IP
   address is stipulated, the file will need to be updated when the machine
   obtains a new address.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-general-problem.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-troubleshooting.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-connection-errors.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.2. General Problems </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.4. Connection Errors</td></tr></table></div></body></html>
