<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.9. Automating Synchronization</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-conduct-sat-tasks.jsp" title="6.8. Conducting SUSE Manager-Specific Tasks" /><link rel="next" href="s1-maintenance-pam-auth.jsp" title="6.10. Implementing PAM Authentication" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.9. Automating Synchronization</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-conduct-sat-tasks.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-maintenance-pam-auth.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.9. Automating Synchronization"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-maintenance-auto-sync"></a>6.9. Automating Synchronization<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-maintenance-auto-sync">¶</a></span></h2></div></div></div><a id="id396879" class="indexterm"></a><a id="id396886" class="indexterm"></a><p>
   Manually synchronizing the SUSE Manager repository with Novell Customer Center can be a
   time-intensive task. United States business hours tend to be the peak
   usage time for Novell Customer Center, so synchronization at that time may be slow. For
   these reasons, Novell encourages you to automate synchronization at
   other times to better balance load and ensure quick synchronization.
   Continental United States business hours are roughly 8:00 AM to 9:00 PM
   EST (UTC -5), due to four time zones, Monday through Friday. These hours
   may vary seasonally by one hour. <span class="emphasis"><em>Further, Novell strongly
   recommends that synchronization occur randomly for best
   performance.</em></span>
  </p><p>
   This automation can be set easily by the addition of a simple cron job.
   To do this, edit the crontab as root:
  </p><pre class="screen">crontab -e</pre><p>
   This opens the crontab in a text editor, by default Vi. Another editor
   can be used by first changing the <code class="option">EDITOR</code> variable, like
   so: <span class="command"><strong>export EDITOR=emacs</strong></span>.
  </p><p>
   Once opened, use the first five fields (minute, hour, day, month, and
   weekday) to schedule the synchronization. Remember, hours use military
   time. Edit the crontab to include random synchronization, like so:
  </p><pre class="screen">0 1 * * * perl -le 'sleep rand 9000' &amp;&amp; mgr-ncc-sync &gt;/dev/null \
2&gt;/dev/null</pre><p>
   This particular job will run randomly between 1:00 a.m. and 3:30 a.m.
   system time each night and redirect <code class="literal">stdout</code> and
   <code class="literal">stderr</code> from <span class="command"><strong>cron</strong></span> to prevent
   duplicating the more easily read message from
   <span class="command"><strong>mgr-ncc-sync</strong></span>. Options other than <code class="option">--email</code>
   can also be included.

   Once you exit from the editor, the modified crontab is installed
   immediately.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-conduct-sat-tasks.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-maintenance-pam-auth.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.8. Conducting SUSE Manager-Specific Tasks </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.10. Implementing PAM Authentication</td></tr></table></div></body></html>
