<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.3. Backing Up SUSE Manager</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-maintenance-update.jsp" title="6.2. Updating SUSE Manager" /><link rel="next" href="s1-use-db-control.jsp" title="6.4. Using DB Control" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.3. Backing Up SUSE Manager</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-maintenance-update.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-use-db-control.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.3. Backing Up SUSE Manager"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-maintenance-backup"></a>6.3. Backing Up SUSE Manager<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-maintenance-backup">¶</a></span></h2></div></div></div><a id="id451328" class="indexterm"></a><p>
   Backing up SUSE Manager can be done in several ways. Regardless of the
   method chosen, the associated database also needs to be backed up. For
   the stand-alone database, consult your organization's database
   administrator. For the embedded database, refer to
   <a class="xref" href="s1-use-db-control.jsp" title="6.4. Using DB Control">Section 6.4, “Using DB Control”</a> for a complete description of this
   process and the options available.
  </p><p>
   Here are the minimum files and directories Novell recommends backing
   up:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <code class="filename">/rhnsat/</code> - embedded database only (never to be
     backed up while the database is running - refer to
     <a class="xref" href="s1-use-db-control.jsp#s2-rhn-db-control-backup" title="6.4.2. Backing up the Database">Section 6.4.2, “Backing up the Database”</a>)
    </p></li><li class="listitem"><p>
     <code class="filename">/etc/sysconfig/rhn/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/etc/rhn/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/etc/sudoers</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/etc/tnsnames.ora</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/srv/www/htdocs/pub/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/var/spacewalk/packages/1</code> - custom RPMs
    </p></li><li class="listitem"><p>
     <code class="filename">/root/.gnupg/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/root/ssl-build/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/etc/dhcp.conf</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/tftpboot/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/var/lib/cobbler/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/var/lib/rhn/kickstarts/</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/srv/www/cobbler</code>
    </p></li><li class="listitem"><p>
     <code class="filename">/var/lib/nocpulse/</code>
    </p></li></ul></div><p>
   If possible, back up <code class="filename">/var/spacewalk/</code>, as well. In
   case of failure, this will save lengthy download time. Since
   <code class="filename">/var/spacewalk/</code> (specifically
   <code class="filename">/var/spacewalk/packages/NULL/</code>) is primarily a
   duplicate of the package repository, it can be regenerated with
   <code class="filename">mgr-ncc-sync</code>. Novell recommends the entire
   <code class="filename">/var/spacewalk/</code> tree be backed up. In the case of
   disconnected satellites,
   <code class="filename">/var/spacewalk/</code><span class="emphasis"><em>must</em></span> be backed
   up.
  </p><p>
   Backing up only these files and directories would require reinstalling
   the SUSE Manager ISO RPMs and re-registering SUSE Manager. In addition, packages
   would need to be resynchronized using the <code class="filename">mgr-ncc-sync</code>
   tool. Finally, you would have to reinstall the
   <code class="filename">/root/ssl-build/\
   rhn-org-httpd-ssl-key-pair-<em class="replaceable"><code>MACHINE_NAME-VER-REL</code></em>.noarch.rpm</code>.
  </p><p>
   Another method would be to back up all of the files and directories
   mentioned above but reinstall the SUSE Manager without re-registering it.
   During the installation, cancel or skip the registration and SSL
   certificate generation sections.
  </p><p>
   The final and most comprehensive method would be to back up the entire
   machine. This would save time in downloading and re-installing but would
   require additional disk space and back up time.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    Regardless of the back-up method used, when you restore SUSE Manager from a
    back-up, you must run the following command to schedule the recreation
    of search indexes the next time the <span class="command"><strong>rhn-search</strong></span>
    service is started:
   </p><pre class="screen">rcrhn-search cleanindex</pre></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-maintenance-update.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-use-db-control.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.2. Updating SUSE Manager </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.4. Using DB Control</td></tr></table></div></body></html>
