<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.10. Implementing PAM Authentication</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-maintenance-auto-sync.jsp" title="6.9. Automating Synchronization" /><link rel="next" href="s1-maintenance-push-clients.jsp" title="6.11. Enabling Push to Clients" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.10. Implementing PAM Authentication</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-maintenance-auto-sync.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-maintenance-push-clients.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.10. Implementing PAM Authentication"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-maintenance-pam-auth"></a>6.10. Implementing PAM Authentication<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-maintenance-pam-auth">¶</a></span></h2></div></div></div><a id="id371758" class="indexterm"></a><p>
   As security measures become increasingly complex, administrators must be
   given tools that simplify their management. For this reason, SUSE Manager
   supports network-based authentication systems via Pluggable
   Authentication Modules (PAM). PAM is a suite of libraries that helps
   system administrators integrate SUSE Manager with a centralized
   authentication mechanism, thus eliminating the need for remembering
   multiple passwords.
  </p><p>
   SUSE Manager supports LDAP, Kerberos, and other network-based authentication
   systems via PAM. To enable SUSE Manager to use PAM and your organization's
   authentication infrastructure, follow the steps below.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    To ensure that PAM authentication functions properly, install the
    pam-devel package.
   </p></div><p>
   Set up a PAM service file (usually
   <code class="filename">/etc/pam.d/susemanager</code>) and have SUSE Manager use it by
   adding the following line to <code class="filename">/etc/rhn/rhn.conf</code>:
  </p><pre class="screen">pam_auth_service = susemanager</pre><p>
   This assumes the PAM service file is named
   <code class="filename">susemanager</code>.
  </p><p>
   To enable a user to authenticate against PAM, select the checkbox labeled
   <span class="guilabel">Pluggable Authentication Modules (PAM)</span>. It is
   positioned below the password and password confirmation fields on the
   <span class="guilabel">Create User</span> page.
  </p><p>
   As an example, for a Red Hat Enterprise Linux 5 i386 system, to
   authenticate against Kerberos one could put the following in
   <code class="filename">/etc/pam.d/susemanager</code>:
  </p><pre class="screen">#%PAM-1.0
auth        required      pam_env.so
auth        sufficient    pam_krb5.so no_user_check
auth        required      pam_deny.so
account     required      pam_krb5.so no_user_check</pre><p>
   Please note that changing the password on the SUSE Manager website changes
   only the local password on the SUSE Manager, which may not be used at all if
   PAM is enabled for that user. In the above example, for instance, the
   Kerberos password will not be changed.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-maintenance-auto-sync.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-maintenance-push-clients.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.9. Automating Synchronization </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.11. Enabling Push to Clients</td></tr></table></div></body></html>
