<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.11. Enabling Push to Clients</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-maintenance-pam-auth.jsp" title="6.10. Implementing PAM Authentication" /><link rel="next" href="../../reference/en-US/index.jsp" title="Reference Guide" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.11. Enabling Push to Clients</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-maintenance-pam-auth.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="../../reference/en-US/index.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.11. Enabling Push to Clients"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-maintenance-push-clients"></a>6.11. Enabling Push to Clients<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-maintenance-push-clients">¶</a></span></h2></div></div></div><a id="id361902" class="indexterm"></a><a id="id339291" class="indexterm"></a><a id="id339298" class="indexterm"></a><p>
   In addition to allowing client systems to regularly poll SUSE Manager for
   scheduled actions, you may enable it to immediately initiate those tasks
   on provisioning-entitled systems. This bypasses the typical delay between
   scheduling an action and the client system checking in to retrieve it.
   This support is provided by the OSA dispatcher
   (<code class="systemitem">osad</code>).
  </p><p>
   OSA dispatcher is a service that periodically runs a query that checks
   the SUSE Manager server to see if there are any commands to be executed on
   the client. If there are, it sends a message through
   <code class="systemitem">jabberd</code> to the
   <code class="systemitem">osad</code> instances running on the
   clients.
  </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    SSL must be employed between SUSE Manager and its clients systems for this
    feature to work. If the SSL certificates are not available, the daemon
    on the client system fails to connect.
   </p></div><p>
   To take advantage of this feature, you must first configure your firewall
   rules to allow connections on the required port(s), as described in
   <a class="xref" href="s1-requirements-additional.jsp" title="3.2. Additional Requirements">Section 3.2, “Additional Requirements”</a>.
  </p><p>
   Then you must install the
   <code class="systemitem">osa-dispatcher</code> package,
   which can be found in the SUSE Manager software channel. Once installed,
   start the service on as <code class="systemitem">root</code> using the command:
  </p><pre class="screen">rcosa-dispatcher start</pre><p>
   Finally, install the <code class="systemitem">osad</code>
   package on all <span class="emphasis"><em>client</em></span> systems to receive pushed
   actions. The package can be found within the Tools child channel for the
   systems on SUSE Manager.
  </p><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
    Do <span class="emphasis"><em>not</em></span> install the
    <code class="systemitem">osad</code> package on the
    SUSE Manager server, as it will conflict with the
    <code class="filename">osa-dispatcher</code> package.
   </p></div><p>
   Once installed, start the service on the client systems as root using the
   command:
  </p><pre class="screen">rcosad start</pre><p>
   Like other services, <span class="command"><strong>rcosa-dispatcher</strong></span> and
   <span class="command"><strong>rcosad</strong></span> accept <span class="command"><strong>stop</strong></span>,
   <span class="command"><strong>restart</strong></span>, and <span class="command"><strong>status</strong></span> commands, as
   well.
  </p><p>
   Keep in mind, this feature depends on the client system recognizing the
   fully qualified domain name (FQDN) of SUSE Manager. This name and not the IP
   address of the server must be used when configuring the <span class="application">YaST
   Online Update</span>.
  </p><p>
   Now when you schedule actions from SUSE Manager on any of the push-enabled
   systems, the task will begin immediately rather than wait for the system
   to check in.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-maintenance-pam-auth.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="../../reference/en-US/index.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.10. Implementing PAM Authentication </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Reference Guide</td></tr></table></div></body></html>
