<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.2. Updating SUSE Manager</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="next" href="s1-maintenance-backup.jsp" title="6.3. Backing Up SUSE Manager" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.2. Updating SUSE Manager</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-maintenance.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-maintenance-backup.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.2. Updating SUSE Manager"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-maintenance-update"></a>6.2. Updating SUSE Manager<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-maintenance-update">¶</a></span></h2></div></div></div><a id="id367914" class="indexterm"></a><p> If any critical updates are made to SUSE Manager, they will be
   released in the form of a patch for SUSE Manager. Find a generic description on how
   to apply patches in 
   <a class="xref" href="s1-maintenance-update.jsp#pro.manager.update.generic" title="Procedure 6.1. Updating a SUSE Manager Server">Procedure 6.1, “Updating a SUSE Manager Server”</a>. Note that specific
   instructions may apply depending on the patch.</p><p>For SUSE Manager systems that may be connected to the Internet, the
   best method for applying these patches is using <span class="command"><strong>zypper</strong></span> or
   YaST Online Update. Proper registration at Novell Customer Center is mandatory for
   the system to receive updates. For details, refer to <a class="xref" href="../../quickstart/en-US/sec.manager.inst.jsp" title="4. Installation and Setup">Section 4, “Installation and Setup”</a>. SUSE Manager systems that may not be
   connected to the Internet (disconnected setup) will receive updates from an
   internal update server instead.</p><div class="procedure" title="Procedure 6.1. Updating a SUSE Manager Server"><a id="pro.manager.update.generic"></a><p class="title"><b>Procedure 6.1. Updating a SUSE Manager Server</b></p><p>As soon as SUSE Manager is up and running and the database is
    configured, updating the server requires more than executing
    <span class="command"><strong>zypper patch</strong></span> (or running YaST Online Update
    alternatively).</p><p>The steps below describe the generic procedure, but depending on the
    patch, specific instructions may apply.</p><div class="warning" title="Read Patch Advisory" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Read Patch Advisory</h3><p>Before applying any updates, make sure to read the patch advisory.
     Additional configuration steps may be required to apply certain updates,
     especially if they involve the database. In such cases, the advisory will
     contain specific and detailed information about necessary steps that may be
     required.</p></div><ol class="procedure" type="1"><li class="step" title="Step 1"><p>Log in as <code class="systemitem">root</code> user to the SUSE Manager server.</p></li><li class="step" title="Step 2"><p>Stop the Spacewalk service: </p><pre class="screen">spacewalk-service stop</pre><p>If the SUSE Manager database is running on the same machine as the
     SUSE Manager server, this command also stops the SUSE Manager database
     instance.</p></li><li class="step" title="Step 3"><p>Apply the patch using either <span class="command"><strong>zypper patch</strong></span> or
     YaST Online Update. For more information about
     <span class="command"><strong>zypper</strong></span> or YaST Online Update, refer to <a class="xref" href="../../reference/en-US/ch-pup.jsp#pup-sle" title="1.1. Updating Packages on SLE">Section 1.1, “Updating Packages on SLE”</a>.</p></li><li class="step" title="Step 4"><p>If the patch includes an update of the database schema, proceed as
     follows (otherwise skip the substeps below):</p><ol type="a" class="substeps"><li class="step" title="Step 4.a"><p>If the SUSE Manager database is running on the same machine as your
       SUSE Manager server, start the database instance with </p><pre class="screen">/etc/init.d/oracle-xe start</pre></li><li class="step" title="Step 4.b"><p>Upgrade the database schema with </p><pre class="screen">spacewalk-schema-upgrade</pre></li></ol></li><li class="step" title="Step 5"><p>Start the Spacewalk service:</p><pre class="screen">spacewalk-service start</pre></li></ol></div><div class="important" title="Restart of Services and Applications" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Restart of Services and Applications</h3><p>Services affected by a package update are not automatically restarted
    after the update—you need to restart them manually to avoid
    failures.</p><p>Also execute <span class="command"><strong>zypper ps</strong></span> to check for any applications
    that still use old code. Restart those applications.</p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-maintenance.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-maintenance-backup.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 6. Maintenance </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.3. Backing Up SUSE Manager</td></tr></table></div></body></html>
