<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.6. Establishing Redundant SUSE Manager server with stand-alone database</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-clone-satellite.jsp" title="6.5. Cloning SUSE Manager with the embedded database" /><link rel="next" href="s1-satellite-hostname.jsp" title="6.7. Changing the SUSE Manager Hostname" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.6. Establishing Redundant SUSE Manager server with stand-alone database</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-clone-satellite.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-satellite-hostname.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.6. Establishing Redundant SUSE Manager server with stand-alone database"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-redundant-satellite"></a>6.6. Establishing Redundant SUSE Manager server with stand-alone database<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-redundant-satellite">¶</a></span></h2></div></div></div><a id="id467984" class="indexterm"></a><a id="id375748" class="indexterm"></a><p>
   In keeping with the cloning option available to SUSE Manager with embedded
   database, you may limit outages on SUSE Manager servers with stand-alone
   database by preparing redundant SUSE Manager servers. Unlike cloning a
   SUSE Manager with embedded database, redundant SUSE Manager servers with
   stand-alone database may be run as active, as well as standby. This is
   entirely up to your network topology and is independent of the steps
   listed here.
  </p><p>
   To establish this redundancy, first install the primary SUSE Manager server
   normally, except the value specified in the Common Name field for the SSL
   certificate must represent your high-availability configuration, rather
   than the hostname of the individual server. Then:
  </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
     Prepare the stand-alone database for failover using Oracle's
     recommendations for building a fault-tolerant database. Consult your
     database administrator.
    </p></li><li class="listitem"><p>
     Install SUSE Manager with stand-alone database

     on a separate machine, skipping the database configuration, database
     schema, SSL certificate, and bootstrap script generation steps. Include
     the same Novell Customer Center account and database connection information provided
     during the initial SUSE Manager install and register the new SUSE Manager
     server.
    </p><p>
     If your original SSL certificate does not take your high-availability
     solution into account, you may create a new one with a more appropriate
     Common Name value now. In this case, you may also generate a new
     bootstrap script that captures this new value.
    </p></li><li class="listitem"><p>
     After installation, copy the following files from the primary to the
     secondary SUSE Manager:
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       <code class="filename">/etc/rhn/rhn.conf</code>
      </p></li><li class="listitem"><p>
       <code class="filename">/etc/tnsnames.ora</code>
      </p></li></ul></div></li><li class="listitem"><p>
     Copy and install the server-side SSL certificate RPMs from the primary
     SUSE Manager to the secondary.
     
     Refer to the Sharing Certificates section of the Client Configuration Guide
     for precise instructions. Remember, the Common Name value must
     represent the combined SUSE Manager solution, not a single machine's
     hostname.
    </p><p>
     If you generated a new SSL certificate during SUSE Manager installation
     that included a new Common Name value, copy the SSL certificate RPMs
     from the secondary to the primary server and redistribute the
     client-side certificate. If you also created another bootstrap script,
     you may use this to install the certificate on client systems.
    </p></li><li class="listitem"><p>
     If you did not create a new bootstrap script, copy the contents of
     <code class="filename">/srv/www/htdocs/pub/bootstrap/</code> from the primary
     server to the secondary. If you did generate a new one, copy that
     directory's contents to the primary SUSE Manager.
    </p></li><li class="listitem"><p>
     Turn off the <span class="application">Task Engine</span> on the secondary
     server with the following command:
    </p><pre class="screen">rctaskomatic stop</pre><p>
     You may use custom scripting or other means to establish automatic
     start-up/failover of the <span class="application">Task Engine</span> on the
     secondary server. Regardless, it will need to be started upon failover.
    </p></li><li class="listitem"><p>
     Share channel package data (by default located in
     <code class="filename">/var/spacewalk</code>) between the SUSE Manager servers over
     some type of networked storage device. This eliminates data replication
     and ensures a consistent store of data for each SUSE Manager.
    </p></li><li class="listitem"><p>
     Share cache data (by default located in
     <code class="filename">/var/cache/rhn</code>) between the SUSE Manager servers over
     some type of networked storage device. This eliminates data replication
     and ensures a consistent store of cached data for each server.
    </p></li><li class="listitem"><p>
     Make the various SUSE Manager servers available on your network via Common
     Name and a method suiting your infrastructure. Options include
     round-robin DNS, a network load balancer, and a reverse-proxy setup.
    </p></li></ol></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-clone-satellite.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-satellite-hostname.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.5. Cloning SUSE Manager with the embedded database </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.7. Changing the SUSE Manager Hostname</td></tr></table></div></body></html>
