<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.2. Additional Requirements</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-requirements.jsp" title="Chapter 3. Requirements" /><link rel="prev" href="ch-requirements.jsp" title="Chapter 3. Requirements" /><link rel="next" href="bk02ch03s03.jsp" title="3.3. Additional Documentation" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.2. Additional Requirements</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-requirements.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. Requirements</th><td width="20%" align="right"> <a accesskey="n" href="bk02ch03s03.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.2. Additional Requirements" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-requirements-additional"></a>3.2. Additional Requirements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-requirements-additional">¶</a></span></h2></div></div></div><a id="id409409" class="indexterm"></a><a id="id409400" class="indexterm"></a><a id="id333960" class="indexterm"></a><a id="id409381" class="indexterm"></a><a id="id409374" class="indexterm"></a><a id="id409359" class="indexterm"></a><a id="id334011" class="indexterm"></a><a id="id409352" class="indexterm"></a><a id="id409346" class="indexterm"></a><a id="id409340" class="indexterm"></a><a id="id409335" class="indexterm"></a><a id="id409330" class="indexterm"></a><a id="id409320" class="indexterm"></a><a id="id409308" class="indexterm"></a><a id="id409300" class="indexterm"></a><a id="id409290" class="indexterm"></a><a id="id409280" class="indexterm"></a><a id="id409272" class="indexterm"></a><a id="id409247" class="indexterm"></a><a id="id409253" class="indexterm"></a><a id="id409235" class="indexterm"></a><a id="id409237" class="indexterm"></a><p>
   The following additional requirements must be met before the SUSE Manager
   installation:
  </p><div class="important" title="Network Setup" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Network Setup</h3><p>
    For correct installation and setup of SUSE Manager, make sure the following
    requirements are fulfilled:
   </p><div class="variablelist"><dl><dt><span class="term">Fully Qualified Domain Name (FQDN)</span></dt><dd><p>
       The system on which to install SUSE Manager must resolve its own FQDN
       properly. If this is not the case, cookies will not work properly on
       the Web interface.
      </p></dd><dt><span class="term">Hostname and IP Address</span></dt><dd><p>
       To guarantee that SUSE Manager's domain name can be resolved by its
       clients, the server and the client machines must be linked to a
       working Domain Name Server (DNS) server in the customer environment.
      </p><p>
       The hostname of the SUSE Manager server must not contain uppercase
       letters as this might cause
       <code class="systemitem">jabberd</code> to fail.
      </p></dd></dl></div></div><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Full Access
    </p><p>
     Client systems need full network access to the SUSE Manager solution's
     services and ports.
    </p></li><li class="listitem"><p>
     Firewall Rules
    </p><p>
     We strongly recommend firewalling the SUSE Manager solution from the
     Internet.

    </p></li><li class="listitem"><p>
     Synchronized System Times
    </p><p>
     The connection to the Web server via Secure Sockets Layer (SSL)
     requires correct timing of both server and clients. For this reason,
     SUSE Manager server and all client systems must use NTP. If SUSE Manager is
     used in conjunction with a stand-alone database, the machine of the
     separate database must be set to the same time zone as SUSE Manager.
    </p></li><li class="listitem"><p>
     An Novell Customer Center Account
    </p><p>
     For using SUSE Manager, you need an account at the Novell Customer Center (NCC) where your
     purchased products and product subscriptions are defined.
    </p></li><li class="listitem"><p>
     Backups of login information in multiple secure places
    </p><p>
     Record all relevant usernames, passwords and other login information.
     For SUSE Manager, this includes usernames and passwords for the
     Organization Administrator account

     , the primary administrator account on SUSE Manager itself, SSL
     certificate generation, and database connection (which also requires a
     SID, or net service name). We strongly recommend this information be
     copied onto two separate electronic media, printed out on paper, and
     stored in a fireproof safe.
    </p></li></ul></div><p>
   In addition to these requirements, it is recommended to configure
   SUSE Manager in the following manner:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     The entire SUSE Manager solution should be protected by a firewall if the
     SUSE Manager server accesses or is accessed via the Internet. An Internet
     connection is not required for SUSE Manager servers running in completely
     disconnected environments.
     

    </p></li><li class="listitem"><p>
     All unnecessary ports should be firewalled off. Client systems connect
     to SUSE Manager over ports 80, 443, and 4545 (if monitoring is enabled).
     In addition, if you plan to enable the pushing of actions from
     SUSE Manager to client systems, as described in
     <a class="xref" href="s1-maintenance-push-clients.jsp" title="6.11. Enabling Push to Clients">Section 6.11, “Enabling Push to Clients”</a>, you must allow inbound
     connections on port 5222. Finally, if SUSE Manager will also push to a
     SUSE Manager proxy, you must also allow inbound connections on port 5269.
    </p></li><li class="listitem"><p>
     No system components should be directly, publicly available. No user
     other than the system administrators should have shell access to these
     machines.
    </p></li><li class="listitem"><p>
     All unnecessary services should be disabled using
     <span class="command"><strong>chkconfig</strong></span>.
    </p></li><li class="listitem"><p>
     The <code class="filename">httpd</code> service should be enabled.
    </p></li><li class="listitem"><p>
     If SUSE Manager serves monitoring-entitled systems and you wish to
     acknowledge via email the alert notifications you receive, you must
     have installed and configured a mail transfer agent such as
     <span class="application">sendmail</span> or <span class="application">postfix
     </span> to properly handle incoming mail. This can be done with
     YaST.
    </p></li></ul></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-requirements.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-requirements.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="bk02ch03s03.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 3. Requirements </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.3. Additional Documentation</td></tr></table></div></body></html>
