<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.4. Using DB Control</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-maintenance-backup.jsp" title="6.3. Backing Up SUSE Manager" /><link rel="next" href="s1-clone-satellite.jsp" title="6.5. Cloning SUSE Manager with the embedded database" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.4. Using DB Control</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-maintenance-backup.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-clone-satellite.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.4. Using DB Control"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-use-db-control"></a>6.4. Using DB Control<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-use-db-control">¶</a></span></h2></div></div></div><a id="id408607" class="indexterm"></a><p>
   SUSE Manager with embedded database requires a utility for managing that
   database: <span class="application">DB Control</span>. This command line
   utility allows you to do everything from make, verify, and restore
   backups to obtain database status and restart it when necessary. You
   <span class="emphasis"><em>must</em></span> be the oracle user to invoke <span class="application">DB
   Control</span>. To begin, switch to the
   <code class="systemitem">oracle</code> user:
  </p><pre class="screen">su - oracle</pre><p>
   Next, issue the following command:
  </p><pre class="screen">
db-control <em class="replaceable"><code>option</code></em>
</pre><div class="section" title="6.4.1. DB Control Options"><div class="titlepage"><div><div><h3 class="title"><a id="s2-rhn-db-control-options"></a>6.4.1. DB Control Options<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-rhn-db-control-options">¶</a></span></h3></div></div></div><a id="id400954" class="indexterm"></a><p>
    <span class="application">DB Control</span> offers many command line options.
    To use them, as user
    <code class="systemitem">oracle</code> insert the option
    and the appropriate value, if needed, after the
    <span class="command"><strong>db-control</strong></span> command.
   </p><div class="table"><a id="id438356"></a><p class="title"><b>Table 6.1. DB Control Options</b></p><div class="table-contents"><table summary="DB Control Options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">help</code>
       </td><td>Lists these <code class="filename">db-control</code> options with
                    additional details.</td></tr><tr><td><code class="option">backup <em class="replaceable"><code>DIRNAME</code></em></code>
       </td><td>Backs up the database to the directory
                    specified.</td></tr><tr><td><code class="option">examine <em class="replaceable"><code>DIRNAME</code></em></code>
       </td><td>Examines the contents of a backup
                    directory. Returns the timestamp of backup
                    creation and reports on its contents.</td></tr><tr><td><code class="option">extend</code>
       </td><td>Increase the tablespace</td></tr><tr><td><code class="option">gather-stats
                    <em class="replaceable"><code>PCT</code></em></code>
       </td><td>Gather statistics on the database
                    objects. <em class="replaceable"><code>PCT</code></em> is the
                    percentage of rows to estimate (the default is
                    15%).</td></tr><tr><td><code class="option">report</code>
       </td><td>Reports on current usage of database
                    space.</td></tr><tr><td><code class="option">report-stats</code>
       </td><td>Reports on segments with stale or empty
                    statistics.</td></tr><tr><td><code class="option">restore <em class="replaceable"><code>DIRNAME</code></em></code>
       </td><td>Restores the database from backup kept in
                    DIRNAME. Database must be stopped for this
                    command to run successfully.</td></tr><tr><td><code class="option">start</code>
       </td><td>Starts the database instance. This can also be accomplished by
	issuing the <span class="command"><strong>service oracle start</strong></span> command as
	root.</td></tr><tr><td><code class="option">shrink-segments</code>
       </td><td>Shrinks SUSE Manager Oracle database segments with
                    significant amounts of free space.</td></tr><tr><td><code class="option">status</code>
       </td><td>Shows the current status of the database,
                    either "running" or "offline".</td></tr><tr><td><code class="option">stop</code>
       </td><td>Stops the database instance. This can also
                    be accomplished by issuing the <span class="command"><strong>service oracle stop</strong></span> command as
                    root.</td></tr><tr><td><code class="option">tablesizes</code>
       </td><td>Show space report for each table</td></tr><tr><td><code class="option">verify <em class="replaceable"><code>DIRNAME</code></em></code>
       </td><td>Verifies the contents of the backup kept in
                    DIRNAME. This command runs a checksum of each
                    of the files kept in the backup.</td></tr></tbody></table></div></div><br class="table-break" /><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     Database statistics are collections of data that describe more details
     about the database and the objects in the database. These statistics
     are used by the query optimizer to choose the best execution plan for
     each SQL statement. Because the objects in a database can be constantly
     changing, statistics must be regularly updated so that they accurately
     describe these database objects. Statistics are maintained
     automatically by Oracle. However, if your database has performance
     issues after a significant amount of data changes, consider performing
     manual gathering of statistics.
    </p></div><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     After deleting large amount of data, use the
     <code class="option">segment-shrink</code> feature to reclaim fragmented free
     space in an Oracle Database segment. The benefits of
     <code class="option">segment-shrink</code> are compaction of data that leads to
     better cache utilization and the compacted data requires fewer blocks
     to be scanned in full table scans, which both lead to better
     performance.
    </p></div></div><div class="section" title="6.4.2. Backing up the Database"><div class="titlepage"><div><div><h3 class="title"><a id="s2-rhn-db-control-backup"></a>6.4.2. Backing up the Database<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-rhn-db-control-backup">¶</a></span></h3></div></div></div><a id="id377585" class="indexterm"></a><p>
    It is recommended performing nightly backups of the embedded database
    and moving the resulting directory to another system via NFS, SCP, FTP,
    etc. Preferably, this backup system resides off-site. To conduct a
    backup, shut down the database and related services first by issuing the
    following command as root:
   </p><pre class="screen">/usr/sbin/spacewalk-service stop</pre><p>
    Then switch to the <code class="systemitem">oracle</code> user
    and issue this command to initiate the backup:
   </p><pre class="screen">
db-control backup <em class="replaceable"><code>DIRNAME</code></em>
</pre><p>
    Backup files are stored in the directory specified. Note that this is a
    cold backup; the database must be stopped before running this command.
    This process takes several minutes. The first backup is a good indicator
    of how long subsequent backups will take.
   </p><p>
    Once the backup is complete, return to <code class="systemitem">root</code> user mode and restart
    the database and related services with the following command:
   </p><pre class="screen">/usr/sbin/spacewalk-service start</pre><p>
    You should then copy that backup to another system using
    <span class="command"><strong>rsync</strong></span> or another file-transfer utility. It is
    strongly recommended scheduling the backup process automatically using
    cron jobs. For instance, back up the system at 3 a.m. and then copy the
    backup to the separate repository (partition, disk, or system) at 6 a.m.
   </p></div><div class="section" title="6.4.3. Verifying the Backup"><div class="titlepage"><div><div><h3 class="title"><a id="s2-rhn-db-control-verify"></a>6.4.3. Verifying the Backup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-rhn-db-control-verify">¶</a></span></h3></div></div></div><a id="id423510" class="indexterm"></a><p>
    Backing up the embedded database is useful only if you can ensure the
    integrity of the resulting backup. <span class="application">DB Control</span>
    provides two methods for reviewing backups, one brief, one more
    detailed. To conduct a quick check of the backup's timestamp and
    determine any missing files, issue this command as oracle:
   </p><pre class="screen">
db-control examine <em class="replaceable"><code>DIRNAME</code></em>
</pre><p>
    To conduct a more thorough review, including running a checksum of each
    of the files in the backup, issue this command as oracle:
   </p><pre class="screen">
db-control verify <em class="replaceable"><code>DIRNAME</code></em>
</pre></div><div class="section" title="6.4.4. Restoring the Database"><div class="titlepage"><div><div><h3 class="title"><a id="s2-rhn-db-control-restore"></a>6.4.4. Restoring the Database<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-rhn-db-control-restore">¶</a></span></h3></div></div></div><a id="id445087" class="indexterm"></a><p>
    <span class="application">DB Control</span> makes embedded database
    restoration a relatively simple process. As in the creation of backups,
    you will need to shut down the database and related services first by
    issuing the following commands in this order as <code class="systemitem">root</code>:
   </p><pre class="screen">/usr/sbin/spacewalk-service stop</pre><p>
    Then switch to the oracle user and issue this command, including the
    directory containing the backup, to begin the restoration:
   </p><pre class="screen">
db-control restore <em class="replaceable"><code>DIRNAME</code></em>
</pre><p>
    This not only restores the embedded database but first verifies the
    contents of the backup directory using checksums. Once the restoration
    is complete, return to <code class="systemitem">root</code> user mode and restart the database and
    related services with these commands in this order:
   </p><pre class="screen">/usr/sbin/spacewalk-service start</pre></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-maintenance-backup.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-clone-satellite.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.3. Backing Up SUSE Manager </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.5. Cloning SUSE Manager with the embedded database</td></tr></table></div></body></html>
