<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>4. Installation and Setup</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="art.susemanager.quick.jsp" title="Quick Start" /><link rel="prev" href="sec.manager.prerequisites.jsp" title="3. Prerequisites" /><link rel="next" href="sec.manager.config.jsp" title="5. Basic Configuration" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">4. Installation and Setup</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="sec.manager.prerequisites.jsp">Prev</a> </td><th width="60%" align="center">Quick Start</th><td width="20%" align="right"> <a accesskey="n" href="sec.manager.config.jsp">Next</a></td></tr></table><hr /></div><div class="sect1" title="4. Installation and Setup"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sec.manager.inst"></a>4. Installation and Setup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.inst">¶</a></span></h2></div></div></div><p>
  SUSE Manager is a management server application combined with an operating
  system (appliance). It can be deployed on industry hardware or in a
  virtual environment and used in conjunction with an embedded or a
  stand-alone database.
 </p><p>
  If your future SUSE Manager server is connected to the Internet, it will
  receive any updates directly from the NCC. For a disconnected setup
  scenario, configure SUSE Manager to receive any updates from an internal
  update server (like SMT) instead.
 </p><p>
  The YaST graphical user interface will guide you through the
  installation and the setup process. It is started in text mode. Use the
  <span class="keycap"><strong></strong></span> key to navigate among individual elements. To
  select a value from a list, use the <span class="keycap"><strong></strong></span> and
  <span class="keycap"><strong></strong></span> arrow keys and press
  <span class="keycap"><strong></strong></span>. To activate an option, press the
  <span class="keycap"><strong></strong></span> key.
 </p><div class="sect2" title="4.1. Overview and Summary of Steps"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.inst.overview"></a>4.1. Overview and Summary of Steps<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.inst.overview">¶</a></span></h3></div></div></div><p>
   The Quick Start covers the following installation and setup scenarios:
  </p><div class="variablelist"><dl><dt><span class="term">Setup From Scratch—With Internet Connection</span></dt><dd><p>
      For installation and initial setup, you need to execute the following
      basic steps:
     </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
        If using a stand-alone database: Preparing your database instance
        according to the formula provided in
        <a class="xref" href="../../install_guide/en-US/ch-requirements.jsp" title="Chapter 3. Requirements">Chapter 3, <i>Requirements</i></a>.
       </p></li><li class="listitem"><p>
        <a class="xref" href="sec.manager.inst.jsp#pro.manager.installation" title="Procedure 2. Installing the Appliance">Installing the Appliance</a>
       </p></li><li class="listitem"><p>
        <a class="xref" href="sec.manager.inst.jsp#pro.manager.setup" title="Procedure 3. Setting Up SUSE Manager">Setting Up SUSE Manager</a>
       </p></li></ol></div></dd><dt><span class="term">Setup From Scratch—Without Internet Connection</span></dt><dd><p>
      For installation and initial setup, execute the same basic steps as
      listed above, but skip the registration of the product at NCC. For
      details, see <a class="xref" href="sec.manager.inst.jsp#step.manager.install.register.ncc" title="Step 10">Step 10</a> in
      <a class="xref" href="sec.manager.inst.jsp#pro.manager.installation" title="Procedure 2. Installing the Appliance">Procedure 2, “Installing the Appliance”</a>.
     </p><p>
      During basic configuration, the setup of Novell channels differs
      from the standard procedure: Instead of importing channels from NCC,
      you need to create custom channels, and add repositories to be
      synchronized with the custom channels. For details, refer to
      <a class="xref" href="../../reference/en-US/s1-sm-channels-packages.jsp" title="3.6. Channels">Section 3.6, “Channels”</a> and
      <a class="xref" href="../../reference/en-US/s1-sm-channels-packages.jsp#s3-chnl-mgmt-mng-repos" title="3.6.3.3. Manage Software Channels+Manage Repositories">Section 3.6.3.3, “<span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Manage Repositories</span>”</a>, respectively.
     </p></dd><dt><span class="term">Migration from a Satellite Server</span></dt><dd><p>
      Instead of setting up a SUSE Manager server from scratch, you can also
      migrate from an existing Satellite server. For details, refer to
      <a class="xref" href="sec.manager.server.migration.jsp" title="6. Server Migration">Section 6, “Server Migration”</a>.
     </p></dd></dl></div></div><div class="sect2" title="4.2. Installation"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.inst.installation"></a>4.2. Installation<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.inst.installation">¶</a></span></h3></div></div></div><p>
   The following procedure describes the installation on a physical machine.
   Make sure the machine you intend to use fulfills the
   <a class="xref" href="sec.manager.requirements.jsp#sec.manager.requirements.server" title="2.1. Server Requirements">“Server Requirements”</a>.
   If you want to install the appliance in a virtual machine, additionally
   check the settings listed in
   <a class="xref" href="sec.manager.requirements.jsp#vle.manager.req.virt">Virtual Environments</a>.
  </p><div class="procedure" title="Procedure 2. Installing the Appliance"><a id="pro.manager.installation"></a><p class="title"><b>Procedure 2. Installing the Appliance</b></p><div class="warning" title="Loss of Data" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Loss of Data</h3><p>
     Installing SUSE Manager on a physical machine will completely erase any
     data on the hard disk that will be used for installation. Before you
     start the installation process, create a backup of your hard disks.
    </p></div><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Boot your future SUSE Manager server from the installation medium. Select
     <span class="guimenu">Install/Restore SUSE Manager</span>.
    </p></li><li class="step" title="Step 2"><p>
     If your machine contains more than one hard disk, you are asked which
     one to use for the installation of SUSE Manager. Navigate with the arrow
     keys, and use the space key to mark the desired hard disk. You are
     asked if you want to continue and you are warned that the installation will
     destroy all data on the disk.
    </p></li><li class="step" title="Step 3"><p>
     To proceed, answer with <span class="guimenu">Yes</span>. The deployment process
     takes over. This step may take some time as large amounts of data need to be
     unpacked and verified. After the verification, YaST firstboot is
     started.
    </p></li><li class="step" title="Step 4"><p>
     In the first screen, set the system <span class="guimenu">Language</span> and
     <span class="guimenu">Keyboard Layout</span> for your future SUSE Manager server.
     Proceed with <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 5"><a id="step.manager.install.root.pwd"></a><p>
     In the next screen, set the <code class="systemitem">root</code> password for your SUSE Manager
     server and confirm it.
    </p><div class="figure"><a id="id376615"></a><p class="title"><b>Figure 1. YaST Firstboot—Password for the System Administrator</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_firstboot_root_pwd.png" width="100%" alt="YaST Firstboot—Password for the System Administrator" /></td></tr></table></div></div></div><br class="figure-break" /><p>
     Proceed with <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 6"><p>
     In the next screen, read the licenses and agree to them. Proceed with
     <span class="guimenu">Next</span>. The installation routine checks some basic
     system requirements and depending on the results, lets you decide
     whether to proceed with the installation or cancel.
    </p></li><li class="step" title="Step 7"><p>
     In the next screen, configure the network settings. Note the network
     requirements listed in
     <a class="xref" href="sec.manager.requirements.jsp#sec.manager.requirements.other" title="2.4. Other Requirements">Section 2.4, “Other Requirements”</a>. Either choose to
     <span class="guimenu">Use Following Configuration</span> or
     <span class="guimenu">Change</span> the network setup according to your wishes.
    </p><div class="figure"><a id="id404858"></a><p class="title"><b>Figure 2. YaST Firstboot— Network Configuration</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_firstboot_network.png" width="100%" alt="YaST Firstboot— Network Configuration" /></td></tr></table></div></div></div><br class="figure-break" /><p>
     Proceed with <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 8"><p>
     In the next screen, configure the <span class="guimenu">Clock and Time
     Zone</span> to use for your SUSE Manager server. Proceed with
     <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 9"><p>
     In the next screen, configure the NTP settings according to your
     wishes. For more information about the options, refer to
     <span class="guimenu">Help</span>. Note the NTP requirements listed in
     <a class="xref" href="sec.manager.requirements.jsp#sec.manager.requirements.other" title="2.4. Other Requirements">Section 2.4, “Other Requirements”</a>. Proceed with
     <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 10"><a id="step.manager.install.register.ncc"></a><p>
     In the next screen, your are asked to register and activate your
     product at NCC. During registration, the respective online update
     repositories are automatically configured.
    </p><div class="important" title="NCC Registration And Updates" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">NCC Registration And Updates</h3><p>
      Proper registration is mandatory for the system to receive updates and
      to ensure that any known installation problems are fixed. In case of a
      disconnected SUSE Manager setup, skip this step by selecting
      <span class="guimenu">Configure Later</span>.
     </p></div><div class="figure"><a id="id417446"></a><p class="title"><b>Figure 3. YaST Firstboot—NCC Configuration</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_firstboot_ncc.png" width="100%" alt="YaST Firstboot—NCC Configuration" /></td></tr></table></div></div></div><br class="figure-break" /><p>
     If you decide to <span class="guimenu">Configure Later</span>, you can any time
     call the respective YaST module on the SUSE Manager server with the
     <span class="command"><strong>yast inst_suse_register</strong></span> command.
    </p><p>
     To register directly:
    </p><ol type="a" class="substeps"><li class="step" title="Step 10.a"><p>
       Select <span class="guimenu">Configure Now (Recommended)</span>.
      </p></li><li class="step" title="Step 10.b"><p>
       Confirm that you want to continue. A text-based browser (w3m)
       appears. Use the <span class="keycap"><strong></strong></span> key or the arrow keys to
       navigate among individual elements. To enter data into an input
       field, activate text input mode by pressing the
       <span class="keycap"><strong></strong></span> key once, then enter the value and press
       <span class="keycap"><strong></strong></span> again to confirm.
      </p></li><li class="step" title="Step 10.c"><p>
       After all values are entered according to your wishes,
       <span class="guimenu">Submit</span> your input and press <span class="keycap"><strong></strong></span>+<span class="keycap"><strong>Q</strong></span> to close
       the text-based browser.
      </p></li></ol></li><li class="step" title="Step 11"><p>
     On the <span class="guimenu">Installation Completed</span> screen, select
     <span class="guimenu">Finish</span> to close YaST firstboot. The boot process
     continues.
    </p></li><li class="step" title="Step 12"><p>
     
     Wait for the boot process to finish.

    </p><div class="important" title="SUSE Manager Update Required" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">SUSE Manager Update Required</h3><p>
      After installation, update your SUSE Manager server to apply the latest
      patches before starting the setup process. To receive updates,
      registration at NCC (or a connection to an internal update server like
      SMT) is required. For details on how to execute the update, refer to
      <a class="xref" href="../../reference/en-US/ch-pup.jsp#pup-sle" title="1.1. Updating Packages on SLE">Section 1.1, “Updating Packages on SLE”</a>.
     </p></div></li></ol></div></div><div class="sect2" title="4.3. Setup"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.inst.setup"></a>4.3. Setup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.inst.setup">¶</a></span></h3></div></div></div><p>
   After running YaST firstboot and updating SUSE Manager server, run a setup
   script via YaST. It will display several consecutive screens that let
   you configure the basic data for setup and the connection to the
   database. Enter a value in each input field, otherwise the setup may
   fail.
  </p><p>
   In the setup screens, you will also be prompted for two passwords.
  </p><div class="note" title="Password Criteria" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Password Criteria</h3><p>
    Both passwords must match the following criteria (otherwise the
    connection to the database or the creation of the certificate might
    fail):
   </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
      Length: At least 7 characters.
     </p></li><li class="listitem" style="list-style-type: disc"><p>
      Special characters: Must not contain any of the following characters:
     </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
        Spaces
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Quotation marks (neither <code class="literal">"</code> nor
        <code class="literal">'</code>)
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Exclamation marks (<code class="literal">!</code>)
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Dollar symbols (<code class="literal">$</code>)
       </p></li></ul></div></li></ul></div></div><div class="procedure" title="Procedure 3. Setting Up SUSE Manager"><a id="pro.manager.setup"></a><p class="title"><b>Procedure 3. Setting Up SUSE Manager</b></p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the machine as <code class="systemitem">root</code> with the password you set during
     the installation in <a class="xref" href="sec.manager.inst.jsp#step.manager.install.root.pwd" title="Step 5">Step 5</a>.
    </p></li><li class="step" title="Step 2"><p>
     Execute <span class="command"><strong>yast2 susemanager_setup</strong></span> to start the
     setup process.
    </p></li><li class="step" title="Step 3"><p>
     The first setup screen lets you choose between setting up SUSE Manager
     from scratch and migrating to SUSE Manager from a Satellite/Spacewalk
     compatible server. Choose <span class="guimenu">Set up SUSE Manager from
     scratch</span>. Proceed with <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 4"><p>
     In the next setup screen, enter an e-mail address for the SUSE Manager
     administrator. It is used for notifications by SUSE Manager and is
     associated with the SSL certificate to be created in the next step.
     Proceed with <span class="guimenu">Next</span>.
    </p></li><li class="step" title="Step 5"><p>
     In the next setup screen, enter the details needed for the creation of
     an SSL certificate. The certificate is used for a number of purposes
     like connections to a proxy, HTTPS protocol in browsers, and more.
    </p><ol type="a" class="substeps"><li class="step" title="Step 5.a"><a id="step.manager.setup.org"></a><p>
       Enter the name of your organization, the organization unit, and the
       city, state and country that your SUSE Manager server is located in. The
       <span class="guimenu">Organization</span> name defines the name of the default
       administrative organization that is automatically created during
       setup.
      </p></li><li class="step" title="Step 5.b"><p>
       Set an SSL (Secure Sockets Layer) password and repeat it in the next
       field.
      </p><div class="figure"><a id="id464808"></a><p class="title"><b>Figure 4. Setup—Certificate</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_setup_cert.png" width="100%" alt="Setup—Certificate" /></td></tr></table></div></div></div><br class="figure-break" /><p>
       Proceed with <span class="guimenu">Next</span>.
      </p></li></ol></li><li class="step" title="Step 6"><a id="st.manager.install.server-and-database"></a><p>
     In the next setup screen, set the details for the setup of the server
     and the database:
    </p><ol type="a" class="substeps"><li class="step" title="Step 6.a"><p>
       Decide whether to use the embedded (local) or a remote database for
       SUSE Manager.
      </p><p>
       If you select <span class="guimenu">Local Database</span>, YaST automatically
       sets the <span class="guimenu">Port</span> and <span class="guimenu">Protocol</span>.
      </p><p>
       To use an existing, remote database instead, select <span class="guimenu">Remote
       Database</span> and enter the following details for the connection
       to the database: the database system (SID) used to identify a
       particular database instance, the FQDN of the remote database, the
       external <span class="guimenu">Port</span> to use (usually
       <code class="literal">1521</code>), and the <span class="guimenu">Protocol</span> to use
       (usually <code class="literal">TCP</code>).
      </p></li><li class="step" title="Step 6.b"><p>
       If you use the embedded database, set a user name and a password for
       the SUSE Manager database user (that is used to connect to the
       database).
      </p><p>
       For a remote database, enter a user name that already exists in the
       database configuration, and enter the correct password for this user.
       Otherwise the connection to the database will fail.
      </p></li><li class="step" title="Step 6.c"><p>
      
       Repeat the password in the next field.
      </p><div class="figure"><a id="id392789"></a><p class="title"><b>Figure 5. Setup—Local Database</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_setup_db.png" width="100%" alt="Setup—Local Database" /></td></tr></table></div></div></div><br class="figure-break" /><p>
       Proceed with <span class="guimenu">Next</span>.
      </p></li></ol></li><li class="step" title="Step 7"><p>
     The last setup screen asks for your mirror credentials from the NCC.
     Enter your <span class="guimenu">NCC Mirror Credentials Username</span>, the
     <span class="guimenu">NCC Mirror Credentials Password</span>), and your
     <span class="guimenu">NCC E-mail Address</span>.
    </p><div class="figure"><a id="id405646"></a><p class="title"><b>Figure 6. Setup—NCC Settings</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_setup_ncc.png" width="100%" alt="Setup—NCC Settings" /></td></tr></table></div></div></div><br class="figure-break" /></li><li class="step" title="Step 8"><a id="step.manager.show.hostname"></a><p>
     Proceed with <span class="guimenu">Next</span> and confirm with
     <span class="guimenu">Yes</span> to start the setup.
    </p><div class="note" title="Long Operation" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Long Operation</h3><p>This step may take some time. Wait until the <span class="guimenu">Setup is
      completed</span> message appears in the upper part of the YaST screen.</p></div></li><li class="step" title="Step 9"><p>Click <span class="guimenu">Next</span> and read the instructions about the next
     steps. Close YaST by pressing <span class="guimenu">Finish</span>.</p></li></ol></div><p>
   The basic SUSE Manager settings are written to
   <code class="filename">/etc/rhn/rhn.conf</code>. If you have chosen to use a local
   database, the initial database is created and populated. If you have
   chosen to use a remote database, the setup script connects to the
   database.
  </p><p>
   The setup script also runs the
   <code class="filename">/usr/sbin/mgr-ncc-sync</code> command which downloads the
   subscriptions listed in your NCC Mirror Credentials. The respective
   <span class="guimenu">Software Channel Entitlements</span> will be listed in the
   SUSE Manager Web interface (select <span class="guimenu">Admin</span>+<span class="guimenu">Subscriptions</span>).
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="sec.manager.prerequisites.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="art.susemanager.quick.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="sec.manager.config.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3. Prerequisites </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5. Basic Configuration</td></tr></table></div></body></html>
