<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>7. Troubleshooting</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="art.susemanager.quick.jsp" title="Quick Start" /><link rel="prev" href="sec.manager.server.migration.jsp" title="6. Server Migration" /><link rel="next" href="bk01ar01s08.jsp" title="8. Glossary" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">7. Troubleshooting</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="sec.manager.server.migration.jsp">Prev</a> </td><th width="60%" align="center">Quick Start</th><td width="20%" align="right"> <a accesskey="n" href="bk01ar01s08.jsp">Next</a></td></tr></table><hr /></div><div class="sect1" title="7. Troubleshooting"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sec.manager.trouble"></a>7. Troubleshooting<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.trouble">¶</a></span></h2></div></div></div><p>
  If you have difficulties deploying the appliance, proceed according to the
  following list.
 </p><div class="sect2" title="7.1. Installation and Basic Setup"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.trouble.install"></a>7.1. Installation and Basic Setup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.trouble.install">¶</a></span></h3></div></div></div><div class="variablelist"><dl><dt><span class="term">CPU: 64-Bit and Virtualization Support</span></dt><dd><p>
      For running SUSE Manager in a virtual environment you need a machine with
      a recent Linux Kernel on either an Intel processor with VT
      (Virtualization technology) extensions, or an AMD processor with SVM
      extensions (also called AMD-V).
     </p><p>
      Test if your CPU supports hardware virtualization (and which set of
      extensions is used) by executing the following command:
     </p><pre class="screen">egrep '(vmx|svm)' /proc/cpuinfo</pre><p>
      If this command returns no output, your processor either does not
      support hardware virtualization, or this feature has been disabled in
      the BIOS. Enable virtualization support in the BIOS and try again. If
      in doubt, consult your mainboard manual.
     </p><p>
      If the output contains a <code class="literal">svm</code> string, your machine
      uses the AMD- V extensions, if the output contains an
      <code class="literal">vmx</code> string, the Intel VT extensions are used.
     </p></dd><dt><span class="term">Database Connection Error</span></dt><dd><p>
      If the setup script reports a database connection error, check if
      bridged networking is configured correctly on your virtual machine. As
      repairing the current installation will fail after a database
      connection error, fix the network settings in your virtual machine and
      start from scratch with a new SUSE Manager image.
     </p></dd><dt><span class="term">Hostname and DNS</span></dt><dd><p>
      Make sure to fulfill the hostnames and DNS requirements listed in
      <a class="xref" href="sec.manager.requirements.jsp#sec.manager.requirements.other" title="2.4. Other Requirements">Section 2.4, “Other Requirements”</a>.
     </p></dd></dl></div></div><div class="sect2" title="7.2. Basic Configuration"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.trouble.config"></a>7.2. Basic Configuration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.trouble.config">¶</a></span></h3></div></div></div><div class="variablelist"><dl><dt><span class="term">Client Is Not Registered</span></dt><dd><p>
      This is often caused by a missing channel assignment. For example, if
      you want to register a client running a 64-bit version of SUSE Linux Enterprise Server 11
      SP1, you need to add one or more channel for that version of SUSE Linux Enterprise Server 11
      SP1. Check if the required steps mentioned at the beginning of
      <a class="xref" href="sec.manager.config.jsp" title="5. Basic Configuration">Section 5, “Basic Configuration”</a> have been executed correctly.
     </p></dd><dt><span class="term">Web Interface: Unavailable Functions</span></dt><dd><p>
      If any functions or entries in the Web interface are not available,
      check if you have the permission to access these functions. SUSE Manager
      uses a role-based model for granting permissions. For more
      information, refer to <a class="xref" href="sec.manager.config.jsp#sec.manager.config.users" title="5.6. User Management">Section 5.6, “User Management”</a> and
      <a class="xref" href="sec.manager.config.jsp#sec.manager.config.organizations" title="5.4. Organization Management">Section 5.4, “Organization Management”</a>.
     </p></dd></dl></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="sec.manager.server.migration.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="art.susemanager.quick.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="bk01ar01s08.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6. Server Migration </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 8. Glossary</td></tr></table></div></body></html>
