<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.4. Managing Entitlements</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /><link rel="prev" href="s1-multiorg-creating.jsp" title="5.3. Creating an Organization" /><link rel="next" href="s1-multiorg-systems.jsp" title="5.5. Configuring Systems in an Organization" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.4. Managing Entitlements</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-multiorg-creating.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Multiple Organizations</th><td width="20%" align="right"> <a accesskey="n" href="s1-multiorg-systems.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.4. Managing Entitlements"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-admin-orgs-details-subs"></a>5.4. Managing Entitlements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-admin-orgs-details-subs">¶</a></span></h2></div></div></div><p>
   One important task after creating a new organization is to assign
   management entitlements to the new organization. Management system
   entitlements are a base requirement for an organization to function on
   SUSE Manager. The number of management entitlements allocated to an
   organization is equivalent to the maximum number of systems that may
   register with that organization on SUSE Manager, regardless of the number of
   software entitlements available. For example, if there are 100 SUSE Linux Enterprise
   client entitlements but only 50 management system entitlements to an
   organization, only 50 systems are able to register with that organization.
  </p><p>
   You must also grant SUSE Manager tools software channel entitlements to each
   organization. The SUSE Manager <code class="systemitem">client tools</code> channel contains various client
   software required for extended SUSE Manager's functionality, such as clients
   necessary for configuration management and automated installation support
   as well as the <code class="filename">rhn-virtualization</code> package, which is
   necessary for the entitlements of Xen or KVM virtual guests to be counted
   correctly corresponding to the number of SUSE Linux Enterprise subscriptions to which
   they are associated.
  </p><p>
   Access the <span class="guilabel">Subscriptions</span> tab by clicking
   <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>+<span class="guilabel">Details</span>+<span class="guilabel">Subscriptions</span>.
  </p><p>
   The <span class="guilabel">Subscriptions</span> tab has two subtabs for managing
   the software channel and system entitlements for the organization.
  </p><div class="section" title="5.4.1. Admin+Subscriptions+Software Channel Entitlements"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-orgs-subs-soft"></a>5.4.1. <span class="guilabel">Admin</span>+<span class="guilabel">Subscriptions</span>+<span class="guilabel">Software Channel Entitlements</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-orgs-subs-soft">¶</a></span></h3></div></div></div><p>
    The <span class="guilabel">Software Channel Entitlements Across SUSE Manager</span>
    page lists of all entitlements on SUSE Manager, throughout all
    organizations, as well their usage. Click on a <span class="guilabel">Entitlement
    Name</span> for a more detailed view.
   </p><p>
    The <span class="guilabel">Details</span> subtab for the software channel
    entitlement contains information about the software channel access
    granted when subscribed to the entitlement.
   </p><p>
    The <span class="guilabel">Organizations</span> subtab allows SUSE Manager
    administrators to adjust the number of software channels available to
    each organization. Type in the number (within the range listed in
    <span class="guilabel">Possible Values</span>) and click the
    <span class="guibutton">Update</span> button for that organization.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     Organization administrators that create a custom channel can only use
     that channel within their organization unless an organizational trust
     is established between the organizations that want to share the
     channel. For more information about organizational trusts, refer to
     <a class="xref" href="s1-sattools-orgs-trust.jsp" title="5.6. Organizational Trusts">Section 5.6, “Organizational Trusts”</a>.
    </p></div><p>
    The <span class="guilabel">Organizations</span> subtab also contains broad usage
    information in the <span class="guilabel">System-Wide Entitlement Usage</span>
    section, including:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <span class="guilabel">Total</span> — The total number of channel
      entitlements for SUSE Manager.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Available</span> — The number of entitlements
      currently available for allocation.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Usage</span> — The number of entitlements currently in
      use by all organizations (aside from the base organization), compared
      to the total number of entitlements allocated.
     </p></li></ul></div><p>
    For example, if the <span class="guilabel">Total</span> column is 100 and the
    <span class="guilabel">Available</span> column is 70, that means 30 entitlements
    are allocated for organizations. The <span class="guilabel">Usage</span> column
    shows how many of those 30 allocated entitlements are in use by
    organizations besides the base organization. So if the
    <span class="guilabel">Usage</span> column reads <em class="replaceable"><code>24 of 30
    (80%)</code></em>, that means 24 channel entitlements are distributed
    to SUSE Manager organizations (other than the base organization) out of 30
    total allocated.
   </p></div><div class="section" title="5.4.2. Admin+Subscriptions+System Entitlements"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-orgs-subs-sys"></a>5.4.2. <span class="guilabel">Admin</span>+<span class="guilabel">Subscriptions</span>+<span class="guilabel">System Entitlements</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-orgs-subs-sys">¶</a></span></h3></div></div></div><p>
    The <span class="guilabel">System Entitlements Across SUSE Manager</span> page lists
    all system entitlements on this SUSE Manager, across all organizations, as
    well as their usage. Click on the entitlement's name for more details
    about it.
   </p><p>
    System entitlements include <span class="guilabel">Management</span>,
    <span class="guilabel">Provisioning</span>, <span class="guilabel">Monitoring</span>, and
    <span class="guilabel">Virtualization</span>. Enter the number of allocations of
    each system entitlement in the text box, not to exceed the limit
    indicated in the <span class="guilabel">Possible Values</span>.
   </p><p>
    The <span class="guilabel">Details</span> subtab for the system entitlement
    contains information about the entitlement and what access it grants.
   </p><p>
    The <span class="guilabel">Organizations</span> subtab allows SUSE Manager
    administrators to adjust the number of system entitlement allocations
    available to each organization. Type in the number (within the range
    listed in <span class="guilabel">Possible Values</span>) and click the
    <span class="guibutton">Confirm Changes</span> button for that organization.
   </p><p>
    The <span class="guilabel">Organizations</span> subtab for the system entitlement
    also contains broad usage information in the SUSE Manager-wide entitlement
    usage section, including:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <span class="guilabel">Total Allocated</span> — The number of total
      entitlements available for the entire SUSE Manager.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Entitlement Usage</span> — The number of entitlements
      currently being used.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Organization Usage</span> shows the number of
      organizations that have access to the entitlement.
     </p></li></ul></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-multiorg-creating.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-multiorg.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-multiorg-systems.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.3. Creating an Organization </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.5. Configuring Systems in an Organization</td></tr></table></div></body></html>
