<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>A.2. Configuration Client</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-cli-config-tools.jsp" title="Appendix A. Command Line Config Management Tools" /><link rel="prev" href="ap-cli-config-tools.jsp" title="Appendix A. Command Line Config Management Tools" /><link rel="next" href="s1-cli-config-mgr.jsp" title="A.3. Configuration Manager" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">A.2. Configuration Client</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ap-cli-config-tools.jsp">Prev</a> </td><th width="60%" align="center">Appendix A. Command Line Config Management Tools</th><td width="20%" align="right"> <a accesskey="n" href="s1-cli-config-mgr.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="A.2. Configuration Client"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cli-config-client"></a>A.2. Configuration Client<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cli-config-client">¶</a></span></h2></div></div></div><a id="id421333" class="indexterm"></a><p>
   As the name implies, the <span class="application">Configuration Client</span>
   (<span class="command"><strong>mgrcfg-client</strong></span>) is installed and run from an
   individual client system. From there you may use it to gain knowledge
   about how SUSE Manager deploys configuration files to the client.
  </p><p>
   The <span class="application">Configuration Client</span> offers these primary
   modes: list, get, channels, diff, and verify.
  </p><div class="section" title="A.2.1. Listing Config Files"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-client-list"></a>A.2.1. Listing Config Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-client-list">¶</a></span></h3></div></div></div><p>
    To list the configuration files for the machine and the labels of the
    config channels containing them, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-client list</strong></span>
</pre><p>
    The output resembles the following list:
   </p><pre class="screen">Config Channel File config-channel-17 /etc/example-config.txt config-channel-17 /var/spool/aalib.rpm config-channel-14 /etc/rhn/rhn.conf
</pre><p>
    These are the configuration files that apply to your system. However,
    there may be duplicate files present in the other channels. For example,
    issue the following command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager list <em class="replaceable"><code>config-channel-14</code></em></strong></span>
</pre><p>
    and observe the following output:
   </p><pre class="screen">Files in config channel 'config-channel-14' /etc/example-config.txt /etc/rhn/rhn.conf
</pre><p>
    You may then wonder where the second version of
    <code class="filename">/etc/example-config.txt</code> went. The rank of the
    <code class="filename">/etc/example-config.txt</code> file in
    <span class="command"><strong>config-channel-17</strong></span> was higher than that of the same
    file in <span class="command"><strong>config-channel-14</strong></span>. As a result, the version
    of the configuration file in <span class="command"><strong>config-channel-14</strong></span> is not
    deployed for this system, although the file still resides in the
    channel. The <span class="command"><strong>mgrcfg-client</strong></span> command does not list the
    file because it will not be deployed on this system.
   </p></div><div class="section" title="A.2.2. Getting a Config File"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-client-get"></a>A.2.2. Getting a Config File<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-client-get">¶</a></span></h3></div></div></div><p>
    To download the most relevant configuration file for the machine, issue
    the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-client get /etc/example-config.txt</strong></span>
</pre><p>
    You should see output resembling:
   </p><pre class="screen">Deploying /etc/example-config.txt 
</pre><p>
    You may then view the contents of the file with <span class="command"><strong>less</strong></span>
    or another pager. Note that the file is selected as the most relevant
    based upon the rank of the config channel containing it. This is
    accomplished within the <span class="guilabel">Configuration</span> tab of the
    <span class="guilabel">System Details</span> page. Refer to
    <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-details" title="3.4.2.9. System Details">Section 3.4.2.9, “System Details”</a> for instructions.
   </p></div><div class="section" title="A.2.3. Viewing Config Channels"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-client-channels"></a>A.2.3. Viewing Config Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-client-channels">¶</a></span></h3></div></div></div><p>
    To view the labels and names of the config channels that apply to the
    system, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-client channels</strong></span>
</pre><p>
    You should see output resembling:
   </p><pre class="screen">Config channels: Label Name ----- ---- config-channel-17 config chan 2 config-channel-14 config chan 1 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-client get</strong></span>:
   </p><div class="table"><a id="id403552"></a><p class="title"><b>Table A.2. <span class="command">mgrcfg-client get</span> options</b></p><div class="table-contents"><table summary="mgrcfg-client get options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>--topdir=TOPDIR</td><td>Make all file operations relative to this string.</td></tr><tr><td>-h, --help</td><td>Show help message and exit.</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.2.4. Differentiating between Config Files"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-client-diff"></a>A.2.4. Differentiating between Config Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-client-diff">¶</a></span></h3></div></div></div><p>
    To view the differences between the config files deployed on the system
    and those stored by SUSE Manager, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-client diff</strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">--- /tmp/@3603.0.rhn-cfg-tmp 2004-01-13 14:18:31.000000000 -0500
+++ /etc/example-config.txt 2003-12-16 21:35:32.000000000 -0500
@@ -1,3 +1,5 @@
+additional text 
</pre><p>
    In addition, you may include the <code class="option">--topdir</code> option to
    compare config files with those located in an arbitrary (and
    unused) location on the client system, like so:
   </p><pre class="screen"># mgrcfg-client diff --topdir /home/test/blah/
/usr/bin/diff: /home/test/blah/etc/example-config.txt: No such file or directory
/usr/bin/diff: /home/test/blah/var/spool/aalib.rpm: No such file or directory 
</pre></div><div class="section" title="A.2.5. Verifying Config Files"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-client-verify"></a>A.2.5. Verifying Config Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-client-verify">¶</a></span></h3></div></div></div><p>
    To quickly determine if client configuration files are different than
    those associated with it via SUSE Manager, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-client verify</strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">modified /etc/example-config.txt /var/spool/aalib.rpm 
</pre><p>
    The file <code class="filename">example-config.txt</code> is locally modified,
    while <code class="filename">aalib.rpm</code> is not.
   </p><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-client verify</strong></span>:
   </p><div class="table"><a id="id488222"></a><p class="title"><b>Table A.3. <span class="command">mgrcfg-client verify</span> options</b></p><div class="table-contents"><table summary="mgrcfg-client verify options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-v, --verbose</td><td>Increase the amount of output detail.
                    Displays differences in the mode, owner, and
                    group permissions for the specified config
                    file.</td></tr><tr><td>-h, --help</td><td>Show help message and exit.</td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ap-cli-config-tools.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-cli-config-tools.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cli-config-mgr.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Appendix A. Command Line Config Management Tools </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> A.3. Configuration Manager</td></tr></table></div></body></html>
