<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>A.3. Configuration Manager</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-cli-config-tools.jsp" title="Appendix A. Command Line Config Management Tools" /><link rel="prev" href="s1-cli-config-client.jsp" title="A.2. Configuration Client" /><link rel="next" href="ap-rhn-api-access.jsp" title="Appendix B. SUSE Manager API Access" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">A.3. Configuration Manager</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cli-config-client.jsp">Prev</a> </td><th width="60%" align="center">Appendix A. Command Line Config Management Tools</th><td width="20%" align="right"> <a accesskey="n" href="ap-rhn-api-access.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="A.3. Configuration Manager"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cli-config-mgr"></a>A.3. Configuration Manager<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cli-config-mgr">¶</a></span></h2></div></div></div><a id="id336385" class="indexterm"></a><p>
   Unlike the <span class="application">Configuration Client</span>, the
   <span class="application">Configuration Manager</span>
   (<span class="command"><strong>mgrcfg-manager</strong></span>) is designed to maintain SUSE Manager's
   central repository of config files and channels, not those located on
   client systems. This tool offers a command line alternative to the
   configuration management features within the SUSE Manager website, as well
   as the ability to script some or all of the related maintenance.
  </p><p>
   It is intended for use by Config Administrators and requires an SUSE Manager
   username and password that has the appropriate permission set. The
   username may be specified in
   <code class="filename">/etc/sysconfig/rhn/rhncfg-manager.conf</code> or in the
   [rhncfg-manager] section of <code class="filename">~/.rhncfgrc</code>.
  </p><p>
   
   When the <span class="application">Configuration Manager</span> is run as root,
   it attempts to pull in needed configuration values from the
   <span class="application">Red Hat Update Agent</span>. When run as a user other
   than root, you may have to make configuration changes within the
   <code class="filename">~/.rhncfgrc</code> file. The session file is cached in
   <code class="filename">~/.rhncfg-manager-session</code> to prevent logging in for
   every command.
  </p><p>
   The default timeout for the <span class="application">Configuration
   Manager</span> is 30 minutes. To alter this, add the
   <code class="option">server.session_lifetime</code> option and new value to the
   <code class="filename">/etc/rhn/rhn.conf</code> file on the server running the
   manager, like so:
  </p><pre class="screen">server.session_lifetime = 120 
</pre><p>
   The <span class="application">Configuration Manager</span> offers these primary
   modes: add, create-channel, diff, diff-revisions, download-channel, get,
   list, list-channels, remove, remove-channel, revisions, update, and
   upload-channel.
  </p><p>
   Each mode offers its own set of options, which can be seen by issuing the
   following command:
  </p><pre class="screen"><span class="command"><strong>mgrcfg-manager <em class="replaceable"><code>mode</code></em> --help </strong></span>
</pre><p>
   Replace <em class="replaceable"><code>mode</code></em> with the name of the mode to be
   inspected:
  </p><pre class="screen"><span class="command"><strong>mgrcfg-manager diff-revisions --help</strong></span>
</pre><p>
   You can see such a list of options for the add mode at
   <a class="xref" href="s1-cli-config-mgr.jsp#tb-mgmt-add-options" title="Table A.4. mgrcfg-manager add options">Table A.4, “<span class="command">mgrcfg-manager add</span> options”</a>.
  </p><div class="section" title="A.3.1. Creating a Config Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-create"></a>A.3.1. Creating a Config Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-create">¶</a></span></h3></div></div></div><p>
    To create a config channel for your organization, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager create-channel <em class="replaceable"><code>channel-label</code></em></strong></span>
</pre><p>
    If prompted for your SUSE Manager username and password, provide them.

   </p><p>
    Once you have created a config channel, use the remaining modes listed
    above to populate and maintain that channel.
   </p></div><div class="section" title="A.3.2. Adding Files to a Config Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-add"></a>A.3.2. Adding Files to a Config Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-add">¶</a></span></h3></div></div></div><p>
    To add a file to a config channel, specify the channel label as well as
    the local file to be uploaded, such as:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager add --channel=<em class="replaceable"><code>channel-label</code></em> <em class="replaceable"><code>/path/to/file</code></em></strong></span>
</pre><p>
    In addition to the required channel label and the path to the file, you
    may use the available options for modifying the file during its
    addition. For instance, you may alter the path and file name by
    including the <code class="option">--dest-file</code> option in the command, like:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager add --channel=<em class="replaceable"><code>channel-label</code></em>--dest-file=<em class="replaceable"><code>/new/path/to/file.txt</code></em> <em class="replaceable"><code>/path/to/file</code></em></strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">Pushing to channel example-channel Local file &gt;/path/to/file -&gt; remote file /new/path/to/file.txt 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager add</strong></span>:
   </p><div class="table"><a id="tb-mgmt-add-options"></a><p class="title"><b>Table A.4. <span class="command">mgrcfg-manager add</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager add options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-cCHANNEL --channel=CHANNEL
       </td><td>Upload files in this config channel
       </td></tr><tr><td>-dDEST_FILE --dest-file=DEST_FILE</td><td>Upload the file as this path</td></tr><tr><td>--delim-start=DELIM_START</td><td>Start delimiter for variable
                    interpolation</td></tr><tr><td>--delim-end=DELIM_END</td><td>End delimiter for variable
                    interpolation</td></tr><tr><td>-h, --help</td><td>show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     By default, the maximum file size for confiugration files is 128KB. If
     you need to change that value, find or create the following line in the
     <code class="filename">/etc/rhn/rhn.conf</code> file:
    </p><pre class="screen">web.maximum_config_file_size=128</pre><p>
     Change the value from 128 to whatever limit you want in bytes.
    </p></div></div><div class="section" title="A.3.3. Differentiating between Latest Config Files"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-diff"></a>A.3.3. Differentiating between Latest Config Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-diff">¶</a></span></h3></div></div></div><p>
    To view the differences between the config files on disk and the latest
    revisions in a channel, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager diff --channel=<em class="replaceable"><code>channel-label</code></em> --dest-file=<em class="replaceable"><code>/path/to/file.txt</code></em> \
<em class="replaceable"><code>/local/path/to/file</code></em></strong></span>
</pre><p>
    You should see output resembling:
   </p><pre class="screen">/tmp/dest_path/example-config.txt /home/test/blah/hello_world.txt
--- /tmp/dest_path/example-config.txt config_channel: example-channel revision: 1
+++ /home/test/blah/hello_world.txt 2003-12-14 19:08:59.000000000 -0500
@@ -1 +1 @@
-foo
+hello, world 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager diff</strong></span>:
   </p><div class="table"><a id="id477034"></a><p class="title"><b>Table A.5. <span class="command">mgrcfg-manager diff</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager diff options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-cCHANNEL, --channel=CHANNEL
       </td><td>Get file(s) from this config channel
       </td></tr><tr><td>-rREVISION, --revision=REVISION</td><td>Use this revision</td></tr><tr><td>-dDEST_FILE, --dest-file=DEST_FILE</td><td>Upload the file as this path</td></tr><tr><td>-tTOPDIR, --topdir=TOPDIR</td><td>Make all files relative to this string</td></tr><tr><td>-h, --help</td><td>Show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.3.4. Differentiating between Various Versions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-diff-ver"></a>A.3.4. Differentiating between Various Versions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-diff-ver">¶</a></span></h3></div></div></div><p>
    To compare different versions of a file across channels and revisions,
    use the <code class="option">-r</code> flag to indicate which revision of the file
    should be compared and the <code class="option">-n</code> flag to identify the two
    channels to be checked. Refer to <a class="xref" href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-rev" title="A.3.11. Determining the Number of File Revisions">Section A.3.11, “Determining the Number of File Revisions”</a>
    for related instructions. Specify only one file name here, since you are
    comparing the file against another version of itself. For example:
   </p><pre class="screen">
<span class="command"><strong>mgrcfg-manager diff-revisions -n=<em class="replaceable"><code>channel-label1</code></em>-r=<em class="replaceable"><code>1</code></em>-n=<em class="replaceable"><code>channel-label2</code></em>-r=<em class="replaceable"><code>1</code></em><em class="replaceable"><code>/path/to/file.txt</code></em></strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">--- /tmp/dest_path/example-config.txt 2004-01-13 14:36:41 \ config channel: example-channel2 revision: 1
--- /tmp/dest_path/example-config.txt 2004-01-13 14:42:42 \ config channel: example-channel3 revision: 1
@@ -1 +1,20 @@
-foo
+blaaaaaaaaaaaaaaah
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v1.0.6 (GNU/Linux)
+Comment: For info see http://www.gnupg.org
+
+iD8DBQA9ZY6vse4XmfJPGwgRAsHcAJ9ud9dabUcdscdcqB8AZP7e0Fua0NmKsdhQCeOWHX
+VsDTfen2NWdwwPaTM+S+Cow=
+=Ltp2
+-----END PGP SIGNATURE-----
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager diff-revisions</strong></span>:
   </p><div class="table"><a id="id382916"></a><p class="title"><b>Table A.6. <span class="command">mgrcfg-manager diff-revisions</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager diff-revisions options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-cCHANNEL, --channel=CHANNEL
       </td><td>Use this config channel
       </td></tr><tr><td>-rREVISION, --revision=REVISION</td><td>Use this revision</td></tr><tr><td>-h, --help</td><td>Show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.3.5. Downloading All Files in a Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-download"></a>A.3.5. Downloading All Files in a Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-download">¶</a></span></h3></div></div></div><p>
    To download all the files in a channel to disk, create a directory and
    issue the following command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager download-channel <em class="replaceable"><code>channel-label</code></em> --topdir . </strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">
Copying /tmp/dest_path/example-config.txt -&gt; \ blah2/tmp/dest_path/example-config.txt 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager download-channel</strong></span>:
   </p><div class="table"><a id="id408002"></a><p class="title"><b>Table A.7. <span class="command">mgrcfg-manager download-channel</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager download-channel options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-tTOPDIR, --topdir=TOPDIR</td><td>Directory all the file paths are relative
                    to. This option must be set.</td></tr><tr><td>-h, --help</td><td>Show help message and exit.</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.3.6. Getting the Contents of a File"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-get"></a>A.3.6. Getting the Contents of a File<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-get">¶</a></span></h3></div></div></div><p>
    To direct the contents of a particular file to stdout, issue the
    command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager get --channel=<em class="replaceable"><code>channel-label</code></em> \
/tmp/dest_path/example-config.txt </strong></span>
</pre><p>
    You should see the contents of the file as output.
   </p></div><div class="section" title="A.3.7. Listing All Files in a Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-list"></a>A.3.7. Listing All Files in a Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-list">¶</a></span></h3></div></div></div><p>
    To list all the files in a channel, issue the command:
   </p><pre class="screen">
<span class="command"><strong>mgrcfg-manager list <em class="replaceable"><code>channel-label</code></em></strong></span>
</pre><p>
    You should see output resembling:
   </p><pre class="screen">Files in config channel `example-channel3': /tmp/dest_path/example-config.txt 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager get</strong></span>:
   </p><div class="table"><a id="id332566"></a><p class="title"><b>Table A.8. <span class="command">mgrcfg-manager get</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager get options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-cCHANNEL, --channel=CHANNEL
       </td><td>Get file(s) from this config channel
       </td></tr><tr><td>-tTOPDIR, --topdir=TOPDIR</td><td>Make all files relative to this string</td></tr><tr><td>-rREVISION, --revision=REVISION</td><td>Get this file revision</td></tr><tr><td>-h, --help</td><td>Show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.3.8. Listing All Config Channels"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-list-chan"></a>A.3.8. Listing All Config Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-list-chan">¶</a></span></h3></div></div></div><p>
    To list all of your organization's configuration channels, issue the
    command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager list-channels </strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">Available config channels: example-channel example-channel2 example-channel3 config-channel-14 config-channel-17 
</pre><p>
    Note that this does not list <code class="option">local_override</code> or
    <code class="option">server_import</code> channels.
   </p></div><div class="section" title="A.3.9. Removing a File from a Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-remove-file"></a>A.3.9. Removing a File from a Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-remove-file">¶</a></span></h3></div></div></div><p>
    To remove a file from a channel, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager remove --channel=<em class="replaceable"><code>channel-label</code></em> /tmp/dest_path/example-config.txt</strong></span>
</pre><p>
    If prompted for your SUSE Manager username and password, provide them.

   </p><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager remove</strong></span>:
   </p><div class="table"><a id="id423939"></a><p class="title"><b>Table A.9. <span class="command">mgrcfg-manager remove</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager remove options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-cCHANNEL, --channel=CHANNEL
       </td><td>Remove files from this config channel
       </td></tr><tr><td>-tTOPDIR, --topdir=TOPDIR</td><td>Make all files relative to this string</td></tr><tr><td>-h, --help</td><td>Show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.3.10. Deleting a Config Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-remove-chan"></a>A.3.10. Deleting a Config Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-remove-chan">¶</a></span></h3></div></div></div><p>
    To destroy a config channel in your organization, issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager remove-channel <em class="replaceable"><code>channel-label</code></em> </strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">Removing config channel example-channel Config channel example-channel removed 
</pre></div><div class="section" title="A.3.11. Determining the Number of File Revisions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-rev"></a>A.3.11. Determining the Number of File Revisions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-rev">¶</a></span></h3></div></div></div><p>
    To find out how many revisions (revisions go from 1 to N where N is an
    integer greater than 0) of a file/path are in a channel, issue the
    following command:
   </p><pre class="screen">
<span class="command"><strong>mgrcfg-manager revisions <em class="replaceable"><code>channel-label</code></em> /tmp/dest_path/example-config.txt </strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">Analyzing files in config channel example-channel \
/tmp/dest_path/example-config.txt: 1 
</pre></div><div class="section" title="A.3.12. Updating a File in a Channel"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-update"></a>A.3.12. Updating a File in a Channel<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-update">¶</a></span></h3></div></div></div><p>
    To create a new revision of a file in a channel (or add the first
    revision to that channel if none existed before for the given path),
    issue the following command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager update \
--channel=<em class="replaceable"><code>channel-label</code></em> \
--dest-file=<em class="replaceable"><code>/path/to/file.txt</code></em> <em class="replaceable"><code>/local/path/to/file</code></em></strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">Pushing to channel example-channel: Local file example-channel/tmp/dest_path/example-config.txt -&gt; \ remote file /tmp/dest_path/example-config.txt 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager update</strong></span>:
   </p><div class="table"><a id="id406960"></a><p class="title"><b>Table A.10. <span class="command">mgrcfg-manager update</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager update options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-cCHANNEL, --channel=CHANNEL
       </td><td>Upload files in this config channel
       </td></tr><tr><td>-dDEST_FILE, --dest-file=DEST_FILE</td><td>Upload the file as this path</td></tr><tr><td>-tTOPDIR, --topdir=TOPDIR</td><td>Make all files relative to this string</td></tr><tr><td>--delim-start=DELIM_START</td><td>Start delimiter for variable
                    interpolation</td></tr><tr><td>--delim-end=DELIM_END</td><td>End delimiter for variable
                    interpolation</td></tr><tr><td>-h, --help</td><td>Show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="A.3.13. Uploading Multiple Files at Once"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-config-mgr-upload"></a>A.3.13. Uploading Multiple Files at Once<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-config-mgr-upload">¶</a></span></h3></div></div></div><p>
    To upload multiple files to a config channel from local disk at once,
    issue the command:
   </p><pre class="screen"><span class="command"><strong>mgrcfg-manager upload-channel --topdir=<em class="replaceable"><code>topdir</code></em> <em class="replaceable"><code>channel-label</code></em></strong></span>
</pre><p>
    The output resembles the following:
   </p><pre class="screen">Using config channel example-channel4 Uploading /tmp/ola_world.txt from blah4/tmp/ola_world.txt 
</pre><p>
    The following table lists the options available for
    <span class="command"><strong>mgrcfg-manager upload-channel</strong></span>:
   </p><div class="table"><a id="id435200"></a><p class="title"><b>Table A.11. <span class="command">mgrcfg-manager upload-channel</span> options</b></p><div class="table-contents"><table summary="mgrcfg-manager upload-channel options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>-tTOPDIR, --topdir=TOPDIR</td><td>Directory all the file paths are relative
                    to</td></tr><tr><td>-cCHANNEL, --channel=CHANNEL
       </td><td>List of channels the config info will be
                    uploaded into. Channels delimited by ','.
                    Example: --channel=foo,bar,baz</td></tr><tr><td>-h, --help</td><td>Show help message and exit</td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cli-config-client.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-cli-config-tools.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ap-rhn-api-access.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">A.2. Configuration Client </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Appendix B. SUSE Manager API Access</td></tr></table></div></body></html>
