<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.6. Using Koan</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-cobbler.jsp" title="Chapter 6. Cobbler" /><link rel="prev" href="s1-cobbler-templates.jsp" title="6.5. Cobbler Templates" /><link rel="next" href="ap-cli-config-tools.jsp" title="Appendix A. Command Line Config Management Tools" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.6. Using Koan</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cobbler-templates.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Cobbler</th><td width="20%" align="right"> <a accesskey="n" href="ap-cli-config-tools.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.6. Using Koan"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cobbler-koan"></a>6.6. Using Koan<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cobbler-koan">¶</a></span></h2></div></div></div><p>
   Whether you are provisioning guests on a virtual machine or re-installing
   a new distribution on a running system, koan works in conjunction with
   Cobbler to provision systems on the fly.
  </p><div class="section" title="6.6.1. Using Koan to Provision Virtual Systems"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-koan-virt"></a>6.6.1. Using Koan to Provision Virtual Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-koan-virt">¶</a></span></h3></div></div></div><p>
    If you have created a virtual machine profile as documented in
    <a class="xref" href="s1-cobbler-addprofile.jsp" title="6.3. Adding a Profile to Cobbler">Section 6.3, “Adding a Profile to Cobbler”</a>, you can use
    <span class="command"><strong>koan</strong></span> to initiate the installation of a virtual guest
    on a system.
   </p><p>
    For example, say you've created a Cobbler profile such as the following:
   </p><pre class="screen">cobbler add profile --name=virtualfileserver --distro=sless11-x86_64-server --virt-file-size=20 --virt-ram=1000</pre><p>
    This profile is for a fileserver running SUSE Linux Enterprise Server 11 with a 20GB guest
    image size and alloted 1GB of system RAM.
   </p><p>
    To find the name of the virtual guest system profile, run the following
    with <span class="command"><strong>koan</strong></span>:
   </p><pre class="screen">koan --server=hostname --list-profiles</pre><p>
    This command lists all of the available profiles created with
    <span class="command"><strong>cobbler profile add</strong></span>.
   </p><p>
    Then, begin the process of creating the image file and starting the
    installation of the virtual guest system.
   </p><pre class="screen">koan --virt --server=cobbler-server.example.com --profile=virtualfileserver --virtname=marketingfileserver</pre><p>
    The command specifies that a virtual guest system be created from the
    Cobbler server (hostname
    <code class="systemitem">cobbler-server.example.com</code>)
    using the <strong class="userinput"><code>virtualfileserver</code></strong> profile. The
    <code class="option">virtname</code> option specifies a label for the virtual
    guest, which by default is labeled with the system's MAC address.
   </p><p>
    Once installation of the virtual guest is complete, it can be used as
    any other virtual guest system.
   </p></div><div class="section" title="6.6.2. Using Koan to Re-install Running Systems"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-koan-reinstall"></a>6.6.2. Using Koan to Re-install Running Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-koan-reinstall">¶</a></span></h3></div></div></div><p>
    There may be instances where you need to re-install a machine with
    another operating system while it is still running.
    <span class="command"><strong>koan</strong></span> can help you by destructively replacing a
    running system with a new installation from the available Cobbler
    profiles.
   </p><p>
    To replace a running system and install a new one, run the following
    command <span class="emphasis"><em>on the system itself</em></span>:
   </p><pre class="screen">koan --replace-self --server=hostname --profile=name</pre><p>
    This command, when executed on the running system to be replaced, will
    start the provisioning process and replace its own system using the
    profile in <code class="option">--profile=name</code> on the Cobbler server
    specified in <code class="option">--server=hostname</code>.
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cobbler-templates.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-cobbler.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ap-cli-config-tools.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.5. Cobbler Templates </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Appendix A. Command Line Config Management Tools</td></tr></table></div></body></html>
