<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.5. Cobbler Templates</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-cobbler.jsp" title="Chapter 6. Cobbler" /><link rel="prev" href="s1-cobbler-addsystem.jsp" title="6.4. Adding a System to Cobbler" /><link rel="next" href="s1-cobbler-koan.jsp" title="6.6. Using Koan" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.5. Cobbler Templates</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cobbler-addsystem.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Cobbler</th><td width="20%" align="right"> <a accesskey="n" href="s1-cobbler-koan.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.5. Cobbler Templates"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cobbler-templates"></a>6.5. Cobbler Templates<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cobbler-templates">¶</a></span></h2></div></div></div><p>
   Within the SUSE Manager web interface, there are facilities to create
   variables for use with Kickstart distributions and profiles. For example,
   to create a Kickstart profile variable, refer to
   <a class="xref" href="s1-sm-systems.jsp#s4-sm-system-kick-details-variables" title="3.4.9.4.3. Autoinstallation Details+Variables">Section 3.4.9.4.3, “<span class="guimenu">Autoinstallation Details</span>+<span class="guimenu">Variables</span>”</a>.
  </p><p>
   Kickstart variables are a part of an infrastructural change in SUSE Manager
   to support <em class="firstterm">templating</em> in Kickstart files. In the
   context of Kickstart files, templates are files that hold descriptions
   used to build actual Kickstart files, rather than creating specific
   kickstarts.
  </p><p>
   These templates are then shared by various profiles and systems that have
   their own variables and corresponding values. These variables modify the
   templates and software called a <em class="firstterm">template engine</em>
   parses the template and variable data into a usable Kickstart file.
   Cobbler uses an advanced template engine called
   <em class="firstterm">Cheetah</em> that provides support for templates,
   variables, and snippets.
  </p><p>
   Advantages of using templates include:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Robust features that allow administrators to create and manage large
     amounts of profiles or systems without duplication of effort or
     manually creating Kickstarts for every unique situation
    </p></li><li class="listitem"><p>
     While templates can become complex and involve loops, conditionals and
     other enhanced features and syntax, it can also be used simply to make
     Kickstart files without such complexity.
    </p></li></ul></div><div class="section" title="6.5.1. Using Templates"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-templates-usage"></a>6.5.1. Using Templates<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-templates-usage">¶</a></span></h3></div></div></div><p>
    Kickstart templates can have static values for certain common items such
    as PXE image filenames, subnet addresses, and common paths such as
    <code class="filename">/etc/sysconfig/network-scripts/</code>. However, where
    templates differ from standard Kickstart files are in their use of
    variables.
   </p><p>
    For example, a standard Kickstart file may have a networking passage
    that looks similar to the following
   </p><pre class="screen">network --device=eth0 --bootproto=static --ip=192.168.100.24 --netmask=255.255.255.0 --gateway=192.168.100.1 --nameserver=192.168.100.2</pre><p>
    However, in a Kickstart template file, the networking passage may look
    similar to the following:
   </p><pre class="screen">network --device=$net_dev --bootproto=static --ip=$ip_addr --netmask=255.255.255.0 --gateway=$my_gateway --nameserver=$my_nameserver</pre><p>
    These variables will be substituted with the values set in your
    Kickstart profile variables or in your system detail variables. If there
    are the same variables defined in both the profile and the system
    detail, then the system variable takes precedence.
   </p><p>
    For more information about Kickstart templates, refer to the Cobbler
    project page at the following URL:
   </p><p>
    <a class="ulink" href="https://fedorahosted.org/cobbler/wiki/KickstartTemplating" target="_top">https://fedorahosted.org/cobbler/wiki/KickstartTemplating</a>
   </p></div><div class="section" title="6.5.2. Kickstart Snippets"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-templates-snippets"></a>6.5.2. Kickstart Snippets<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-templates-snippets">¶</a></span></h3></div></div></div><p>
    If you have common configurations that are the same across all Kickstart
    templates and profiles, you can utilize the
    <em class="firstterm">Snippets</em> feature of Cobbler to take advantage of
    code reuse.
   </p><p>
    Kickstart snippets are sections of Kickstart code that can be called by
    a <code class="option">$SNIPPET()</code> function that will be parsed by Cobbler
    and substitute that function call with the contents of the snippet.
   </p><p>
    For example, if you had a common hard drive partition configuration for
    all servers, such as:
   </p><pre class="screen">clearpart --all
part /boot --fstype ext3 --size=150 --asprimary
part / --fstype ext3 --size=40000 --asprimary
part swap --recommended

part pv.00 --size=1 --grow

volgroup vg00 pv.00
logvol /var --name=var vgname=vg00 --fstype ext3 --size=5000</pre><p>
    You could take that snippet, save it to a file (such as
    <code class="filename">my_partition</code>), and place the file in
    <code class="filename">/var/lib/cobbler/snippets/</code> so that Cobbler can
    access them.
   </p><p>
    You can then use the snippet by using the <code class="option">$SNIPPET()</code>
    function in your Kickstart templates. For example:
   </p><pre class="screen">$SNIPPET('my_partition')</pre><p>
    Wherever you invoke that function, the Cheetah parser will substitute
    the function with the snippet of code contained in the
    <code class="filename">my_partition</code> file.
   </p><p>
    For more information about Kickstart snippets, refer to the Cobbler
    project page at the following URL:
   </p><p>
    <a class="ulink" href="https://fedorahosted.org/cobbler/wiki/KickstartSnippets" target="_top">https://fedorahosted.org/cobbler/wiki/KickstartSnippets</a>
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cobbler-addsystem.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-cobbler.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cobbler-koan.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.4. Adding a System to Cobbler </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.6. Using Koan</td></tr></table></div></body></html>
