<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>4.4. Notifications</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-monitoring.jsp" title="Chapter 4. Monitoring" /><link rel="prev" href="s1-mon-mysql.jsp" title="4.3. mysql package" /><link rel="next" href="s1-mon-probes.jsp" title="4.5. Probes" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">4.4. Notifications</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-mon-mysql.jsp">Prev</a> </td><th width="60%" align="center">Chapter 4. Monitoring</th><td width="20%" align="right"> <a accesskey="n" href="s1-mon-probes.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="4.4. Notifications"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-mon-notifs"></a>4.4. Notifications<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-mon-notifs">¶</a></span></h2></div></div></div><a id="id484104" class="indexterm"></a><p>
   In addition to viewing probe status within the SUSE Manager interface, you
   may be notified whenever a probe changes state. This is especially
   important when monitoring mission-critical production systems.

  </p><p>
   To enable probe notifications within SUSE Manager, you must have identified
   a mail exchange server and mail domain during installation of your
   SUSE Manager and configured <span class="application">sendmail</span> to properly
   handle incoming mail. Refer to the <em class="citetitle">Installation</em>
   chapter of the <em class="citetitle">SUSE Manager Installation Guide</em> for
   details.
  </p><div class="section" title="4.4.1. Creating Notification Methods"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-notifs-methods"></a>4.4.1. Creating Notification Methods<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-notifs-methods">¶</a></span></h3></div></div></div><a id="id404557" class="indexterm"></a><p>
    Notifications are sent via a <em class="firstterm">notification method</em>,
    an email or pager address associated with a specific SUSE Manager user.
    Although the address is tied to a particular user account, it may serve
    multiple administrators through an alias or mailing list. Each user
    account can contain multiple notification methods. To create a
    notification method:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      Log into the SUSE Manager website as either an SUSE Manager administrator or
      monitoring administrator.
     </p></li><li class="listitem"><p>
      Navigate to the <span class="guilabel">User Details</span>+<span class="guilabel">Notification Methods</span> tab and click
      <span class="guilabel">create new method</span>.
     </p></li><li class="listitem"><p>
      Enter an intuitive, descriptive label for the method name, such as
      <strong class="userinput"><code>DBA day email</code></strong>, and provide the correct email or
      pager address. Remember, the labels for all notification methods are
      available in a single list during probe creation, so they should be
      unique to your organization.
     </p></li><li class="listitem"><p>
      Select the checkbox if you desire abbreviated messages to be sent to
      the pager. This shorter format contains only the probe state, system
      hostname, probe name, time of message, and Send ID. The standard,
      longer format displays additional message headers, system and probe
      details, and instructions for response.
     </p></li><li class="listitem"><p>
      When finished, click <span class="guibutton">Create Method</span>. The new
      method shows up in the <span class="guilabel">User Details</span>+<span class="guilabel">Notification Methods</span> tab and the
      <span class="guilabel">Notification</span> page under the top
      <span class="guilabel">Monitoring</span> category. Click its name to edit or
      delete it.
     </p></li><li class="listitem"><p>
      While adding probes, select the <span class="guilabel">Probe
      Notifications</span> checkbox and select the new notification
      method from the resulting dropdown menu. Notification methods assigned
      to probes cannot be deleted until they are dis-associated from the
      probe.
     </p></li></ol></div></div><div class="section" title="4.4.2. Receiving Notifications"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-notifs-acks"></a>4.4.2. Receiving Notifications<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-notifs-acks">¶</a></span></h3></div></div></div><a id="id378571" class="indexterm"></a><p>
    If you create notification methods and associate them with probes, you
    must be prepared to receive them. These notifications come in the form
    of brief text messages sent to either email or pager addresses. Here is
    an example of an email notification:
   </p><p>
    As you can see, the longer email notifications contain virtually
    everything you would need to know about the associated probe. In
    addition to the probe command, run time, system monitored, and state,
    the message contains the <em class="firstterm">Send ID</em>, which is a
    unique character string representing the precise message and probe. In
    the above message, the Send ID is
    <code class="computeroutput">01dc8hqw</code>.
   </p><p>
    Pager notifications, by necessity, contain only the most important
    details, namely the subject of the email message (containing state,
    system, probe, and time) and the Send ID. Here is an example pager
    notification:
   </p></div><div class="section" title="4.4.3. Redirecting Notifications"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-notifs-redirs"></a>4.4.3. Redirecting Notifications<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-notifs-redirs">¶</a></span></h3></div></div></div><a id="id402912" class="indexterm"></a><p>
    Upon receiving a notification, you may redirect it by including advanced
    notification rules within an acknowledgment email. Just reply to the
    notification and include the desired option. These are the possible
    redirect options, or <em class="firstterm">filter types</em>:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      ACK METOO — Sends the notification to the redirect destination(s)
      <span class="emphasis"><em>in addition to</em></span> the default destination.
     </p></li><li class="listitem"><p>
      ACK SUSPEND — Suspends the notification method for a specified time
      period.
     </p></li><li class="listitem"><p>
      ACK AUTOACK — Does not change the destination of the notification,
      but automatically acknowledges matching alerts as soon as they are
      sent.
     </p></li><li class="listitem"><p>
      ACK REDIR — Sends the notification to the redirect destination(s)
      <span class="emphasis"><em>instead of</em></span> the default destination.
     </p></li></ul></div><p>
    The format of the rule should be <em class="replaceable"><code>filter_type probe_type
    duration email_address</code></em> where
    <em class="replaceable"><code>filter_type</code></em> indicates one of the previous
    advanced commands, <em class="replaceable"><code>probe_type</code></em> indicates probe
    or system, <em class="replaceable"><code>duration</code></em> indicates the length of
    time for the redirect, and <em class="replaceable"><code>email_address</code></em>
    indicates the intended recipient. For example:
   </p><pre class="screen">ACK METOO system 1h boss@domain.com</pre><p>
    Capitalization is not required. Duration can be listed in minutes (m),
    hours (h), or days (d). Email addresses are needed only for redirects
    (REDIR) and supplemental (METOO) notifications.
   </p><p>
    The description of the action contained in the resulting email defaults
    to the command entered by the user. The reason listed is a summary of
    the action, such as <code class="computeroutput">email ack redirect by
    user@domain.com</code> where user equals the sender of the
    email.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     You can halt or redirect almost all probe notifications by replying to
     a notification emails with a variation of the command <span class="command"><strong>ack
     suspend host</strong></span>. However, you cannot halt SUSE Manager probe
     notifications by responding to a probe with <span class="command"><strong>ack suspend
     host</strong></span> or other redirect responses. These probes require you to
     change the notifications within the SUSE Manager web interface.
    </p></div></div><div class="section" title="4.4.4. Filtering Notifications"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-notifs-filters"></a>4.4.4. Filtering Notifications<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-notifs-filters">¶</a></span></h3></div></div></div><a id="id383355" class="indexterm"></a><p>
    Since notifications can be generated whenever a probe changes state,
    simple changes in your network can result in a flood of notifications.
    The creation, cancellation, and application of Notification filters is
    discussed in detail in <a class="xref" href="s1-sm-monitor.jsp#s3-monitor-notif-filter" title="3.10.3.1. Notification+Filters">Section 3.10.3.1, “<span class="guilabel">Notification</span>+<span class="guilabel">Filters</span>”</a>.
   </p></div><div class="section" title="4.4.5. Deleting Notification Methods"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-notifs-delete"></a>4.4.5. Deleting Notification Methods<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-notifs-delete">¶</a></span></h3></div></div></div><a id="id459565" class="indexterm"></a><p>
    Theoretically, removing notification methods should be as easy as
    creating them. After all, you must populate no fields to conduct the
    deletion and a button exists for this explicit purpose. However,
    existing relationships between methods and probes can complicate this
    process. Follow these steps to remove a notification method:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      Log into the SUSE Manager website as an SUSE Manager administrator or
      monitoring administrator.
     </p></li><li class="listitem"><p>
      Navigate to the <span class="guilabel">Monitoring</span>+<span class="guilabel">Notifications</span> page and click the
      name of the method to be removed.
     </p></li><li class="listitem"><p>
      On the <span class="guilabel">User Details</span>+<span class="guilabel">Notification Methods</span> tab, click
      <span class="guilabel">delete method</span>. If the method is not associated
      with any probes, you are presented with a confirmation page. Click
      <span class="guibutton">Confirm Deletion</span>. The notification method is
      removed.
     </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
       Since both the notification method name and address can be edited,
       consider updating the method rather than deleting it. This redirects
       notifications from all probes using the method without having to edit
       each probe and create a new notification method.
      </p></div></li><li class="listitem"><p>
      If the method is associated with one or more probes, you are presented
      with a list of the probes using the method and the systems to which
      the probes are attached instead of a confirmation page. Click the
      probe name to go directly to the <span class="guilabel">System
      Details</span>+<span class="guilabel">Probes</span> tab.
     </p></li><li class="listitem"><p>
      On the <span class="guilabel">System Details</span>+<span class="guilabel">Probes</span> tab, select another
      notification method and click <span class="guibutton">Update Probe</span>.
     </p></li><li class="listitem"><p>
      You may now return to the <span class="guilabel">Monitoring</span>+<span class="guilabel">Notifications</span> page and delete the
      notification method.
     </p></li></ol></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-mon-mysql.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-mon-probes.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">4.3. mysql package </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 4.5. Probes</td></tr></table></div></body></html>
