<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>4.5. Probes</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-monitoring.jsp" title="Chapter 4. Monitoring" /><link rel="prev" href="s1-mon-notifs.jsp" title="4.4. Notifications" /><link rel="next" href="s1-mon-trouble.jsp" title="4.6. Troubleshooting" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">4.5. Probes</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-mon-notifs.jsp">Prev</a> </td><th width="60%" align="center">Chapter 4. Monitoring</th><td width="20%" align="right"> <a accesskey="n" href="s1-mon-trouble.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="4.5. Probes"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-mon-probes"></a>4.5. Probes<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-mon-probes">¶</a></span></h2></div></div></div><a id="id351028" class="indexterm"></a><p>
   Now that the SUSE Manager monitoring daemon has been installed and
   notification methods have been created, you may begin installing probes
   on your monitoring-entitled systems. If a system is entitled to
   monitoring, a <span class="guilabel">Probes</span> tab appears within its
   <span class="guilabel">System Details</span> page. This is where you will conduct
   most probe-related work.
  </p><div class="section" title="4.5.1. Managing Probes"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-probes-manage"></a>4.5.1. Managing Probes<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-probes-manage">¶</a></span></h3></div></div></div><a id="id378679" class="indexterm"></a><p>
    To add a probe to a system, the system must be entitled to monitoring.
    Further, you must have access to the system itself, either as the
    system's root user, through the system group administrator role, or as
    the SUSE Manager administrator. Then:
   </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
      Log into the SUSE Manager website as either an SUSE Manager administrator or
      the system group administrator for the system.
     </p></li><li class="step" title="Step 2"><p>
      Navigate to the <span class="guilabel">System Details</span>+<span class="guilabel">Probes</span> tab and click
      <span class="guilabel">create new probe</span>.
     </p></li><li class="step" title="Step 3"><p>
      On the <span class="guilabel">System Probe Creation</span> page, complete all
      required fields. First, select the probe command group. This alters
      the list of available probes and other fields and requirements. Refer
      to <a class="xref" href="ap-probes-monitoring.jsp" title="Appendix C. Probes">Appendix C, <i>Probes</i></a> for the complete list of
      probes by command group. Remember that some probes require the
      SUSE Manager network monitoring daemon to be installed on the client
      system.
     </p></li><li class="step" title="Step 4"><p>
      
      Select the desired probe command and the monitoring
      scout.
      Enter a brief but unique description for the probe.
     </p></li><li class="step" title="Step 5"><p>
      Select the <span class="guilabel">Probe Notifications</span> checkbox to
      receive notifications when the probe changes state. Use the
      <span class="guilabel">Probe Check Interval</span> dropdown menu to determine
      how often notifications should be sent. Selecting <strong class="userinput"><code>1
      minute</code></strong> (and the <span class="guilabel">Probe Notification</span>
      checkbox) means you will receive notifications every minute the probe
      surpasses its CRITICAL or WARNING thresholds. Refer to
      <a class="xref" href="s1-mon-notifs.jsp" title="4.4. Notifications">Section 4.4, “Notifications”</a> to find out how to create notification
      methods and acknowledge their messages.
     </p></li><li class="step" title="Step 6"><p>
      Use the <span class="guilabel">RHNMD User</span> and <span class="guilabel">RHNMD
      Port</span> fields, if they appear, to force the probe to
      communicate via <code class="filename">sshd</code>, rather than the SUSE Manager
      monitoring daemon. Refer to <a class="xref" href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-sshd" title="4.2.3. Configuring SSH">Section 4.2.3, “Configuring SSH”</a> for
      details. Otherwise, accept the default values of
      <strong class="userinput"><code>nocpulse</code></strong> and <strong class="userinput"><code>4545</code></strong>,
      respectively.
     </p></li><li class="step" title="Step 7"><p>
      If the <span class="guilabel">Timeout</span> field appears, review the default
      value and adjust to meet your needs. Most but not all timeouts result
      in an UNKNOWN state. If the probe's metrics are time-based, ensure the
      timeout is not less than the time allotted to thresholds. Otherwise,
      the metrics serve no purpose, as the probe will time out before any
      thresholds are crossed.
     </p></li><li class="step" title="Step 8"><p>
      Use the remaining fields to establish the probe's alert thresholds, if
      applicable. These CRITICAL and WARNING values determine at what point
      the probe has changed state. Refer to
      <a class="xref" href="s1-mon-probes.jsp#s2-mon-probes-thresholds" title="4.5.2. Establishing Thresholds">Section 4.5.2, “Establishing Thresholds”</a> for best practices
      regarding these thresholds.
     </p></li><li class="step" title="Step 9"><p>
      When finished, click <span class="guibutton">Create Probe</span>. Remember,
      you must commit your monitoring configuration change on the
      <span class="guilabel">Scout Config Push</span> page for this to take effect.
     </p></li></ol></div><p>
    To delete a probe, navigate to its <span class="guilabel">Current State</span>
    page (by clicking the name of the probe from the <span class="guilabel">System Details</span>+<span class="guilabel">Probes</span> tab), and click <span class="guilabel">delete probe</span>.
    Finally, confirm the deletion.
   </p></div><div class="section" title="4.5.2. Establishing Thresholds"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-probes-thresholds"></a>4.5.2. Establishing Thresholds<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-probes-thresholds">¶</a></span></h3></div></div></div><a id="id329920" class="indexterm"></a><p>
    Many of the probes offered by SUSE Manager contain alert thresholds that,
    when crossed, indicate a change in state for the probe. For instance,
    the Linux::CPU Usage probe allows you to set CRITICAL and WARNING
    thresholds for the percent of CPU used. If the monitored system reports
    75 percent of its CPU used, and the WARNING threshold is set to 70
    percent, the probe will go into a WARNING state. Some probes offer a
    multitude of such thresholds.
   </p><p>
    In order to get the most out of your monitoring entitlement and avoid
    false notifications, it is recommended to run your probes without
    notifications for a time to establish baseline performance for each of
    your systems. Although the default values provided for probes may suit
    you, every organization has a different environment that may require
    altering thresholds.
   </p></div><div class="section" title="4.5.3. Monitoring the SUSE Manager Server"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-probes-rhnserver"></a>4.5.3. Monitoring the SUSE Manager Server<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-probes-rhnserver">¶</a></span></h3></div></div></div><a id="id335341" class="indexterm"></a><p>
    In addition to monitoring all of your client systems, you may also use
    SUSE Manager to monitor your SUSE Manager server. To monitor your SUSE Manager
    server, find a system monitored by the server, and go to that system's
    <span class="guilabel">System Details</span>+<span class="guilabel">Probes</span> tab.
   </p><p>
    Click <span class="guilabel">create new probe</span> and select the
    <strong class="userinput"><code>SUSE Manager</code></strong> probe command group. Next, complete the
    remaining fields as you would for any other probe. Refer to
    <a class="xref" href="s1-mon-probes.jsp#s2-mon-probes-manage" title="4.5.1. Managing Probes">Section 4.5.1, “Managing Probes”</a> for instructions.
   </p><p>
    Although the SUSE Manager server appears to be monitored by the client
    system, the probe is actually run from the server on itself. Thresholds
    and notifications work normally.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     Any probes that require SUSE Manager network monitoring daemon connections
     cannot be used against a SUSE Manager or a SUSE Manager proxy server on which
     monitoring software is running. This includes most probes in the Linux
     command group as well as the log agent probes and the remote program
     probes. Use the SUSE Manager command group probes to monitor SUSE Manager and
     SUSE Manager proxy servers. In the case of proxy scouts, the probes are
     listed under the system for which they are reporting data.
    </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-mon-notifs.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-mon-trouble.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">4.4. Notifications </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 4.6. Troubleshooting</td></tr></table></div></body></html>
