<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>4.6. Troubleshooting</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-monitoring.jsp" title="Chapter 4. Monitoring" /><link rel="prev" href="s1-mon-probes.jsp" title="4.5. Probes" /><link rel="next" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">4.6. Troubleshooting</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-mon-probes.jsp">Prev</a> </td><th width="60%" align="center">Chapter 4. Monitoring</th><td width="20%" align="right"> <a accesskey="n" href="ch-multiorg.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="4.6. Troubleshooting"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-mon-trouble"></a>4.6. Troubleshooting<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-mon-trouble">¶</a></span></h2></div></div></div><a id="id458637" class="indexterm"></a><p>
   Though all monitoring-related activities are conducted through the
   SUSE Manager website, SUSE provides access to some command line diagnostic
   tools that may help you determine the cause of errors. To use these
   tools, you must be able to become the <strong class="userinput"><code>nocpulse</code></strong>
   user on the SUSE Manager server conducting the monitoring.
  </p><p>
   First log into the SUSE Manager server as root. Then switch to the
   <strong class="userinput"><code>nocpulse</code></strong> user with the following command:
  </p><pre class="screen">su - nocpulse</pre><p>
   You may now use the diagnostic tools described within the rest of this
   section.
  </p><div class="section" title="4.6.1. Examining Probes with rhn-catalog"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-trouble-catalog"></a>4.6.1. Examining Probes with rhn-catalog<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-trouble-catalog">¶</a></span></h3></div></div></div><a id="id464093" class="indexterm"></a><p>
    
    To thoroughly troubleshoot a probe, you must first obtain its probe ID.
    You may obtain this information by running
    <span class="command"><strong>rhn-catalog</strong></span> on the SUSE Manager server as the
    <strong class="userinput"><code>nocpulse</code></strong> user. The output will resemble:
   </p><pre class="screen">2 ServiceProbe on exa1.example.com (199.168.36.245): test 2
3 ServiceProbe on exa2.example.com (199.168.36.173): rhel2.1 test
4 ServiceProbe on exa3.example.com (199.168.36.174): SSH
5 ServiceProbe on exa4.example.com (199.168.36.175): HTTP</pre><p>
    The probe ID is the first number, while the probe name (as entered in
    the SUSE Manager website) is the final entry on the line. In the above
    example, the <code class="computeroutput">5</code> probe ID corresponds to
    the probe named <code class="computeroutput">HTTP</code>.
   </p><p>
    Further, you may pass the <code class="option">--commandline</code>
    (<code class="option">-c</code>) and <code class="option">--dump</code> (<code class="option">-d</code>)
    options along with a probe ID to <span class="command"><strong>rhn-catalog</strong></span> to
    obtain additional details about the probe, like so:
   </p><pre class="screen">rhn-catalog --commandline --dump 5</pre><p>
    The <code class="option">--commandline</code> option yields the command parameters
    set for the probe, while <code class="option">--dump</code> retrieves everything
    else, including alert thresholds and notification intervals and methods.
   </p><p>
    The command above will result in output similar to:
   </p><pre class="screen">5 ServiceProbe on exa4.example.com (199.168.36.175  ):
linux:cpu usage
      Run as: Unix::CPU.pm --critical=90 --sshhost=199.168.36.175  
--warn=70 --timeout=15 --sshuser=nocpulse
--shell=SSHRemoteCommandShell --sshport=4545</pre><p>
    Now that you have the ID, you use it with
    <span class="command"><strong>rhn-runprobe</strong></span> to examine the probe's output. Refer to
    <a class="xref" href="s1-mon-trouble.jsp#s2-mon-trouble-runprobe" title="4.6.2. Viewing the output of rhn-runprobe">Section 4.6.2, “Viewing the output of rhn-runprobe”</a> for instructions.
   </p></div><div class="section" title="4.6.2. Viewing the output of rhn-runprobe"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-trouble-runprobe"></a>4.6.2. Viewing the output of rhn-runprobe<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-trouble-runprobe">¶</a></span></h3></div></div></div><a id="id421915" class="indexterm"></a><a id="id421925" class="indexterm"></a><p>
    Now that you have obtained the probe ID with
    <span class="command"><strong>rhn-catalog</strong></span>, use it in conjunction with
    <span class="command"><strong>rhn-runprobe</strong></span> to examine the complete output of the
    probe. Note that by default, <span class="command"><strong>rhn-runprobe</strong></span> works in
    test mode, meaning no results are entered in the database. Here are its
    options:
   </p><div class="table"><a id="id347026"></a><p class="title"><b>Table 4.1. <span class="command">rhn-runprobe</span> Options</b></p><div class="table-contents"><table summary="rhn-runprobe Options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">--help</code>
       </td><td>List the available options and exit.</td></tr><tr><td><code class="option">--probe=<em class="replaceable"><code>PROBE_ID</code></em></code>
       </td><td>Run the probe with this ID.</td></tr><tr><td><code class="option">--prob_arg=<em class="replaceable"><code>PARAMETER</code></em></code>
       </td><td>Override any probe parameters from the
                    database.</td></tr><tr><td><code class="option">--module=<em class="replaceable"><code>PERL_MODULE</code></em></code>
       </td><td>Package name of alternate code to run.</td></tr><tr><td><code class="option">--log=all=<em class="replaceable"><code>LEVEL</code></em></code>
       </td><td>Set log level for a package or package
                    prefix.</td></tr><tr><td><code class="option">--debug=<em class="replaceable"><code>LEVEL</code></em></code>
       </td><td>Set numeric debugging level.</td></tr><tr><td><code class="option">--live</code>
       </td><td>Execute the probe, enqueue data and send
                    out notifications (if needed).</td></tr></tbody></table></div></div><br class="table-break" /><p>
    At a minimum, you should include the <code class="option">--probe</code> option,
    the <code class="option">--log</code> option, and values for each. The
    <code class="option">--probe</code> option takes the probeID as its value and the
    <code class="option">--log</code> option takes the value "all" (for all
    run levels) and a numeric verbosity level as its values. Here is an
    example:
   </p><pre class="screen">rhn-runprobe --probe=5 --log=all=4</pre><p>
    The above command requests the probe output for probeID 5, for all run
    levels, with a high level of verbosity.
   </p><p>
    More specifically, you may provide the command parameters derived from
    <span class="command"><strong>rhn-catalog</strong></span>, like so:
   </p><pre class="screen">rhn-runprobe 5 --log=all=4 --sshuser=nocpulse --sshport=4545</pre><p>
    This yields verbose output depicting the probe's attempted execution.
    Errors are clearly identified.
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-mon-probes.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-multiorg.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">4.5. Probes </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 5. Multiple Organizations</td></tr></table></div></body></html>
