<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.2. Apache 1.3.x and 2.0.x</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="next" href="s1-probes-weblogic.jsp" title="C.3. BEA WebLogic 6.x and higher" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.2. Apache 1.3.x and 2.0.x</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ap-probes-monitoring.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-weblogic.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.2. Apache 1.3.x and 2.0.x"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-apache"></a>C.2. Apache 1.3.x and 2.0.x<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-apache">¶</a></span></h2></div></div></div><a id="id348877" class="indexterm"></a><a id="id348888" class="indexterm"></a><p>
   The probes in this section may be applied to instances of the Apache Web
   server. Although the default values presume you will apply these probes
   using standard HTTP, you may also use them over secure connections by
   changing the application protocol to <strong class="userinput"><code>https</code></strong> and the
   port to <strong class="userinput"><code>443</code></strong>.
  </p><div class="section" title="C.2.1. Apache::Processes"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-apache-processes"></a>C.2.1. Apache::Processes<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-apache-processes">¶</a></span></h3></div></div></div><a id="id485180" class="indexterm"></a><a id="id485191" class="indexterm"></a><p>
    The Apache::Processes probe monitors the processes executed on an Apache
    Web server and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Data Transferred Per Child — Records data transfer information only
      on individual children. A child process is one that is created from
      the parent process or another process.
     </p></li><li class="listitem"><p>
      Data Transferred Per Slot — The cumulative amount of data
      transferred by a child process that restarts. The number of slots is
      configured in the <code class="filename">httpd.conf</code> file using the
      <code class="option">MaxRequestsPerChild</code> setting.
     </p></li></ul></div><p>
    The <code class="option">ExtendedStatus</code> directive in the
    <code class="filename">httpd.conf</code> file of the Web server must be set to
    <strong class="userinput"><code>On</code></strong> for this probe to function properly.
   </p><div class="table"><a id="id483337"></a><p class="title"><b>Table C.1. Apache::Processes settings</b></p><div class="table-contents"><table summary="Apache::Processes settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Application Protocol*</td><td>http</td></tr><tr><td>Port*</td><td>80</td></tr><tr><td>Pathname*</td><td>/server-status</td></tr><tr><td>UserAgent*</td><td>NOCpulse-ApacheUptime/1.0</td></tr><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Megabytes Transferred Per
                    Child</td><td> </td></tr><tr><td>Warning Maximum Megabytes Transferred Per
                    Child</td><td> </td></tr><tr><td>Critical Maximum Megabytes Transferred Per
                    Slot</td><td> </td></tr><tr><td>Warning Maximum Megabytes Transferred Per
                    Slot</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.2.2. Apache::Traffic"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-apache-traffic"></a>C.2.2. Apache::Traffic<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-apache-traffic">¶</a></span></h3></div></div></div><a id="id378633" class="indexterm"></a><a id="id461452" class="indexterm"></a><p>
    The Apache::Traffic probe monitors the requests on an Apache Web server
    and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Current Requests — The number of requests being processed by the
      server at probe runtime.
     </p></li><li class="listitem"><p>
      Request Rate — The accesses to the server per second since the probe
      last ran.
     </p></li><li class="listitem"><p>
      Traffic — The kilobytes per second of traffic the server has
      processed since the probe last ran.
     </p></li></ul></div><p>
    The <code class="option">ExtendedStatus</code> directive in the
    <code class="filename">httpd.conf</code> file of the Web server must be set to
    <strong class="userinput"><code>On</code></strong> for this probe to function properly.
   </p><div class="table"><a id="id407018"></a><p class="title"><b>Table C.2. Apache::Traffic settings</b></p><div class="table-contents"><table summary="Apache::Traffic settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Application Protocol*</td><td>http</td></tr><tr><td>Port*</td><td>80</td></tr><tr><td>Pathname*</td><td>/server-status</td></tr><tr><td>UserAgent*</td><td>NOCpulse-ApacheUptime/1.0</td></tr><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Current Requests
                    (number)</td><td> </td></tr><tr><td>Warning Maximum Current Requests
                    (number)</td><td> </td></tr><tr><td>Critical Maximum Request Rate (events per
                    second)</td><td> </td></tr><tr><td>Warning Maximum Request Rate (events per
                    second)</td><td> </td></tr><tr><td>Critical Maximum Traffic (kilobytes per
                    second)</td><td> </td></tr><tr><td>Warning Maximum Traffic (kilobytes per
                    second)</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.2.3. Apache::Uptime"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-apache-uptime"></a>C.2.3. Apache::Uptime<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-apache-uptime">¶</a></span></h3></div></div></div><a id="id335552" class="indexterm"></a><a id="id335563" class="indexterm"></a><p>
    The Apache::Uptime probe stores the cumulative time since the Web server
    was last started. No metrics are collected by this probe, which is
    designed to help track service level agreements (SLAs).
   </p><div class="table"><a id="id395497"></a><p class="title"><b>Table C.3. Apache::Uptime settings</b></p><div class="table-contents"><table summary="Apache::Uptime settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Application Protocol*</td><td>http</td></tr><tr><td>Port*</td><td>80</td></tr><tr><td>Pathname*</td><td>/server-status</td></tr><tr><td>UserAgent*</td><td>NOCpulse-ApacheUptime/1.0</td></tr><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>Timeout*</td><td>15</td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ap-probes-monitoring.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-weblogic.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Appendix C. Probes </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.3. BEA WebLogic 6.x and higher</td></tr></table></div></body></html>
