<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.4. General</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-weblogic.jsp" title="C.3. BEA WebLogic 6.x and higher" /><link rel="next" href="s1-probes-linux.jsp" title="C.5. Linux" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.4. General</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-weblogic.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-linux.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.4. General"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-general"></a>C.4. General<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-general">¶</a></span></h2></div></div></div><a id="id373046" class="indexterm"></a><a id="id373057" class="indexterm"></a><p>
   The probes in this section are designed to monitor basic aspects of your
   systems. When applying them, ensure their timed thresholds do not exceed
   the amount of time allotted to the timeout period. Otherwise, the probe
   returns an UNKOWN status in all instances of extended latency, thereby
   nullifying the thresholds.
  </p><div class="section" title="C.4.1. General::Remote Program"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-general-remote-program"></a>C.4.1. General::Remote Program<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-general-remote-program">¶</a></span></h3></div></div></div><a id="id477554" class="indexterm"></a><a id="id477564" class="indexterm"></a><p>
    The General::Remote Program probe allows you to run any command or
    script on your system and obtain a status string. Note that the
    resulting message will be limited to 1024 bytes.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id477595"></a><p class="title"><b>Table C.9. General::Remote Program settings</b></p><div class="table-contents"><table summary="General::Remote Program settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Command*</td><td> </td></tr><tr><td>OK Exit Status*</td><td>0</td></tr><tr><td>Warning Exit Status*</td><td>1</td></tr><tr><td>Critical Exit Status*</td><td>2</td></tr><tr><td>Timeout</td><td>15</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.4.2. General::Remote Program with Data"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-general-remote-data"></a>C.4.2. General::Remote Program with Data<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-general-remote-data">¶</a></span></h3></div></div></div><a id="id396114" class="indexterm"></a><a id="id396125" class="indexterm"></a><p>
    The General::Remote Program with Data probe allows you to run any
    command or script on your system and obtain a value, as well as a status
    string. To use this probe, you must include XML code in the body of your
    script. This probe supports the following XML tags:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <code class="sgmltag-starttag">&lt;perldata&gt;</code>
      <code class="sgmltag-endtag">&lt;/perldata&gt;</code>
     </p></li><li class="listitem"><p>
      <code class="sgmltag-starttag">&lt;hash&gt;</code>
      <code class="sgmltag-endtag">&lt;/hash&gt;</code>
     </p></li><li class="listitem"><p>
      <code class="sgmltag-starttag">&lt;hash key="..."&gt;</code>
      <code class="sgmltag-endtag">&lt;/hash&gt;</code>
     </p></li></ul></div><p>
    The remote program will need to output some iteration of the following
    code to <span class="command"><strong>STDOUT</strong></span>:
   </p><pre class="screen">&lt;perldata&gt;
  &lt;hash&gt;
    &lt;item key="data"&gt;10&lt;/item&gt;
    &lt;item key="status_message"&gt;status message here&lt;/item&gt;
  &lt;/hash&gt;
&lt;/perldata&gt;</pre><p>
    The required value for <code class="option">data</code> is the data point to be
    inserted in the database for time-series trending. The
    <code class="option">status_message</code> is optional and can be whatever text
    string is desired with a maximum length of 1024 bytes. Remote programs
    that do not include a <code class="option">status_message</code> still report the
    value and status returned.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe. XML is case-sensitive. The <code class="option">data</code>
    item key name cannot be changed and it must collect a number as its
    value.
   </p><div class="table"><a id="id422137"></a><p class="title"><b>Table C.10. General::Remote Program with Data settings</b></p><div class="table-contents"><table summary="General::Remote Program with Data settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Command*</td><td> </td></tr><tr><td>OK Exit Status*</td><td>0</td></tr><tr><td>Warning Exit Status*</td><td>1</td></tr><tr><td>Critical Exit Status*</td><td>2</td></tr><tr><td>Timeout</td><td>15</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.4.3. General::SNMP Check"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-general-snmp-check"></a>C.4.3. General::SNMP Check<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-general-snmp-check">¶</a></span></h3></div></div></div><a id="id506600" class="indexterm"></a><a id="id506611" class="indexterm"></a><p>
    The General::SNMP Check probe tests your SNMP server by specifying a
    single object identifier (OID) in dotted notation (such as
    <strong class="userinput"><code>1.3.6.1.2.1.1.1.0</code></strong>) and a threshold associated
    with the return value. It collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the SNMP
      server to answer a connection request.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — SNMP must be running on the
    monitored system to perform this probe. Only integers can be used for
    the threshold values.
   </p><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id426241"></a><p class="title"><b>Table C.11. General::SNMP Check settings</b></p><div class="table-contents"><table summary="General::SNMP Check settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP OID*</td><td> </td></tr><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>2</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Value</td><td> </td></tr><tr><td>Warning Maximum Value</td><td> </td></tr><tr><td>Warning Minimum Value</td><td> </td></tr><tr><td>Critical Minimum Value</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.4.4. General::TCP Check"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-general-tcp-check"></a>C.4.4. General::TCP Check<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-general-tcp-check">¶</a></span></h3></div></div></div><a id="id401166" class="indexterm"></a><a id="id401177" class="indexterm"></a><p>
    The General::TCP Check probe tests your TCP server by verifying that it
    can connect to a system via the specified port number. It collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the TCP
      server to answer a connection request.
     </p></li></ul></div><p>
    The probe passes the string specified in the <span class="guilabel">Send</span>
    field upon making a connection. The probe anticipates a response from
    the system, which should include the substring specified in the
    <span class="guilabel">Expect</span> field. If the expected string is not found,
    the probe returns a CRITICAL status.
   </p><div class="table"><a id="id401223"></a><p class="title"><b>Table C.12. General::TCP Check settings</b></p><div class="table-contents"><table summary="General::TCP Check settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Send</td><td> </td></tr><tr><td>Expect</td><td> </td></tr><tr><td>Port*</td><td>1</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Latency</td><td> </td></tr><tr><td>Warning Maximum Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.4.5. General::UDP Check"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-general-udp-check"></a>C.4.5. General::UDP Check<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-general-udp-check">¶</a></span></h3></div></div></div><a id="id342223" class="indexterm"></a><a id="id342234" class="indexterm"></a><p>
    The General::UDP Check probe tests your UDP server by verifying that it
    can connect to a system via the specified port number. It collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the UDP
      server to answer a connection request.
     </p></li></ul></div><p>
    The probe passes the string specified in the <span class="guilabel">Send</span>
    field upon making a connection. The probe anticipates a response from
    the system, which should include the substring specified in the
    <span class="guilabel">Expect</span> field. If the expected string is not found,
    the probe returns a CRITICAL status.
   </p><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id349370"></a><p class="title"><b>Table C.13. General::UDP Check settings</b></p><div class="table-contents"><table summary="General::UDP Check settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Port*</td><td>1</td></tr><tr><td>Send</td><td> </td></tr><tr><td>Expect</td><td> </td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Latency</td><td> </td></tr><tr><td>Warning Maximum Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.4.6. General::Uptime (SNMP)"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-general-uptime-snmp"></a>C.4.6. General::Uptime (SNMP)<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-general-uptime-snmp">¶</a></span></h3></div></div></div><a id="id405495" class="indexterm"></a><a id="id405506" class="indexterm"></a><p>
    The General::Uptime (SNMP) probe records the time since the device was
    last started. It uses the SNMP object identifier (OID) to obtain this
    value. The only error status it will return is UNKNOWN.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — SNMP must be running on the
    monitored system and access to the OID must be enabled to perform this
    probe.
   </p><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id435780"></a><p class="title"><b>Table C.14. General::Uptime (SNMP) settings</b></p><div class="table-contents"><table summary="General::Uptime (SNMP) settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>2</td></tr><tr><td>Timeout*</td><td>15</td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-weblogic.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-linux.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.3. BEA WebLogic 6.x and higher </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.5. Linux</td></tr></table></div></body></html>
