<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.5. Linux</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-general.jsp" title="C.4. General" /><link rel="next" href="s1-probes-logagent.jsp" title="C.6. LogAgent" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.5. Linux</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-general.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-logagent.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.5. Linux"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-linux"></a>C.5. Linux<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-linux">¶</a></span></h2></div></div></div><a id="id381468" class="indexterm"></a><a id="id381479" class="indexterm"></a><p>
   The probes in this section monitor essential aspects of your Linux
   systems, from CPU usage to virtual memory. Apply them to mission-critical
   systems to obtain warnings prior to failure.
  </p><p>
   Unlike other probe groups, which may or may not require the SUSE Manager
   monitoring daemon, every Linux probe requires that the
   <code class="filename">rhnmd</code> daemon be running on the monitored system.
  </p><div class="section" title="C.5.1. Linux::CPU Usage"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-cpu-usage"></a>C.5.1. Linux::CPU Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-cpu-usage">¶</a></span></h3></div></div></div><a id="id480359" class="indexterm"></a><a id="id480370" class="indexterm"></a><p>
    The Linux::CPU Usage probe monitors the CPU utilization on a system and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      CPU Percent Used — The five-second average of the percent of CPU
      usage at probe execution.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager Monitoring Daemon
    must be running on the monitored system to run this probe.
   </p><div class="table"><a id="id480407"></a><p class="title"><b>Table C.15. Linux::CPU Usage settings</b></p><div class="table-contents"><table summary="Linux::CPU Usage settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum CPU Percent Used</td><td> </td></tr><tr><td>Warning Maximum CPU Percent Used</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.2. Linux::Disk IO Throughput"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-disk-io"></a>C.5.2. Linux::Disk IO Throughput<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-disk-io">¶</a></span></h3></div></div></div><a id="id352075" class="indexterm"></a><a id="id492815" class="indexterm"></a><p>
    The Linux::Disk IO Throughput probe monitors a given disk and collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Read Rate — The amount of data that is read in kilobytes per second.
     </p></li><li class="listitem"><p>
      Write Rate — The amount of data that is written in kilobytes per
      second.
     </p></li></ul></div><p>
    To obtain the value for the required <span class="guilabel">Disk number or disk
    name</span> field, run <span class="command"><strong>iostat</strong></span> on the system to be
    monitored and see what name has been assigned to the disk you desire.
    The default value of <strong class="userinput"><code>0</code></strong> usually provides
    statistics from the first hard drive connected directly to the system.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe. Also, the <span class="guilabel">Disk number or disk
    name</span> parameter must match the format visible when the
    <span class="command"><strong>iostat</strong></span> command is run. If the format is not
    identical, the configured probe enters an UNKNOWN state.
   </p><div class="table"><a id="id438724"></a><p class="title"><b>Table C.16. Linux::Disk IO Throughput settings</b></p><div class="table-contents"><table summary="Linux::Disk IO Throughput settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Disk number or disk name*</td><td>0</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum KB read/second</td><td> </td></tr><tr><td>Warning Maximum KB read/second</td><td> </td></tr><tr><td>Warning Minimum KB read/second</td><td> </td></tr><tr><td>Critical Minimum KB read/second</td><td> </td></tr><tr><td>Critical Maximum KB written/second</td><td> </td></tr><tr><td>Warning Maximum KB written/second</td><td> </td></tr><tr><td>Warning Minimum KB written/second</td><td> </td></tr><tr><td>Critical Minimum KB written/second</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.3. Linux::Disk Usage"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-disk-usage"></a>C.5.3. Linux::Disk Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-disk-usage">¶</a></span></h3></div></div></div><a id="id449743" class="indexterm"></a><a id="id449754" class="indexterm"></a><p>
    The Linux::Disk Usage probe monitors the disk space on a specific file
    system and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      File System Used — The percentage of the file system currently in
      use.
     </p></li><li class="listitem"><p>
      Space Used — The amount of the file system in megabytes currently in
      use.
     </p></li><li class="listitem"><p>
      Space Available — The amount of the file system in megabytes
      currently available.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id466979"></a><p class="title"><b>Table C.17. Linux::Disk Usage settings</b></p><div class="table-contents"><table summary="Linux::Disk Usage settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>File system*</td><td>/dev/hda1</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum File System Percent
                    Used</td><td> </td></tr><tr><td>Warning Maximum File System Percent
                    Used</td><td> </td></tr><tr><td>Critical Maximum Space Used</td><td> </td></tr><tr><td>Warning Maximum Space Used</td><td> </td></tr><tr><td>Warning Minimum Space Available</td><td> </td></tr><tr><td>Critical Minimum Space Available</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.4. Linux::Inodes"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-inodes"></a>C.5.4. Linux::Inodes<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-inodes">¶</a></span></h3></div></div></div><a id="id372085" class="indexterm"></a><a id="id372096" class="indexterm"></a><p>
    The Linux::Inodes probe monitors the specified file system and collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Inodes — The percentage of inodes currently in use.
     </p></li></ul></div><p>
    An inode is a data structure that holds information about files in a
    Linux file system. There is an inode for each file, and a file is
    uniquely identified by the file system on which it resides and its inode
    number on that system.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be runnig on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id461190"></a><p class="title"><b>Table C.18. Linux::Inodes settings</b></p><div class="table-contents"><table summary="Linux::Inodes settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>File system*</td><td>/</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Inodes Percent Used</td><td> </td></tr><tr><td>Warning Maximum Inodes Percent Used</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.5. Linux::Interface Traffic"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-interface"></a>C.5.5. Linux::Interface Traffic<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-interface">¶</a></span></h3></div></div></div><a id="id457191" class="indexterm"></a><a id="id457202" class="indexterm"></a><p>
    The Linux::Interface Traffic probe measures the amount of traffic into
    and out of the specified interface (such as eth0) and collects the
    following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Input Rate — The traffic in bytes per second going into the
      specified interface.
     </p></li><li class="listitem"><p>
      Output Rate — The traffic in bytes per second going out of the
      specified interface.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    must be running on the monitored system to execute this probe.
   </p><div class="table"><a id="id432168"></a><p class="title"><b>Table C.19. Linux::Interface Traffic settings</b></p><div class="table-contents"><table summary="Linux::Interface Traffic settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Interface*</td><td> </td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Input Rate</td><td> </td></tr><tr><td>Warning Maximum Input Rate</td><td> </td></tr><tr><td>Warning Minimum Input Rate</td><td> </td></tr><tr><td>Critical Minimum Input Rate</td><td> </td></tr><tr><td>Critical Maximum Output Rate</td><td> </td></tr><tr><td>Warning Maximum Output Rate</td><td> </td></tr><tr><td>Warning Minimum Output Rate</td><td> </td></tr><tr><td>Critical Minimum Output Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.6. Linux::Load"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-load"></a>C.5.6. Linux::Load<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-load">¶</a></span></h3></div></div></div><a id="id395047" class="indexterm"></a><a id="id395058" class="indexterm"></a><p>
    The Linux::Load probe monitors the CPU of a system and collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Load — The average load on the system CPU over various periods.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    must be running on the monitored system to execute this probe.
   </p><div class="table"><a id="id395093"></a><p class="title"><b>Table C.20. Linux::Load settings</b></p><div class="table-contents"><table summary="Linux::Load settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical CPU Load 1-minute average</td><td> </td></tr><tr><td>Warning CPU Load 1-minute average</td><td> </td></tr><tr><td>Critical CPU Load 5-minute average</td><td> </td></tr><tr><td>Warning CPU Load 5-minute average</td><td> </td></tr><tr><td>Critical CPU Load 15-minute average</td><td> </td></tr><tr><td>Warning CPU Load 15-minute average</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.7. Linux::Memory Usage"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-memory-usage"></a>C.5.7. Linux::Memory Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-memory-usage">¶</a></span></h3></div></div></div><a id="id435608" class="indexterm"></a><a id="id435619" class="indexterm"></a><p>
    The Linux::Memory Usage probe monitors the memory on a system and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      RAM Free — The amount of free random access memory (RAM) in
      megabytes on a system.
     </p></li></ul></div><p>
    You can also include the reclaimable memory in this metric by entering
    <strong class="userinput"><code>yes</code></strong> or <strong class="userinput"><code>no</code></strong> in the
    <span class="guilabel">Include reclaimable memory</span> field.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager Monitoring Daemon
    must be running on the monitored system to execute this probe.
   </p><div class="table"><a id="id331864"></a><p class="title"><b>Table C.21. Linux::Memory Usage settings</b></p><div class="table-contents"><table summary="Linux::Memory Usage settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Include reclaimable memory</td><td>no</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Warning Maximum RAM Free</td><td> </td></tr><tr><td>Critical Maximum RAM Free</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.8. Linux::Process Counts by State"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-process-state"></a>C.5.8. Linux::Process Counts by State<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-process-state">¶</a></span></h3></div></div></div><a id="id396634" class="indexterm"></a><a id="id396644" class="indexterm"></a><p>
    The Linux::Process Counts by State probe identifies the number of
    processes in the following states:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Blocked — A process that has been switched to the waiting queue and
      whose state has been switched to <code class="option">waiting</code>.
     </p></li><li class="listitem"><p>
      Defunct — A process that has terminated (either because it has been
      killed by a signal or because it has called <span class="command"><strong>exit()</strong></span>)
      and whose parent process has not yet received notification of its
      termination by executing some form of the <span class="command"><strong>wait()</strong></span>
      system call.
     </p></li><li class="listitem"><p>
      Stopped — A process that has been stopped before its execution could
      be completed.
     </p></li><li class="listitem"><p>
      Sleeping — A process that is in the <code class="option">Interruptible</code>
      sleep state and that can later be reintroduced into memory, resuming
      execution where it left off.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id420143"></a><p class="title"><b>Table C.22. Linux::Process Counts by State settings</b></p><div class="table-contents"><table summary="Linux::Process Counts by State settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Blocked Processes</td><td> </td></tr><tr><td>Warning Maximum Blocked Processes</td><td> </td></tr><tr><td>Critical Maximum Defunct Processes</td><td> </td></tr><tr><td>Warning Maximum Defunct Processes</td><td> </td></tr><tr><td>Critical Maximum Stopped Processes</td><td> </td></tr><tr><td>Warning Maximum Stopped Processes</td><td> </td></tr><tr><td>Critical Maximum Sleeping Processes</td><td> </td></tr><tr><td>Warning Maximum Sleeping Processes</td><td> </td></tr><tr><td>Critical Maximum Child Processes</td><td> </td></tr><tr><td>Warning Maximum Child Processes</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.9. Linux::Process Count Total"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-process-total"></a>C.5.9. Linux::Process Count Total<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-process-total">¶</a></span></h3></div></div></div><a id="id394492" class="indexterm"></a><a id="id394502" class="indexterm"></a><p>
    The Linux::Process Count Total probe monitors a system and collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Process Count — The total number of processes currently running on
      the system.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    must be running on the monitored system to execute this probe.
   </p><div class="table"><a id="id394539"></a><p class="title"><b>Table C.23. Linux::Process Count Total settings</b></p><div class="table-contents"><table summary="Linux::Process Count Total settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Process Count</td><td> </td></tr><tr><td>Warning Maximum Process Count</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.10. Linux::Process Health"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-process-health"></a>C.5.10. Linux::Process Health<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-process-health">¶</a></span></h3></div></div></div><a id="id438011" class="indexterm"></a><a id="id467446" class="indexterm"></a><p>
    The Linux::Process Health probe monitors user-specified processes and
    collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      CPU Usage — The CPU usage rate for a given process in milliseconds
      per second. This metric reports the
      <code class="computeroutput">time</code> column of <span class="command"><strong>ps</strong></span>
      output, which is the cumulative CPU time used by the process. This
      makes the metric independent of probe interval, allows sane thresholds
      to be set, and generates usable graphs (i.e. a sudden spike in CPU
      usage shows up as a spike in the graph).
     </p></li><li class="listitem"><p>
      Child Process Groups — The number of child processes spawned from
      the specified parent process. A child process inherits most of its
      attributes, such as open files, from its parent.
     </p></li><li class="listitem"><p>
      Threads — The number of running threads for a given process. A
      thread is the basic unit of CPU utilization, and consists of a program
      counter, a register set, and a stack space. A thread is also called a
      lightweight process.
     </p></li><li class="listitem"><p>
      Physical Memory Used — The amount of physical memory (or RAM) in
      kilobytes used by the specified process.
     </p></li><li class="listitem"><p>
      Virtual Memory Used — The amount of virtual memory in kilobytes used
      by the specified process, or the size of the process in real memory
      plus swap.
     </p></li></ul></div><p>
    Specify the process by its command name or process ID. (PID). Entering a
    PID overrides the entry of a command name. If no command name or PID is
    entered, the error <code class="computeroutput">Command not found</code> is
    displayed and the probe will be set to a CRITICAL state.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id336056"></a><p class="title"><b>Table C.24. Linux::Process Health settings</b></p><div class="table-contents"><table summary="Linux::Process Health settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Command Name</td><td> </td></tr><tr><td>Process ID (PID) file</td><td> </td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum CPU Usage</td><td> </td></tr><tr><td>Warning Maximum CPU Usage</td><td> </td></tr><tr><td>Critical Maximum Child Process Groups</td><td> </td></tr><tr><td>Warning Maximum Child Process Groups</td><td> </td></tr><tr><td>Critical Maximum Threads</td><td> </td></tr><tr><td>Warning Maximum Threads</td><td> </td></tr><tr><td>Critical Maximum Physical Memory Used</td><td> </td></tr><tr><td>Warning Maximum Physical Memory Used</td><td> </td></tr><tr><td>Critical Maximum Virtual Memory Used</td><td> </td></tr><tr><td>Warning Maximum Virtual Memory Used</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.11. Linux::Process Running"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-process-running"></a>C.5.11. Linux::Process Running<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-process-running">¶</a></span></h3></div></div></div><a id="id344291" class="indexterm"></a><a id="id344301" class="indexterm"></a><p>
    The Linux::Process running probe verifies that the specified process is
    functioning properly. It counts either processes or process groups,
    depending on whether the <span class="guilabel">Count process groups</span>
    checkbox is selected.
   </p><p>
    By default, the checkbox is selected, thereby indicating that the probe
    should count the number of process group leaders independent of the
    number of children. This allows you, for example, to verify that two
    instances of the Apache Web server are running regardless of the
    (dynamic) number of child processes. If it is not selected, the probe
    conducts a straightforward count of the number of processes (children
    and leaders) matching the specified process.
   </p><p>
    Specify the process by its command name or process ID. (PID). Entering a
    PID overrides the entry of a command name. If no command name or PID is
    entered, the error <code class="computeroutput">Command not found</code> is
    displayed and the probe enters a CRITICAL state.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id463634"></a><p class="title"><b>Table C.25. Linux::Process Running settings</b></p><div class="table-contents"><table summary="Linux::Process Running settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Command name</td><td> </td></tr><tr><td>PID file</td><td> </td></tr><tr><td>Count process groups</td><td>(checked)</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Number Running</td><td> </td></tr><tr><td>Critical Minimum Number Running</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.12. Linux::Swap Usage"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-swap-usage"></a>C.5.12. Linux::Swap Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-swap-usage">¶</a></span></h3></div></div></div><a id="id404200" class="indexterm"></a><a id="id404211" class="indexterm"></a><p>
    The Linux::Swap Usage probe monitors the swap partitions running on a
    system and reports the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Swap Free — The percent of swap memory currently free.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager Monitoring Daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id369840"></a><p class="title"><b>Table C.26. Linux::Swap Usage settings</b></p><div class="table-contents"><table summary="Linux::Swap Usage settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Warning Minimum Swap Free</td><td> </td></tr><tr><td>Critical Minimum Swap Free</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.13. Linux::TCP Connections by State"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-tcp-state"></a>C.5.13. Linux::TCP Connections by State<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-tcp-state">¶</a></span></h3></div></div></div><a id="id369912" class="indexterm"></a><a id="id463536" class="indexterm"></a><p>
    The Linux::TCP Connections by State probe identifies the total number of
    TCP connections, as well as the quantity of each in the following
    states:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      TIME_WAIT — The socket is waiting after close for remote shutdown
      transmission so it may handle packets still in the network.
     </p></li><li class="listitem"><p>
      CLOSE_WAIT — The remote side has been shut down and is now waiting
      for the socket to close.
     </p></li><li class="listitem"><p>
      FIN_WAIT — The socket is closed, and the connection is now shutting
      down.
     </p></li><li class="listitem"><p>
      ESTABLISHED — The socket has a connection established.
     </p></li><li class="listitem"><p>
      SYN_RCVD — The connection request has been received from the
      network.
     </p></li></ul></div><p>
    This probe can be helpful in finding and isolating network traffic to
    specific IP addresses or examining network connections into the
    monitored system.
   </p><p>
    The filter parameters for the probe let you narrow the probe's scope.
    This probe uses the <span class="command"><strong>netstat -ant</strong></span> command to retrieve
    data. The <span class="guilabel">Local IP address</span> and <span class="guilabel">Local
    port</span> parameters use values in the <span class="guilabel">Local
    Address</span> column of the output; the <span class="guilabel">Remote IP
    address</span> and <span class="guilabel">Remote port</span> parameters use
    values in the <span class="guilabel">Foreign Address</span> column of the output
    for reporting.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id485772"></a><p class="title"><b>Table C.27. Linux::TCP Connections by State settings</b></p><div class="table-contents"><table summary="Linux::TCP Connections by State settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Local IP address filter pattern list</td><td> </td></tr><tr><td>Local port number filter</td><td> </td></tr><tr><td>Remote IP address filter pattern list</td><td> </td></tr><tr><td>Remote port number filter</td><td> </td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Total Connections</td><td> </td></tr><tr><td>Warning Maximum Total Connections</td><td> </td></tr><tr><td>Critical Maximum TIME_WAIT Connections</td><td> </td></tr><tr><td>Warning Maximum TIME_WAIT Connections</td><td> </td></tr><tr><td>Critical Maximum CLOSE_WAIT
                    Connections</td><td> </td></tr><tr><td>Warning Maximum CLOSE_WAIT Connections</td><td> </td></tr><tr><td>Critical Maximum FIN_WAIT Connections</td><td> </td></tr><tr><td>Warning Maximum FIN_WAIT Connections</td><td> </td></tr><tr><td>Critical Maximum ESTABLISHED
                    Connections</td><td> </td></tr><tr><td>Warning Maximum ESTABLISHED
                    Connections</td><td> </td></tr><tr><td>Critical Maximum SYN_RCVD Connections</td><td> </td></tr><tr><td>Warning Maximum SYN_RCVD Connections</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.14. Linux::Users"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-users"></a>C.5.14. Linux::Users<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-users">¶</a></span></h3></div></div></div><a id="id373266" class="indexterm"></a><a id="id373276" class="indexterm"></a><p>
    The Linux::Users probe monitors the users of a system and reports the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Users — The number of users currently logged in.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id373317"></a><p class="title"><b>Table C.28. Linux::Users settings</b></p><div class="table-contents"><table summary="Linux::Users settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Users</td><td> </td></tr><tr><td>Warning Maximum Users</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.5.15. Linux::Virtual Memory"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-linux-virtual-memory"></a>C.5.15. Linux::Virtual Memory<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-linux-virtual-memory">¶</a></span></h3></div></div></div><a id="id364136" class="indexterm"></a><a id="id364146" class="indexterm"></a><p>
    The Linux::Virtual Memory probe monitors the total system memory and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Virtual Memory — The percent of total system memory - random access
      memory (RAM) plus swap - that is free.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id430562"></a><p class="title"><b>Table C.29. Linux::Virtual Memory settings</b></p><div class="table-contents"><table summary="Linux::Virtual Memory settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Timeout*</td><td>15</td></tr><tr><td>Warning Minimum Virtual Memory Free</td><td> </td></tr><tr><td>Critical Minimum Virtual Memory Free</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-general.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-logagent.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.4. General </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.6. LogAgent</td></tr></table></div></body></html>
