<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.6. LogAgent</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-linux.jsp" title="C.5. Linux" /><link rel="next" href="s1-probes-mysql.jsp" title="C.7. MySQL 3.23 - 3.33" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.6. LogAgent</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-linux.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-mysql.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.6. LogAgent"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-logagent"></a>C.6. LogAgent<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-logagent">¶</a></span></h2></div></div></div><a id="id376698" class="indexterm"></a><a id="id376708" class="indexterm"></a><p>
   The probes in this section monitor the log files on your systems. You can
   use them to query logs for certain expressions and track the sizes of
   files. For LogAgent probes to run, the <strong class="userinput"><code>nocpulse</code></strong>
   user must be granted read access to your log files.
  </p><p>
   Note that data from the first run of these probes is not measured against
   the thresholds to prevent spurious notifications caused by incomplete
   metric data. Measurements will begin on the second run.
  </p><div class="section" title="C.6.1. LogAgent::Log Pattern Match"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-logagent-pattern"></a>C.6.1. LogAgent::Log Pattern Match<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-logagent-pattern">¶</a></span></h3></div></div></div><a id="id376744" class="indexterm"></a><a id="id376755" class="indexterm"></a><p>
    The LogAgent::Log Pattern match probe uses regular expressions to match
    text located within the monitored log file and collects the following
    metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Regular Expression Matches — The number of matches that have
      occurred since the probe last ran.
     </p></li><li class="listitem"><p>
      Regular Expression Match Rate — The number of matches per minute
      since the probe last ran.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe. For this probe to run, the
    <strong class="userinput"><code>nocpulse</code></strong> user must be granted read access to your
    log files.
   </p><p>
    In addition to the name and location of the log file to be monitored,
    you must provide a regular expression to be matched against. The
    expression must be formatted for <span class="command"><strong>egrep</strong></span>, which is
    equivalent to <span class="command"><strong>grep</strong></span> <code class="option">-E</code> and supports
    extended regular expressions. This is the regular expression set for
    <span class="command"><strong>egrep</strong></span>:
   </p><pre class="screen">^ beginning of line 
$ end of line 
. match one char 
* match zero or more chars 
[] match one character set, e.g. '[Ff]oo' 
[^] match not in set '[^A-F]oo' 
+ match one or more of preceding chars 
? match zero or one of preceding chars 
| or, e.g. a|b 
() groups chars, e.g., (foo|bar) or (foo)+</pre><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
     Do not include single quotation marks (') within the expression. Doing
     so causes <span class="command"><strong>egrep</strong></span> to fail silently and the probe to
     time out.
    </p></div><div class="table"><a id="id394922"></a><p class="title"><b>Table C.30. LogAgent::Log Pattern Match settings</b></p><div class="table-contents"><table summary="LogAgent::Log Pattern Match settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Log file*</td><td>/var/log/messages</td></tr><tr><td>Basic regular expression*</td><td> </td></tr><tr><td>Timeout*</td><td>45</td></tr><tr><td>Critical Maximum Matches</td><td> </td></tr><tr><td>Warning Maximum Matches</td><td> </td></tr><tr><td>Warning Minimum Matches</td><td> </td></tr><tr><td>Critical Minimum Matches</td><td> </td></tr><tr><td>Critical Maximum Match Rate</td><td> </td></tr><tr><td>Warning Maximum Match Rate</td><td> </td></tr><tr><td>Warning Minimum Match Rate</td><td> </td></tr><tr><td>Critical Maximum Match Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.6.2. LogAgent::Log Size"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-logagent-size"></a>C.6.2. LogAgent::Log Size<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-logagent-size">¶</a></span></h3></div></div></div><a id="id342363" class="indexterm"></a><a id="id342373" class="indexterm"></a><p>
    The LogAgent::Log Size probe monitors log file growth and collects the
    following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Size — The size the log file has grown in bytes since the probe last
      ran.
     </p></li><li class="listitem"><p>
      Output Rate — The number of bytes per minute the log file has grown
      since the probe last ran.
     </p></li><li class="listitem"><p>
      Lines — The number of lines written to the log file since the probe
      last ran.
     </p></li><li class="listitem"><p>
      Line Rate — The number of lines written per minute to the log file
      since the probe last ran.
     </p></li></ul></div><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe. For this probe to run, the
    <strong class="userinput"><code>nocpulse</code></strong> user must be granted read access to your
    log files.
   </p><div class="table"><a id="id483458"></a><p class="title"><b>Table C.31. LogAgent::Log Size settings</b></p><div class="table-contents"><table summary="LogAgent::Log Size settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Log file*</td><td>/var/log/messages</td></tr><tr><td>Timeout*</td><td>20</td></tr><tr><td>Critical Maximum Size</td><td> </td></tr><tr><td>Warning Maximum Size</td><td> </td></tr><tr><td>Warning Minimum Size</td><td> </td></tr><tr><td>Critical Minimum Size</td><td> </td></tr><tr><td>Critical Maximum Output Rate</td><td> </td></tr><tr><td>Warning Maximum Output Rate</td><td> </td></tr><tr><td>Warning Minimum Output Rate</td><td> </td></tr><tr><td>Critical Minimum Output Rate</td><td> </td></tr><tr><td>Critical Maximum Lines</td><td> </td></tr><tr><td>Warning Maximum Lines</td><td> </td></tr><tr><td>Warning Minimum Lines</td><td> </td></tr><tr><td>Critical Minimum Lines</td><td> </td></tr><tr><td>Critical Maximum Line Rate</td><td> </td></tr><tr><td>Warning Maximum Line Rate</td><td> </td></tr><tr><td>Warning Minimum Line Rate</td><td> </td></tr><tr><td>Critical Minimum Line Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-linux.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-mysql.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.5. Linux </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.7. MySQL 3.23 - 3.33</td></tr></table></div></body></html>
