<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.8. Network Services</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-mysql.jsp" title="C.7. MySQL 3.23 - 3.33" /><link rel="next" href="s1-probes-oracle.jsp" title="C.9. Oracle 8i, 9i, 10g, and 11g" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.8. Network Services</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-mysql.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-oracle.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.8. Network Services"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-network"></a>C.8. Network Services<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-network">¶</a></span></h2></div></div></div><a id="id462312" class="indexterm"></a><a id="id462323" class="indexterm"></a><p>
   The probes in this section monitor various services integral to a
   functioning network. When applying them, ensure that their timed
   thresholds do not exceed the amount of time allotted to the timeout
   period. Otherwise, an UNKNOWN status is returned in all instances of
   extended latency, thereby nullifying the thresholds.
  </p><div class="section" title="C.8.1. Network Services::DNS Lookup"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-dns"></a>C.8.1. Network Services::DNS Lookup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-dns">¶</a></span></h3></div></div></div><a id="id462349" class="indexterm"></a><a id="id367536" class="indexterm"></a><p>
    The Network Services::DNS Lookup probe uses the <span class="command"><strong>dig</strong></span>
    command to see if it can resolve the system or domain name specified in
    the <span class="guilabel">Host or Address to look up</span> field. It collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Query Time — The time in milliseconds required to execute the
      <span class="command"><strong>dig</strong></span> request.
     </p></li></ul></div><p>
    This is useful in monitoring the status of your DNS servers. To monitor
    one of your DNS servers, supply a well-known host/domain name, such as a
    large search engine or corporate Web site.
   </p><div class="table"><a id="id367586"></a><p class="title"><b>Table C.37. Network Services::DNS Lookup settings</b></p><div class="table-contents"><table summary="Network Services::DNS Lookup settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Host or Address to look up</td><td> </td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Query Time</td><td> </td></tr><tr><td>Warning Maximum Query Time</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.2. Network Services::FTP"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-ftp"></a>C.8.2. Network Services::FTP<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-ftp">¶</a></span></h3></div></div></div><a id="id491370" class="indexterm"></a><a id="id491380" class="indexterm"></a><p>
    The Network Services::FTP probe uses network sockets to test FTP port
    availability. It collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the FTP
      server to answer a connection request.
     </p></li></ul></div><p>
    This probe supports authentication. Provide a username and password in
    the appropriate fields to use this feature.The optional
    <span class="guilabel">Expect</span> value is the string to be matched against
    after a successful connection is made to the FTP server. If the expected
    string is not found, the probe returns a CRITICAL state.
   </p><div class="table"><a id="id488421"></a><p class="title"><b>Table C.38. Network Services::FTP settings</b></p><div class="table-contents"><table summary="Network Services::FTP settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Expect</td><td>FTP</td></tr><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>FTP Port*</td><td>21</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.3. Network Services::IMAP Mail"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-imap"></a>C.8.3. Network Services::IMAP Mail<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-imap">¶</a></span></h3></div></div></div><a id="id432301" class="indexterm"></a><a id="id432312" class="indexterm"></a><p>
    The Network Services::IMAP Mail probe determines if it can connect to
    the IMAP 4 service on the system. Specifying an optional port will
    override the default port 143. It collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the IMAP
      server to answer a connection request.
     </p></li></ul></div><p>
    The required <span class="guilabel">Expect</span> value is the string to be
    matched against after a successful connection is made to the IMAP
    server. If the expected string is not found, the probe returns a
    CRITICAL state.
   </p><div class="table"><a id="id432353"></a><p class="title"><b>Table C.39. Network Services::IMAP Mail settings</b></p><div class="table-contents"><table summary="Network Services::IMAP Mail settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>IMAP Port*</td><td>143</td></tr><tr><td>Expect*</td><td>OK</td></tr><tr><td>Timeout*</td><td>5</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.4. Network Services::Mail Transfer (SMTP)"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-smtp"></a>C.8.4. Network Services::Mail Transfer (SMTP)<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-smtp">¶</a></span></h3></div></div></div><a id="id506570" class="indexterm"></a><a id="id506581" class="indexterm"></a><p>
    The Network Services::Mail Transfer (SMTP) probe determines if it can
    connect to the SMTP port on the system. Specifying an optional port
    number overrides the default port 25. It collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the SMTP
      server to answer a connection request.
     </p></li></ul></div><div class="table"><a id="id386137"></a><p class="title"><b>Table C.40. Network Services::Mail Transfer (SMTP) settings</b></p><div class="table-contents"><table summary="Network Services::Mail Transfer (SMTP) settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SMTP Port*</td><td>25</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.5. Network Services::Ping"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-ping"></a>C.8.5. Network Services::Ping<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-ping">¶</a></span></h3></div></div></div><a id="id447562" class="indexterm"></a><a id="id447573" class="indexterm"></a><p>
    The Network Services::Ping probe determines if the SUSE Manager server can
    <span class="command"><strong>ping</strong></span> the monitored system or a specified IP address.
    It also checks the packet loss and compares the round trip average
    against the Warning and Critical threshold levels. The required
    <span class="guilabel">Packets to send</span> value allows you to control how
    many ICMP ECHO packets are sent to the system. This probe collects the
    following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Round-Trip Average — The time it takes in milliseconds for the ICMP
      ECHO packet to travel to and from the monitored system.
     </p></li><li class="listitem"><p>
      Packet Loss — The percent of data lost in transit.
     </p></li></ul></div><p>
    Although optional, the <span class="guilabel">IP Address</span> field can be
    instrumental in collecting metrics for systems that have multiple IP
    addresses. For instance, if the system is configured with multiple
    virtual IP addresses or uses Network Address Translation (NAT) to
    support internal and external IP addresses, this option may be used to
    check a secondary IP address rather than the primary address associated
    with the hostname.
   </p><p>
    Note that this probe conducts the <span class="command"><strong>ping</strong></span> from an
    SUSE Manager server and not the monitored system. Populating the IP address
    field does not test connectivity between the system and the specified IP
    address but between the SUSE Manager server and the IP address. Therefore,
    entering the same IP address for Ping probes on different systems
    accomplishes precisely the same task. To conduct a
    <span class="command"><strong>ping</strong></span> from a monitored system to an individual IP
    address, use the Remote Ping probe instead. Refer to
    <a class="xref" href="s1-probes-network.jsp#s2-probes-network-remote-ping" title="C.8.7. Network Services::Remote Ping">Section C.8.7, “Network Services::Remote Ping”</a>.
   </p><div class="table"><a id="id487243"></a><p class="title"><b>Table C.41. Network Services::Ping settings</b></p><div class="table-contents"><table summary="Network Services::Ping settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>IP Address (defaults to system IP)</td><td> </td></tr><tr><td>Packets to send*</td><td>20</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Round-Trip Average</td><td> </td></tr><tr><td>Warning Maximum Round-Trip Average</td><td> </td></tr><tr><td>Critical Maximum Packet Loss</td><td> </td></tr><tr><td>Warning Maximum Packet Loss</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.6. Network Services::POP Mail"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-pop"></a>C.8.6. Network Services::POP Mail<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-pop">¶</a></span></h3></div></div></div><a id="id397849" class="indexterm"></a><a id="id397860" class="indexterm"></a><p>
    The Network Services::POP Mail probe determines if it can connect to the
    POP3 port on the system. A port number must be specified; specifying
    another port number overrides the default port 110. This probe collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the POP
      server to answer a connection request.
     </p></li></ul></div><p>
    The required <span class="guilabel">Expect</span> value is the string to be
    matched against after a successful connection is made to the POP server.
    The probe looks for the string in the first line of the response from
    the system. The default is <strong class="userinput"><code>+OK</code></strong>. If the expected
    string is not found, the probe returns a CRITICAL state.
   </p><div class="table"><a id="id397907"></a><p class="title"><b>Table C.42. Network Services::POP Mail settings</b></p><div class="table-contents"><table summary="Network Services::POP Mail settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Port*</td><td>110</td></tr><tr><td>Expect*</td><td>+OK</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.7. Network Services::Remote Ping"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-remote-ping"></a>C.8.7. Network Services::Remote Ping<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-remote-ping">¶</a></span></h3></div></div></div><a id="id482268" class="indexterm"></a><a id="id390650" class="indexterm"></a><p>
    The Network Services::Remote Ping probe determines if the monitored
    system can <span class="command"><strong>ping</strong></span> a specified IP address. It also
    monitors the packet loss and compares the round trip average against the
    Warning and Critical threshold levels. The required <span class="guilabel">Packets to
    send</span> value allows you to control how many ICMP ECHO packets
    are sent to the address. This probe collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Round-Trip Average — The time it takes in milliseconds for the ICMP
      ECHO packet to travel to and from the IP address.
     </p></li><li class="listitem"><p>
      Packet Loss — The percent of data lost in transit.
     </p></li></ul></div><p>
    The <span class="guilabel">IP Address</span> field identifies the precise address
    to be pinged. Unlike the similar, optional field in the standard ping
    probe, this field is required. The monitored system directs the ping to
    a third address, rather than to the SUSE Manager server. Since the remote
    ping probe tests connectivity from the monitored system, another IP
    address must be specified. To conduct pings from the SUSE Manager server to
    a system or IP address, use the standard Ping probe instead. Refer to
    <a class="xref" href="s1-probes-network.jsp#s2-probes-network-ping" title="C.8.5. Network Services::Ping">Section C.8.5, “Network Services::Ping”</a>.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager Monitoring Daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe.
   </p><div class="table"><a id="id390731"></a><p class="title"><b>Table C.43. Network Services::Remote Ping settings</b></p><div class="table-contents"><table summary="Network Services::Remote Ping settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>IP Address*</td><td> </td></tr><tr><td>Packets to send*</td><td>20</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Round-Trip Average</td><td> </td></tr><tr><td>Warning Maximum Round-Trip Average</td><td> </td></tr><tr><td>Critical Maximum Packet Loss</td><td> </td></tr><tr><td>Warning Maximum Packet Loss</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.8. Network Services::RPCService"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-rpc"></a>C.8.8. Network Services::RPCService<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-rpc">¶</a></span></h3></div></div></div><a id="id403395" class="indexterm"></a><a id="id403405" class="indexterm"></a><p>
    The Network Services::RPCService probe tests the availability of remote
    procedure call (RPC) programs on a given IP address. It collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the RPC
      server to answer a connection request.
     </p></li></ul></div><p>
    RPC server programs, which provide function calls via that RPC network,
    register themselves with the RPC network by declaring a program ID and a
    program name. NFS is an example of a service that works via the RPC
    mechanism.
   </p><p>
    Client programs that wish to use the resources of RPC server programs do
    so by asking the machine on which the server program resides to provide
    access to RPC functions within the RPC program number or program name.
    These conversations can occur over either TCP or UDP (but are almost
    always UDP).
   </p><p>
    This probe allows you to test simple program availability. You must
    specify the program name or number, the protocol over which the
    conversation occurs, and the usual timeout period.
   </p><div class="table"><a id="id403452"></a><p class="title"><b>Table C.44. Network Services::RPCService settings</b></p><div class="table-contents"><table summary="Network Services::RPCService settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Protocol (TCP/UDP)</td><td>udp</td></tr><tr><td>Service Name*</td><td>nfs</td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.9. Network Services::Secure Web Server (HTTPS)"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-https"></a>C.8.9. Network Services::Secure Web Server (HTTPS)<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-https">¶</a></span></h3></div></div></div><a id="id427605" class="indexterm"></a><a id="id427616" class="indexterm"></a><p>
    The Network Services::Secure Web Server (HTTPS) probe determines the
    availability of the secure Web server and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the HTTPS
      server to answer a connection request.
     </p></li></ul></div><p>
    This probe confirms that it can connect to the HTTPS port on the
    specified host and retrieve the specified URL. If no URL is specified,
    the probe fetches the root document. The probe looks for a HTTP/1.
    message from the system unless you alter that value. Specifying another
    port number overrides the default port of 443.
   </p><p>
    This probe supports authentication. Provide a username and password in
    the appropriate fields to use this feature. Unlike most other probes,
    this probe returns a CRITICAL status if it cannot contact the system
    within the timeout period.
   </p><div class="table"><a id="id491189"></a><p class="title"><b>Table C.45. Network Services::Secure Web Server (HTTPS) settings</b></p><div class="table-contents"><table summary="Network Services::Secure Web Server (HTTPS) settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>URL Path</td><td>/</td></tr><tr><td>Expect Header</td><td>HTTP/1</td></tr><tr><td>Expect Content</td><td> </td></tr><tr><td>UserAgent*</td><td>NOCpulse-check_http/1.0</td></tr><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>HTTPS Port*</td><td>443</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.10. Network Services::SSH"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-ssh"></a>C.8.10. Network Services::SSH<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-ssh">¶</a></span></h3></div></div></div><a id="id369498" class="indexterm"></a><a id="id369509" class="indexterm"></a><p>
    The Network Services::SSH probe determines the availability of SSH on
    the specified port and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the SSH
      server to answer a connection request.
     </p></li></ul></div><p>
    Upon successfully contacting the SSH server and receiving a valid
    response, the probe displays the protocol and server version
    information. If the probe receives an invalid response, it displays the
    message returned from the server and generates a WARNING state.
   </p><div class="table"><a id="id398702"></a><p class="title"><b>Table C.46. Network Services::SSH settings</b></p><div class="table-contents"><table summary="Network Services::SSH settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SSH Port*</td><td>22</td></tr><tr><td>Timeout*</td><td>5</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.8.11. Network Services::Web Server (HTTP)"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-network-http"></a>C.8.11. Network Services::Web Server (HTTP)<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-network-http">¶</a></span></h3></div></div></div><a id="id398785" class="indexterm"></a><a id="id398796" class="indexterm"></a><p>
    The Network Services::Web Server (HTTP) probe determines the
    availability of the Web server and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the HTTP
      server to answer a connection request.
     </p></li></ul></div><p>
    This probe confirms it can connect to the HTTP port on the specified
    host and retrieve the specified URL. If no URL is specified, the probe
    will fetch the root document. The probe looks for a HTTP/1. message from
    the system, unless you alter that value. Specifying another port number
    will override the default port of 80. Unlike most other probes, this
    probe will return a CRITICAL status if it cannot contact the system
    within the timeout period.
   </p><p>
    This probe supports authentication. Provide a username and password in
    the appropriate fields to use this feature. Also, the optional Virtual
    Host field can be used to monitor a separate documentation set located
    on the same physical machine presented as a standalone server. If your
    Web server is not configured to use virtual hosts (which is typically
    the case), you should leave this field blank. If you do have virtual
    hosts configured, enter the domain name of the first host here. Add as
    many probes as necessary to monitor all virtual hosts on the machine.
   </p><div class="table"><a id="id445432"></a><p class="title"><b>Table C.47. Network Services::Web Server (HTTP) settings</b></p><div class="table-contents"><table summary="Network Services::Web Server (HTTP) settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>URL Path</td><td>/</td></tr><tr><td>Virtual Host</td><td> </td></tr><tr><td>Expect Header</td><td>HTTP/1</td></tr><tr><td>Expect Content</td><td> </td></tr><tr><td>UserAgent*</td><td>NOCpulse-check_http/1.0</td></tr><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>Timeout*</td><td>10</td></tr><tr><td>HTTP Port*</td><td>80</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-mysql.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-oracle.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.7. MySQL 3.23 - 3.33 </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.9. Oracle 8i, 9i, 10g, and 11g</td></tr></table></div></body></html>
