<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.9. Oracle 8i, 9i, 10g, and 11g</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-network.jsp" title="C.8. Network Services" /><link rel="next" href="s1-probes-sat.jsp" title="C.10. SUSE Manager" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.9. Oracle 8i, 9i, 10g, and 11g</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-network.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-sat.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.9. Oracle 8i, 9i, 10g, and 11g"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-oracle"></a>C.9. Oracle 8i, 9i, 10g, and 11g<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-oracle">¶</a></span></h2></div></div></div><a id="id393602" class="indexterm"></a><a id="id364952" class="indexterm"></a><p>
   The probes in this section may be applied to instances of the Oracle
   database matching the versions supported. Oracle probes require the
   configuration of the database and associations made by running the
   following command:
  </p><pre class="screen">$ORACLE_HOME/rdbms/admin/catalog.sql</pre><p>
   In addition, for these probes to function properly, the Oracle user
   configured in the probe must have minimum privileges of CONNECT and
   SELECT_CATALOG_ROLE.
  </p><p>
   Some Oracle probes are specifically aimed at tuning devices for long-term
   performance gains, rather than avoiding outages. Therefore, it is
   recommended to schedule them to occur less frequently, between every hour
   and every two days. This provides a better statistical representation,
   de-emphasizing anomalies that can occur at shorter time intervals. This
   applies to following probes: Buffer Cache, Data Dictionary Cache, Disk
   Sort Ratio, Library Cache, and Redo Log.
  </p><p>
   For CRITICAL and WARNING thresholds based upon time to work as intended,
   their values cannot exceed the amount of time allotted to the timeout
   period. Otherwise, an UNKNOWN status is returned in all cases of extended
   latency, thereby nullifying the thresholds. For this reason, it is
   strongly recommended to ensure that timeout periods exceed all timed
   thresholds. In this section, this refers specifically to the probe TNS
   Ping.
  </p><p>
   Finally, customers using these Oracle probes against a database using
   Oracle's Multi-Threaded Server (MTS) must contact Novell support to
   have entries added to the SUSE Manager Server's
   <code class="filename">/etc/hosts</code> file to ensure that the DNS name is
   resolved correctly.
  </p><div class="section" title="C.9.1. Oracle::Active Sessions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-active-sessions"></a>C.9.1. Oracle::Active Sessions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-active-sessions">¶</a></span></h3></div></div></div><a id="id365015" class="indexterm"></a><a id="id365026" class="indexterm"></a><p>
    The Oracle::Active Sessions probe monitors an Oracle instance and
    collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Active Sessions — The number of active sessions based on the value
      of <span class="command"><strong>V$PARAMETER.PROCESSES</strong></span>.
     </p></li><li class="listitem"><p>
      Available Sessions — The percentage of active sessions that are
      available based on the value of
      <span class="command"><strong>V$PARAMETER.PROCESSES</strong></span>.
     </p></li></ul></div><div class="table"><a id="id446082"></a><p class="title"><b>Table C.48. Oracle::Active Sessions settings</b></p><div class="table-contents"><table summary="Oracle::Active Sessions settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Active Sessions</td><td> </td></tr><tr><td>Warning Maximum Active Sessions</td><td> </td></tr><tr><td>Critical Maximum Available Sessions
                    Used</td><td> </td></tr><tr><td>Warning Maximum Available Sessions
                    Used</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.2. Oracle::Availability"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-availability"></a>C.9.2. Oracle::Availability<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-availability">¶</a></span></h3></div></div></div><a id="id483162" class="indexterm"></a><a id="id483173" class="indexterm"></a><p>
    The Oracle::Availability probe determines the availability of the
    database from SUSE Manager.
   </p><div class="table"><a id="id483189"></a><p class="title"><b>Table C.49. Oracle::Availability settings</b></p><div class="table-contents"><table summary="Oracle::Availability settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.3. Oracle::Blocking Sessions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-block-sessions"></a>C.9.3. Oracle::Blocking Sessions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-block-sessions">¶</a></span></h3></div></div></div><a id="id482506" class="indexterm"></a><a id="id482517" class="indexterm"></a><p>
    The Oracle::Blocking Sessions probe monitors an Oracle instance and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Blocking Sessions — The number of sessions preventing other sessions
      from committing changes to the Oracle database, as determined by the
      required <span class="emphasis"><em>Time Blocking</em></span> value you provide. Only
      those sessions that have been blocking for this duration, which is
      measured in seconds, are counted as blocking sessions.
     </p></li></ul></div><div class="table"><a id="id392370"></a><p class="title"><b>Table C.50. Oracle::Blocking Sessions settings</b></p><div class="table-contents"><table summary="Oracle::Blocking Sessions settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Time Blocking (seconds)*</td><td>20</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Blocking Sessions</td><td> </td></tr><tr><td>Warning Maximum Blocking Sessions</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.4. Oracle::Buffer Cache"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-buffer-cache"></a>C.9.4. Oracle::Buffer Cache<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-buffer-cache">¶</a></span></h3></div></div></div><a id="id331510" class="indexterm"></a><a id="id331521" class="indexterm"></a><p>
    The Oracle::Buffer Cache probe computes the Buffer Cache Hit Ratio so as
    to optimize the system global area (SGA) Database Buffer Cache size. It
    collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Db Block Gets — The number of blocks accessed via single block gets
      (not through the consistent get mechanism).
     </p></li><li class="listitem"><p>
      Consistent Gets — The number of accesses made to the block buffer to
      retrieve data in a consistent mode.
     </p></li><li class="listitem"><p>
      Physical Reads — The cumulative number of blocks read from disk.
     </p></li><li class="listitem"><p>
      Buffer Cache Hit Ratio — The rate at which the database goes to the
      buffer instead of the hard disk to retrieve data. A low ratio suggests
      more RAM should be added to the system.
     </p></li></ul></div><div class="table"><a id="id331575"></a><p class="title"><b>Table C.51. Oracle::Buffer Cache settings</b></p><div class="table-contents"><table summary="Oracle::Buffer Cache settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Warning Minimum Buffer Cache Hit Ratio</td><td> </td></tr><tr><td>Critical Minimum Buffer Cache Hit
                    Ratio</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.5. Oracle::Client Connectivity"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-client-connect"></a>C.9.5. Oracle::Client Connectivity<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-client-connect">¶</a></span></h3></div></div></div><a id="id486074" class="indexterm"></a><a id="id486085" class="indexterm"></a><p>
    The Oracle::Client Connectivity probe determines if the database is up
    and capable of receiving connections from the monitored system. This
    probe opens an <code class="filename">rhnmd</code> connection to the system and
    issues a <span class="command"><strong>sqlplus connect</strong></span> command on the monitored
    system.
   </p><p>
    The <span class="guilabel">Expected DB name</span> parameter is the expected
    value of <span class="command"><strong>V$DATABASE.NAME</strong></span>. This value is
    case-insensitive. A CRITICAL status is returned if this value is not
    found.
   </p><p>
    <span class="emphasis"><em>Requirements</em></span> — The SUSE Manager monitoring daemon
    (<code class="filename">rhnmd</code>) must be running on the monitored system to
    execute this probe. For this probe to run, the
    <strong class="userinput"><code>nocpulse</code></strong> user must be granted read access to your
    log files.
   </p><div class="table"><a id="id486149"></a><p class="title"><b>Table C.52. Oracle::Client Connectivity settings</b></p><div class="table-contents"><table summary="Oracle::Client Connectivity settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle Hostname or IP address*</td><td> </td></tr><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>ORACLE_HOME*</td><td>/opt/oracle</td></tr><tr><td>Expected DB Name*</td><td> </td></tr><tr><td>Timeout*</td><td>30</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.6. Oracle::Data Dictionary Cache"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-dict-cache"></a>C.9.6. Oracle::Data Dictionary Cache<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-dict-cache">¶</a></span></h3></div></div></div><a id="id399426" class="indexterm"></a><a id="id385812" class="indexterm"></a><p>
    The Oracle::Data Dictionary Cache probe computes the Data Dictionary
    Cache Hit Ratio so as to optimize the SHARED_POOL_SIZE in
    <code class="filename">init.ora</code>. It collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Data Dictionary Hit Ratio — The ratio of cache hits to cache lookup
      attempts in the data dictionary cache. In other words, the rate at
      which the database goes to the dictionary instead of the hard disk to
      retrieve data. A low ratio suggests more RAM should be added to the
      system.
     </p></li><li class="listitem"><p>
      Gets — The number of blocks accessed via single block gets (not
      through the consistent get mechanism).
     </p></li><li class="listitem"><p>
      Cache Misses — The number of accesses made to the block buffer to
      retrieve data in a consistent mode.
     </p></li></ul></div><div class="table"><a id="id385865"></a><p class="title"><b>Table C.53. Oracle::Data Dictionary Cache settings</b></p><div class="table-contents"><table summary="Oracle::Data Dictionary Cache settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Warning Minimum Data Dictionary Hit
                    Ratio</td><td> </td></tr><tr><td>Critical Minimum Data Dictionary Hit
                    Ratio</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.7. Oracle::Disk Sort Ratio"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-disk-sort"></a>C.9.7. Oracle::Disk Sort Ratio<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-disk-sort">¶</a></span></h3></div></div></div><a id="id421721" class="indexterm"></a><a id="id421732" class="indexterm"></a><p>
    The Oracle::Disk Sort Ratio probe monitors an Oracle database instance
    and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Disk Sort Ratio — The rate of Oracle sorts that were too large to be
      completed in memory and were instead sorted using a temporary segment.
     </p></li></ul></div><div class="table"><a id="id421761"></a><p class="title"><b>Table C.54. Oracle::Disk Sort Ratio settings</b></p><div class="table-contents"><table summary="Oracle::Disk Sort Ratio settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Disk Sort Ratio</td><td> </td></tr><tr><td>Warning Maximum Disk Sort Ratio</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.8. Oracle::Idle Sessions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-idle-sessions"></a>C.9.8. Oracle::Idle Sessions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-idle-sessions">¶</a></span></h3></div></div></div><a id="id476308" class="indexterm"></a><a id="id435020" class="indexterm"></a><p>
    The Oracle::Idle Sessions probe monitors an Oracle instance and collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Idle Sessions — The number of Oracle sessions that are idle, as
      determined by the required <span class="emphasis"><em>Time Idle</em></span> value you
      provide. Only those sessions that have been idle for this duration,
      which is measured in seconds, are counted as idle sessions.
     </p></li></ul></div><div class="table"><a id="id435054"></a><p class="title"><b>Table C.55. Oracle::Idle Sessions settings</b></p><div class="table-contents"><table summary="Oracle::Idle Sessions settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Time Idle (seconds)*</td><td>20</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Idle Sessions</td><td> </td></tr><tr><td>Warning Maximum Idle Sessions</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.9. Oracle::Index Extents"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-index-extents"></a>C.9.9. Oracle::Index Extents<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-index-extents">¶</a></span></h3></div></div></div><a id="id457786" class="indexterm"></a><a id="id457797" class="indexterm"></a><p>
    The Oracle::Index Extents probe monitors an Oracle instance and collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Allocated Extents — The number of allocated extents for any index.
     </p></li><li class="listitem"><p>
      Available Extents — The percentage of available extents for any
      index.
     </p></li></ul></div><p>
    The required <span class="guilabel">Index Name</span> field contains a default
    value of <strong class="userinput"><code>%</code></strong> that matches any index name.
   </p><div class="table"><a id="id481290"></a><p class="title"><b>Table C.56. Oracle::Index Extents settings</b></p><div class="table-contents"><table summary="Oracle::Index Extents settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Index Owner*</td><td>%</td></tr><tr><td>Index Name*</td><td>%</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum of Allocated Extents</td><td> </td></tr><tr><td>Warning Maximum of Allocated Extents</td><td> </td></tr><tr><td>Critical Maximum of Available Extents</td><td> </td></tr><tr><td>Warning Maximum of Available Extents</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.10. Oracle::Library Cache"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-lib-cache"></a>C.9.10. Oracle::Library Cache<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-lib-cache">¶</a></span></h3></div></div></div><a id="id346269" class="indexterm"></a><a id="id346279" class="indexterm"></a><p>
    The Oracle::Library Cache probe computes the Library Cache Miss Ratio so
    as to optimize the SHARED_POOL_SIZE in <code class="filename">init.ora</code>. It
    collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Library Cache Miss Ratio — The rate at which a library cache pin
      miss occurs. This happens when a session executes a statement that it
      has already parsed but finds that the statement is no longer in the
      shared pool.
     </p></li><li class="listitem"><p>
      Executions — The number of times a pin was requested for objects of
      this namespace.
     </p></li><li class="listitem"><p>
      Cache Misses — The number of pins of objects with previous pins
      since the object handle was created that must now retrieve the object
      from disk.
     </p></li></ul></div><div class="table"><a id="id346332"></a><p class="title"><b>Table C.57. Oracle::Library Cache settings</b></p><div class="table-contents"><table summary="Oracle::Library Cache settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Library Cache Miss
                    Ratio</td><td> </td></tr><tr><td>Warning Maximum Library Cache Miss
                    Ratio</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.11. Oracle::Locks"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-locks"></a>C.9.11. Oracle::Locks<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-locks">¶</a></span></h3></div></div></div><a id="id378505" class="indexterm"></a><a id="id378516" class="indexterm"></a><p>
    The Oracle::Locks probe monitors an Oracle database instance and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Active Locks — The current number of active locks as determined by
      the value in the v$locks table. Database administrators should be
      aware of high numbers of locks present in a database instance.
     </p></li></ul></div><p>
    Locks are used so that multiple users or processes updating the same
    data in the database do not conflict. This probe is useful for alerting
    database administrators when a high number of locks are present in a
    given instance.
   </p><div class="table"><a id="id481799"></a><p class="title"><b>Table C.58. Oracle::Locks settings</b></p><div class="table-contents"><table summary="Oracle::Locks settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Active Locks</td><td> </td></tr><tr><td>Warning Maximum Active Locks</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.12. Oracle::Redo Log"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-redo-log"></a>C.9.12. Oracle::Redo Log<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-redo-log">¶</a></span></h3></div></div></div><a id="id391632" class="indexterm"></a><a id="id391642" class="indexterm"></a><p>
    The Oracle::Redo Log probe monitors an Oracle database instance and
    collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Redo Log Space Request Rate — The average number of redo log space
      requests per minute since the server has been started.
     </p></li><li class="listitem"><p>
      Redo Buffer Allocation Retry Rate — The average number of buffer
      allocation retries per minute since the server was started.
     </p></li></ul></div><p>
    The metrics returned and the thresholds they are measured against are
    numbers representing the rate of change in events per minute. The rate
    of change for these metrics should be monitored because fast growth can
    indicate problems requiring investigation.
   </p><div class="table"><a id="id391686"></a><p class="title"><b>Table C.59. Oracle::Redo Log settings</b></p><div class="table-contents"><table summary="Oracle::Redo Log settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Redo Log Space Request
                    Rate</td><td> </td></tr><tr><td>Warning Maximum Redo Log Space Request
                    Rate</td><td> </td></tr><tr><td>Critical Maximum Redo Buffer Allocation
                    Retry Rate</td><td> </td></tr><tr><td>Warning Maximum Redo Buffer Allocation
                    Retry Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.13. Oracle::Table Extents"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-table-extents"></a>C.9.13. Oracle::Table Extents<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-table-extents">¶</a></span></h3></div></div></div><a id="id505208" class="indexterm"></a><a id="id505219" class="indexterm"></a><p>
    The Oracle::Table Extents probe monitors an Oracle database instance and
    collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Allocated Extents-Any Table — The total number of extents for any
      table.
     </p></li><li class="listitem"><p>
      Available Extents-Any Table — The percentage of available extents
      for any table.
     </p></li></ul></div><p>
    In Oracle, table extents allow a table to grow. When a table is full, it
    is <em class="firstterm">extended</em> by an amount of space configured when
    the table is created. Extents are configured on a per-table basis, with
    an extent size and a maximum number of extents.
   </p><p>
    For example, a table that starts with 10 MB of space and that is
    configured with an extent size of 1 MB and max extents of 10 can grow to
    a maximum of 20 MB (by being extended by 1 MB ten times). This probe can
    be configured to alert by (1) the number of allocated extents (e.g.
    "go critical when the table has been extended 5 or more
    times"), or (2) the table is extended past a certain percentage of
    its max extents (e.g. "go critical when the table has exhausted 80%
    or more of its max extents").
   </p><p>
    The required <span class="guilabel">Table Owner</span> and <span class="guilabel">Table
    Name</span> fields contain a default value of
    <strong class="userinput"><code>%</code></strong> that matches any table owner or name.
   </p><div class="table"><a id="id469180"></a><p class="title"><b>Table C.60. Oracle::Table Extents settings</b></p><div class="table-contents"><table summary="Oracle::Table Extents settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Table Owner*</td><td>%</td></tr><tr><td>Table Name*</td><td>%</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Allocated Extents</td><td> </td></tr><tr><td>Warning Maximum Allocated Extents</td><td> </td></tr><tr><td>Critical Maximum Available Extents</td><td> </td></tr><tr><td>Warning Maximum Available Extents</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.14. Oracle::Tablespace Usage"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-table-usage"></a>C.9.14. Oracle::Tablespace Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-table-usage">¶</a></span></h3></div></div></div><a id="id386507" class="indexterm"></a><a id="id386518" class="indexterm"></a><p>
    The Oracle::Tablespace Usage probe monitors an Oracle database instance
    and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Available Space Used — The percentage of available space in each
      tablespace that has been used.
     </p></li></ul></div><p>
    Tablespace is the shared pool of space in which a set of tables live.
    This probe alerts the user when the total amount of available space
    falls below the threshold. Tablespace is measured in bytes, so extents
    do not factor into it directly (though each extension removes available
    space from the shared pool).
   </p><p>
    The required <span class="guilabel">Tablespace Name</span> field is case
    insensitive and contains a default value of <strong class="userinput"><code>%</code></strong>
    that matches any table name.
   </p><div class="table"><a id="id506355"></a><p class="title"><b>Table C.61. Oracle::Tablespace Usage settings</b></p><div class="table-contents"><table summary="Oracle::Tablespace Usage settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Oracle SID*</td><td> </td></tr><tr><td>Oracle Username*</td><td> </td></tr><tr><td>Oracle Password*</td><td> </td></tr><tr><td>Oracle Port*</td><td>1521</td></tr><tr><td>Tablespace Name*</td><td>%</td></tr><tr><td>Timeout*</td><td>30</td></tr><tr><td>Critical Maximum Available Space Used</td><td> </td></tr><tr><td>Warning Maximum Available Space Used</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.9.15. Oracle::TNS Ping"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-oracle-tns-ping"></a>C.9.15. Oracle::TNS Ping<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-oracle-tns-ping">¶</a></span></h3></div></div></div><a id="id506480" class="indexterm"></a><a id="id506490" class="indexterm"></a><p>
    The Oracle::TNS Ping probe determines if an Oracle listener is alive and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Remote Service Latency — The time it takes in seconds for the Oracle
      server to answer a connection request.
     </p></li></ul></div><div class="table"><a id="id329972"></a><p class="title"><b>Table C.62. Oracle::TNS Ping settings</b></p><div class="table-contents"><table summary="Oracle::TNS Ping settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>TNS Listener Port*</td><td>1521</td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum Remote Service
                    Latency</td><td> </td></tr><tr><td>Warning Maximum Remote Service Latency</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-network.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-sat.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.8. Network Services </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.10. SUSE Manager</td></tr></table></div></body></html>
