<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.3. BEA WebLogic 6.x and higher</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-apache.jsp" title="C.2. Apache 1.3.x and 2.0.x" /><link rel="next" href="s1-probes-general.jsp" title="C.4. General" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.3. BEA WebLogic 6.x and higher</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-apache.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-general.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.3. BEA WebLogic 6.x and higher"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-weblogic"></a>C.3. BEA WebLogic 6.x and higher<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-weblogic">¶</a></span></h2></div></div></div><a id="id418646" class="indexterm"></a><a id="id386791" class="indexterm"></a><p>
   The probes in this section (with the exception of JDBC Connection Pool)
   can be configured to monitor the properties of any BEA WebLogic 6.x and
   higher server (administration or managed) running on a given host, even
   in a clustered environment. Monitoring of a cluster is achieved by
   sending all SNMP queries to the administration server of the domain and
   then querying its Managed Servers for individual data.
  </p><p>
   In order to obtain this higher level of granularity, the <span class="guilabel">BEA
   Domain Admin Server</span> parameter must be used to differentiate
   between the administration server receiving SNMP queries and the Managed
   Server undergoing the specified probe. If the host to be probed is the
   Administration Server, then the <span class="guilabel">BEA Domain Admin
   Server</span> parameter can be left blank, and both the SNMP queries
   and the probe will be sent to it only.
  </p><p>
   If the host to be probed is a managed server, then the IP address of the
   administration server should be provided in the <span class="guilabel">BEA Domain
   Admin Server</span> parameter, and the managed server name should be
   included in the <span class="guilabel">BEA Server Name</span> parameter and
   appended to the end of the <span class="guilabel">SNMP Community String</span>
   field. This causes the SNMP queries to be sent to the administration
   server host, as is required, but redirects the specific probe to the
   managed server host.
  </p><p>
   It should also be noted that the community string needed for probes run
   against managed server hosts should be in the form of
   <strong class="userinput"><code>community_prefix@managed_server_name</code></strong> in order for
   the SNMP query to return results for the desired managed server. Finally,
   SNMP must be enabled on each monitored system. SNMP support can be
   enabled and configured through the WebLogic console.
  </p><p>
   Please see the documentation that came with your BEA server or
   information on the BEA website for more details about BEA's community
   string naming conventions:
   <a class="ulink" href="http://e-docs.bea.com/wls/docs70/snmpman/snmpagent.html" target="_top">http://e-docs.bea.com/wls/docs70/snmpman/snmpagent.html</a>
  </p><div class="section" title="C.3.1. BEA WebLogic::Execute Queue"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-weblogic-queue"></a>C.3.1. BEA WebLogic::Execute Queue<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-weblogic-queue">¶</a></span></h3></div></div></div><a id="id436138" class="indexterm"></a><a id="id436148" class="indexterm"></a><p>
    The BEA WebLogic::Execute queue probe monitors the WebLogic execute
    queue and provides the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Idle Execute Threads — The number of execution threads in an idle
      state.
     </p></li><li class="listitem"><p>
      Queue Length — The number of requests in the queue.
     </p></li><li class="listitem"><p>
      Request Rate — The number of requests per second.
     </p></li></ul></div><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id460880"></a><p class="title"><b>Table C.4. BEA WebLogic::Execute Queue settings</b></p><div class="table-contents"><table summary="BEA WebLogic::Execute Queue settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>1</td></tr><tr><td>BEA Domain Admin Server</td><td> </td></tr><tr><td>BEA Server Name*</td><td>myserver</td></tr><tr><td>Queue Name*</td><td>default</td></tr><tr><td>Critical Maximum Idle Execute Threads</td><td> </td></tr><tr><td>Warning Maximum Idle Execute Threads</td><td> </td></tr><tr><td>Critical Maximum Queue Length</td><td> </td></tr><tr><td>Warning Maximum Queue Length</td><td> </td></tr><tr><td>Critical Maximum Request Rate</td><td> </td></tr><tr><td>Warning Maximum Request Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.3.2. BEA WebLogic::Heap Free"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-weblogic-heap"></a>C.3.2. BEA WebLogic::Heap Free<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-weblogic-heap">¶</a></span></h3></div></div></div><a id="id367326" class="indexterm"></a><a id="id367336" class="indexterm"></a><p>
    The BEA WebLogic::Heap Free probe collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Heap Free — The percentage of free heap space.
     </p></li></ul></div><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id396173"></a><p class="title"><b>Table C.5. BEA WebLogic::Heap Free settings</b></p><div class="table-contents"><table summary="BEA WebLogic::Heap Free settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>1</td></tr><tr><td>BEA Domain Admin Server</td><td> </td></tr><tr><td>BEA Server Name*</td><td>myserver</td></tr><tr><td>Critical Maximum Heap Free</td><td> </td></tr><tr><td>Warning Maximum Heap Free</td><td> </td></tr><tr><td>Warning Minimum Heap Free</td><td> </td></tr><tr><td>Critical Minimum Heap Free</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.3.3. BEA WebLogic::JDBC Connection Pool"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-weblogic-jdbc"></a>C.3.3. BEA WebLogic::JDBC Connection Pool<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-weblogic-jdbc">¶</a></span></h3></div></div></div><a id="id505114" class="indexterm"></a><a id="id486194" class="indexterm"></a><p>
    The BEA WebLogic::JDBC Connection Pool probe monitors the Java Database
    Connection (JDBC) pool on a domain admin server only (no managed
    servers) and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Connections — The number of connections to the JDBC.
     </p></li><li class="listitem"><p>
      Connections Rate — The speed at which connections are made to the
      JDBC, measured in connections per second.
     </p></li><li class="listitem"><p>
      Waiters — The number of sessions waiting to connect to the JDBC.
     </p></li></ul></div><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id466682"></a><p class="title"><b>Table C.6. BEA WebLogic::JDBC Connection Pool settings</b></p><div class="table-contents"><table summary="BEA WebLogic::JDBC Connection Pool settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>1</td></tr><tr><td>BEA Domain Admin Server</td><td> </td></tr><tr><td>BEA Server Name*</td><td>myserver</td></tr><tr><td>JDBC Pool Name*</td><td>MyJDBC Connection Pool</td></tr><tr><td>Critical Maximum Connections</td><td> </td></tr><tr><td>Warning Maximum Connections</td><td> </td></tr><tr><td>Critical Maximum Connection Rate</td><td> </td></tr><tr><td>Warning Maximum Connection Rate</td><td> </td></tr><tr><td>Critical Maximum Waiters</td><td> </td></tr><tr><td>Warning Maximum Waiters</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.3.4. BEA WebLogic::Server State"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-weblogic-state"></a>C.3.4. BEA WebLogic::Server State<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-weblogic-state">¶</a></span></h3></div></div></div><a id="id377792" class="indexterm"></a><a id="id377803" class="indexterm"></a><p>
    The BEA WebLogic::Server state probe monitors the current state of a BEA
    Weblogic Web server. If the probe is unable to make a connection to the
    server, a CRITICAL status results.
   </p><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id377823"></a><p class="title"><b>Table C.7. BEA WebLogic::Server State settings</b></p><div class="table-contents"><table summary="BEA WebLogic::Server State settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>1</td></tr><tr><td>BEA Domain Admin Server</td><td> </td></tr><tr><td>BEA Server Name*</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.3.5. BEA WebLogic::Servlet"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-weblogic-servlet"></a>C.3.5. BEA WebLogic::Servlet<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-weblogic-servlet">¶</a></span></h3></div></div></div><a id="id489436" class="indexterm"></a><a id="id489447" class="indexterm"></a><p>
    The BEA WebLogic::Servlet probe monitors the performance of a particular
    servlet deployed on a WebLogic server and collects the following
    metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      High Execution Time — The highest amount of time in milliseconds
      that the servlet takes to execute since the system was started.
     </p></li><li class="listitem"><p>
      Low Execution Time — The lowest amount of time in milliseconds that
      the servlet takes to execute since the system was started.
     </p></li><li class="listitem"><p>
      Execution Time Moving Average — A moving average of the execution
      time.
     </p></li><li class="listitem"><p>
      Execution Time Average — A standard average of the execution time.
     </p></li><li class="listitem"><p>
      Reload Rate — The number of times the specified servlet is reloaded
      per minute.
     </p></li><li class="listitem"><p>
      Invocation Rate — The number of times the specified servlet is
      invoked per minute.
     </p></li></ul></div><p>
    This probe's transport protocol is User Datagram Protocol (UDP).
   </p><div class="table"><a id="id394828"></a><p class="title"><b>Table C.8. BEA WebLogic::Servlet settings</b></p><div class="table-contents"><table summary="BEA WebLogic::Servlet settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>SNMP Community String*</td><td>public</td></tr><tr><td>SNMP Port*</td><td>161</td></tr><tr><td>SNMP Version*</td><td>1</td></tr><tr><td>BEA Domain Admin Server</td><td> </td></tr><tr><td>BEA Server Name*</td><td>myserver</td></tr><tr><td>Servlet Name*</td><td> </td></tr><tr><td>Critical Maximum High Execution Time</td><td> </td></tr><tr><td>Warning Maximum High Execution Time</td><td> </td></tr><tr><td>Critical Maximum Execution Time Moving
                    Average</td><td> </td></tr><tr><td>Warning Maximum Execution Time Moving
                    Average</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-apache.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-general.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.2. Apache 1.3.x and 2.0.x </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.4. General</td></tr></table></div></body></html>
