<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>B.7. Sample API Script</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-rhn-api-access.jsp" title="Appendix B. SUSE Manager API Access" /><link rel="prev" href="s1-rhn-api-channel-labels.jsp" title="B.6. Channel Labels" /><link rel="next" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">B.7. Sample API Script</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-rhn-api-channel-labels.jsp">Prev</a> </td><th width="60%" align="center">Appendix B. SUSE Manager API Access</th><td width="20%" align="right"> <a accesskey="n" href="ap-probes-monitoring.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="B.7. Sample API Script"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-rhn-api-script"></a>B.7. Sample API Script<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-rhn-api-script">¶</a></span></h2></div></div></div><p>
   The following sample script depicts how to construct an SUSE Manager API
   client. Review the comments and links for a full discussion of the calls
   made.
  </p><pre class="screen">#!/usr/bin/perl -w

use strict;
use Frontier::Client;
use Data::Dumper;

############################################################################
# This is a sample script for use of the experimental Management APIs.     #
# The API is currently available using XMLRPC only, which is described in  #
# depth at:                                                                #
#                                                                          #
# http://www.xmlrpc.com/                                                   #
#                                                                          #
# We use the Frontier modules, available from:                             #
#                                                                          #
# http://theoryx5.uwinnipeg.ca/mod_perl/cpan-search?dist=Frontier-RPC      #
#                                                                          #
############################################################################


############################################################################
#   Defining an XMLRPC session.                                            #
############################################################################

# Define the host first.  This will be the FQDN of your SUSE Manager system.
my $HOST = '.yourdomain.com';

# Now we create the client object that will be used throughout the session.

my $client = new Frontier::Client(url =&gt; "http://$HOST/rpc/api");

# Next, we execute a login call, which returns a session identifier that will
# be passed in all subsequent calls.  The syntax of this call is described at:
#
#   http://$HOST/rpc/api/auth/login/

my $session = $client-&gt;call('auth.login', 'username', 'password');

############################################################################
#   System calls.                                                          #
############################################################################

# This next call returns a list of systems available to the user.  The 
# syntax of this call is described at:
#
#   http://$HOST/rpc/api/system/list_user_systems/
#
# In the code snippet below, we dump data about our systems, and we 
# capture the ID of the first system we find for future operations.

my $systems = $client-&gt;call('system.list_user_systems', $session);
for my $system (@$systems) {
  print Dumper($system);
}
print "\n\nCapturing ID of system @$systems[0]-&gt;{name}\n\n";
my $systemid = @$systems[0]-&gt;{id};

# This next call returns a list of packages present on this system.  The
# syntax of this call is described at:
#
#   http://$HOST/rpc/api/system/list_packages/
#
# This will probably be a pretty long list.

my $packages = $client-&gt;call('system.list_packages', $session, $systemid);
for my $package (@$packages) {
  print Dumper($package);
}

# Additional system calls are described at:
#   http://$HOST/rpc/api/system/</pre></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-rhn-api-channel-labels.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-rhn-api-access.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ap-probes-monitoring.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">B.6. Channel Labels </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Appendix C. Probes</td></tr></table></div></body></html>
