<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.6. Organizational Trusts</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /><link rel="prev" href="s1-multiorg-systems.jsp" title="5.5. Configuring Systems in an Organization" /><link rel="next" href="s1-sattools-orgs-users.jsp" title="5.7. Admin+Users" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.6. Organizational Trusts</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-multiorg-systems.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Multiple Organizations</th><td width="20%" align="right"> <a accesskey="n" href="s1-sattools-orgs-users.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.6. Organizational Trusts"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sattools-orgs-trust"></a>5.6. Organizational Trusts<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sattools-orgs-trust">¶</a></span></h2></div></div></div><p>
   Organizations can share their resources with each other by establishing
   an <em class="firstterm">organizational trust</em> in SUSE Manager. An
   organizational trust is bi-directional, meaning that once a SUSE Manager
   administrator establishes a trust between two or more organizations, the
   organization administrator from each organization is free to share as
   much or as little of their resources as they need to. It is up to each
   organization administrator to determine what resources to share, and what
   shared resources from other organizations in the trust to use.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    Only organization administrators are able to share their custom content;
    SUSE Manager administrators only allocate system and software entitlements
    to each organization.
   </p></div><div class="section" title="5.6.1. Establishing an Organizational Trust"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-orgs-trusts-establish"></a>5.6.1. Establishing an Organizational Trust<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-orgs-trusts-establish">¶</a></span></h3></div></div></div><p>
    A SUSE Manager administrator can create a trust between two or more
    organizations. To do this, click the <span class="guilabel">Organizations</span>
    link on the side menu on the <span class="guilabel">Admin</span> main page.
   </p><p>
    Click the name of one of the organizations and within the
    <span class="guilabel">Details</span> page, click the <span class="guilabel">Trusts</span>
    subtab.
   </p><p>
    On the <span class="guilabel">Trusts</span> subtab, there is a listing of all the
    other trusts on SUSE Manager. Here you may use the <span class="guilabel">Filter by
    Organization</span> text box to narrow down a long list of
    organizations to a specific subset.
   </p><div class="figure"><a id="id375444"></a><p class="title"><b>Figure 5.5. Organizational Trusts</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/org-trusts2.png" width="444" alt="Organizational Trusts" /></td></tr></table></div></div></div><br class="figure-break" /><p>
    Click the checkbox next to the names of the organizations you want to be
    in the organizational trust with the current organization and click the
    <span class="guibutton">Modify Trusts</span> button.
   </p></div><div class="section" title="5.6.2. Sharing Content Channels between Organizations in a Trust"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-orgs-trusts-share"></a>5.6.2. Sharing Content Channels between Organizations in a Trust<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-orgs-trusts-share">¶</a></span></h3></div></div></div><p>
    Once an organizational trust has been established, organizations can now
    share content such as custom software channels with the other
    organizations in the trust. There are also three levels of channel
    sharing that can be applied to each channel for finer-grained channel
    access control.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     Organizations cannot share Novell channels because they are available
     to all organizations that have entitlements to those channels.
    </p></div><p>
    To share a custom channel with another organization, perform the
    following steps:
   </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
      Login to SUSE Manager with the username of the organization
      administrator.
     </p></li><li class="step" title="Step 2"><p>
      Click on the <span class="guilabel">Channels</span> tab.
     </p></li><li class="step" title="Step 3"><p>
      On the side menu, click <span class="guilabel">Manage Software Channels</span>.
     </p></li><li class="step" title="Step 4"><p>
      Click the custom channel that you want to share with the other
      organizations.
     </p></li><li class="step" title="Step 5"><p>
      From the <span class="guilabel">Channel Access Control</span> section of the
      <span class="guilabel">Details</span> page, there are three choices for sharing
      in <span class="guilabel">Organizational Sharing</span>.
     </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
        <span class="guilabel">Private</span> — Make the channel private so that it
        cannot be accessed by any organizations except the channel's owner.
       </p></li><li class="listitem"><p>
        <span class="guilabel">Protected</span> — Allow the channel to be accessed
        by specific trusted organizations of your choice.
       </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
         Choosing <span class="guilabel">Protected</span> sharing displays a separate
         page that prompts you to confirm that you are granting channel
         access to the organizations by clicking <span class="guibutton">Grant Access and
         Confirm</span>.
        </p></div></li><li class="listitem"><p>
        <span class="guilabel">Public</span> — Allow all organizations within the
        trust to access the custom channel.
       </p></li></ul></div><p>
      Click the radio button next to your selection and click
      <span class="guibutton">Update Channel</span>.
     </p></li></ol></div><p>
    Now, any other organization administrators within the trust for which
    you have granted access to your custom channel can allow their client
    systems to install and update packages from the shared channel.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     If you have a system subscribed to a shared channel, and the
     organizational administrator of the shared channel changes access
     rights to the channel, then the system loses that channel. If he
     changes a base channel right, then the system will have no base channel
     on the <span class="guilabel">Systems</span> page and will not receive updates.
    </p></div></div><div class="section" title="5.6.3. Migrating Systems from One Trusted Organization to Another"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-orgs-trusts-migrate"></a>5.6.3. Migrating Systems from One Trusted Organization to Another<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-orgs-trusts-migrate">¶</a></span></h3></div></div></div><p>
    In addition to sharing software channels, organizations in a trust can
    migrate systems to other trusted organizations by using a utility called
    <span class="command"><strong>migrate-system-profile</strong></span>.
   </p><p>
    <span class="command"><strong>migrate-system-profile</strong></span> usage is based on the
    command-line, and uses systemIDs and orgIDs as arguments to specify what
    what is being moved and its destination organization.
   </p><p>
    To use the <span class="command"><strong>migrate-system-profile</strong></span> command, you must
    have the <code class="filename">spacewalk-utils</code> package installed. You do
    not need to be logged into the SUSE Manager server to use
    <span class="command"><strong>migrate-system-profile</strong></span>; however, if you do not you
    will need specify the hostname or IP address of the server as a
    command-line switch.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     When an organization migrates a system with the
     <span class="command"><strong>migrate-system-profile</strong></span> command, the system does not
     carry any of the previous entitlements or channel subscriptions from
     the source organization. However, the system's history is preserved,
     and can be accessed by the new Organization Administrator in order to
     simplify the rest of the migration process, which includes subscribing
     to a base channels and granting entitlements.
    </p></div><div class="section" title="5.6.3.1. Using migrate-system-profile"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-orgs-trusts-migrate-example"></a>5.6.3.1. Using migrate-system-profile<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-orgs-trusts-migrate-example">¶</a></span></h4></div></div></div><p>
     Using <span class="command"><strong>migrate-system-profile</strong></span> is straightforward. You
     need to ascertain the ID of the system to be migrated, the ID of the
     organization the system will migrate to, and the hostname or IP address
     of the SUSE Manager server if you are running the command from another
     machine.
    </p><p>
     The usage from the command line is the following:
    </p><pre class="screen">migrate-system-profile --satellite <em class="replaceable"><code>{SUSE Manager HOSTNAME OR IP}</code></em> --systemId=<em class="replaceable"><code>{SYSTEM ID}</code></em> --to-org-id=<em class="replaceable"><code>{DESTINATION ORGANIZATION ID}</code></em></pre><p>
     For example, if the Finance department (created as an organization in
     SUSE Manager with OrgID 2) wants to migrate a workstation (with SystemID
     10001020) from the Engineering department, but the Finance Organization
     Administrator does not have shell access to the SUSE Manager server. The
     SUSE Manager hostname is <span class="guilabel">satserver.example.com</span>.
    </p><p>
     The finance organization administrator would type the following from a
     shell prompt:
    </p><pre class="screen">migrate-system-profile --satellite satserver.example.com --systemId=10001020 --to-org-id=2</pre><p>
     The finance organization administrator is then prompted for their
     username and password (unless they specified it using
     <code class="option">--username=</code> and <code class="option">--password=</code> at the
     command-line).
    </p><p>
     The finance organization administrator would then be able to see the
     system from the <span class="guilabel">Systems</span> page when logged into the
     SUSE Manager web interface. The finance organization administrator can
     then finish the migration process by assigning a base channel and
     granting entitlements to the client as he would any other system
     registered with his organization, which is avaiable from the system's
     <span class="guilabel">History</span> page in the <span class="guilabel">Events</span>
     subtab.
    </p><div class="figure"><a id="id487539"></a><p class="title"><b>Figure 5.6. System History</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/migrate-history.png" width="444" alt="System History" /></td></tr></table></div></div></div><br class="figure-break" /><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
      The SUSE Manager administrator can migrate a system from one trusted
      organization to any other in the trust. However, organization
      administrators can only migrate a system from their own organization
      to another in the trust.
     </p></div><p>
     SUSE Manager administrators that need to migrate several systems at once
     can use the <code class="option">--csv</code> option of
     <span class="command"><strong>migrate-system-profile</strong></span> to automate the process using
     a simple comma-separated list of systems to migrate.
    </p><p>
     A line in the CSV file should contain the ID of the system to be
     migrated as well as destination organization's ID in the following
     format:
    </p><pre class="screen">systemId,to-org-id</pre><p>
     the <code class="option">systemId</code>, for example could be
     <strong class="userinput"><code>1000010000</code></strong>, while the <code class="option">to-org-id</code>
     could be <strong class="userinput"><code>4</code></strong>. So, a compatible CSV could look like
     the following:
    </p><pre class="screen">1000010000,3
1000010020,1
1000010010,4</pre><p>
     For more information about using
     <span class="command"><strong>migrate-system-profile</strong></span> refer to the manual page by
     typing <span class="command"><strong>man migrate-system-profile</strong></span> or for a basic
     help screen type <span class="command"><strong>migrate-system-profile -h</strong></span>.
    </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-multiorg-systems.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-multiorg.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sattools-orgs-users.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.5. Configuring Systems in an Organization </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.7. <span class="guilabel">Admin</span>+<span class="guilabel">Users</span></td></tr></table></div></body></html>
