<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.7. Configuration</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-channels-packages.jsp" title="3.6. Channels" /><link rel="next" href="s1-sm-actions.jsp" title="3.8. Schedule" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.7. Configuration</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-channels-packages.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-actions.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.7. Configuration" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-configuration"></a>3.7. Configuration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-configuration">¶</a></span></h2></div></div></div><a id="id483657" class="indexterm"></a><a id="id340643" class="indexterm"></a><a id="id340654" class="indexterm"></a><p>
  This tab is the portal to managing your configuration channels and files,
  whether they are centrally managed or limited to a single system. You must
  be a Configuration Administrator or a SUSE Manager Administrator to see the
  <span class="guilabel">Configuration</span> tab. In addition, you must have at
  least one Provisioning entitlement, or the tab does not appear.
 </p><p>
  Central and local configuration management are discussed in this chapter.
  Centrally-managed files are available to multiple systems;
  changes to a single file in a central configuration channel can affect
  many systems. Each system with a Provisioning entitlement also has a local
  configuration channel (also referred to as an override channel) and a sandbox
  channel. 
 </p><div class="section" title="3.7.1. Preparing Systems for Config Management"><div class="titlepage"><div><div><h3 class="title"><a id="configuration-enable"></a>3.7.1. Preparing Systems for Config Management<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#configuration-enable">¶</a></span></h3></div></div></div><a id="id355270" class="indexterm"></a><p>
   
   For a system to have its configuration managed through SUSE Manager, it must
   have the appropriate tools and the <code class="filename">config-enable</code> file
   installed. These tools may already be installed on your system,
   especially if you installed the system with configuration management
   functionality using AutoYaST or Kickstart. If not, they can be found within
   the


   Tools child channel for your distribution. Download and install the
   latest <code class="filename">rhncfg*</code> packages. They are:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <code class="filename">rhncfg</code> — The base libraries and functions needed
     by all <code class="filename">rhncfg-*</code> packages.
    </p></li><li class="listitem"><p>
     <code class="filename">rhncfg-actions</code> — The RPM package required to run
     configuration actions scheduled via SUSE Manager.
    </p></li><li class="listitem"><p>
     
     <span class="command"><strong>rhncfg-client</strong></span> — A command line interface to the
     client features of the

     Configuration Management system.
    </p></li><li class="listitem"><p>
     <span class="command"><strong>rhncfg-management</strong></span> — A command line interface
     used to manage SUSE Manager configuration.
    </p></li></ul></div><p>
   Next, you must enable your system to schedule configuration actions. This
   is done using the <span class="command"><strong>mgr-actions-control</strong></span> command on the
   client system. This command is included in the
   <code class="filename">rhncfg-actions</code> RPM. The Actions Control
   (<span class="command"><strong>mgr-actions-control</strong></span>) enables or disables specific
   modes of allowable actions. Refer to
   <a class="xref" href="ap-cli-config-tools.jsp#s1-cli-actions-control" title="A.1. Actions Control">Section A.1, “Actions Control”</a> for instructions.
  </p></div><div class="section" title="3.7.2. Overview"><div class="titlepage"><div><div><h3 class="title"><a id="configuration-overview"></a>3.7.2. Overview<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#configuration-overview">¶</a></span></h3></div></div></div><p>
   The <span class="guilabel">Configuration Overview</span> page allows you to assess
   at a glance the status of your configuration files and the systems that
   use them.
  </p><div class="variablelist"><dl><dt><span class="term">Configuration Summary</span></dt><dd><p>
      This panel provides quick reference information about your
      configuration files. Clicking on any of the blue texts to the right
      displays an appropriate list of either relevant systems, channel
      details, or configuration files.
     </p></dd><dt><span class="term">Configuration Actions</span></dt><dd><p>
      This panel offers direct access to the most common configuration
      management tasks. You can view or create files or channels, or enable
      configuration management on your systems.
     </p></dd><dt><span class="term">Recently Modified Configuration Files</span></dt><dd><p>
      The list displayed here indicates which files have changed, to which
      channel they belong, and when they were changed. If no files have been
      recently changed, no list appears. Click on the name of the file to be
      taken to that file's <span class="guilabel">Details</span> page. Click on the
      channel name to be taken to the <span class="guilabel">Channel Details</span>
      page for that channel.
     </p></dd><dt><span class="term">Recently Scheduled Configuration Deployments</span></dt><dd><p>
      Each action that has been scheduled is listed here along with the
      status of the action. Any configuration task that is scheduled, from
      enabling configuration management on a system to deploying a specific
      configuration file, is displayed here. This allows you to quickly
      assess if your tasks have succeeded, and to take action to correct any
      issues. Clicking on any blue text displays the
      <span class="guilabel">System
      Details</span>+<span class="guilabel">Schedule</span> page for
      the specified system.
     </p></dd></dl></div></div><div class="section" title="3.7.3. Configuration Channels"><div class="titlepage"><div><div><h3 class="title"><a id="configuration-channels"></a>3.7.3. Configuration Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#configuration-channels">¶</a></span></h3></div></div></div><a id="id337804" class="indexterm"></a><a id="id488002" class="indexterm"></a><a id="id488012" class="indexterm"></a><p>
   As mentioned above, SUSE Manager manages both central and local
   configuration channels and files. Central configuration management allows
   you to deploy configuration files to multiple systems. Local
   configuration management allows you to specify overrides, or
   configuration files that are not changed by subscribing the system to a
   central channel.
  </p><p>
   Central configuration channels must be created via the link on this page.
   Local configuration channels are not created here; they automatically
   exist for each system to which a Provisioning entitlement has been
   applied.
  </p><p>
   Click on the name of the configuration channel to be taken to the details
   page for that channel. If you click on the number of files in the
   channel, you are taken to the <span class="guilabel">List/Remove Files</span> page
   of that channel. If you click on the number of systems subscribed to the
   configuration channel, you are taken to the
   <span class="guilabel">Systems</span>+<span class="guilabel">Subscribed
   Systems</span> page for that channel.
  </p><p>
   To create a new central configuration channel:
  </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
     Click the <span class="guilabel">create new config channel</span> link in the
     upper right of this screen.
    </p></li><li class="listitem"><p>
     Enter a name for the channel.
    </p></li><li class="listitem"><p>
     Enter a label for the channel. This field must contain only
     alphanumeric characters, "-", "_", and
     "."
    </p></li><li class="listitem"><p>
     Enter a description for the channel. You must enter a description,
     though there is no character restriction. This field can contain any
     brief information that allows you to distinguish this channel from
     others.
    </p></li><li class="listitem"><p>
     Press the <span class="guibutton">Create Config Channel</span> button to create
     the new channel.
    </p></li><li class="listitem"><p>
     The following page is a subset of the <span class="guilabel">Channel
     Details</span> page, and has three subtabs:
     <span class="guilabel">Overview</span>, <span class="guilabel">Add Files</span>, and
     <span class="guilabel">Systems</span>. The <span class="guilabel">Channel Details</span> page is discussed
     fully in <a class="xref" href="s1-sm-configuration.jsp#config-config-channels-channel-details" title="3.7.3.1. Configuration+Configuration Channels+Configuration Channel Details">Section 3.7.3.1, “<span class="guimenu">Configuration</span>+<span class="guimenu">Configuration Channels</span>+<span class="guimenu">Configuration Channel Details</span>”</a>.
    </p></li></ol></div><div class="section" title="3.7.3.1. Configuration+Configuration Channels+Configuration Channel Details"><div class="titlepage"><div><div><h4 class="title"><a id="config-config-channels-channel-details"></a>3.7.3.1. <span class="guimenu">Configuration</span>+<span class="guimenu">Configuration Channels</span>+<span class="guimenu">Configuration Channel Details</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#config-config-channels-channel-details">¶</a></span></h4></div></div></div><div class="variablelist"><dl><dt><span class="term">Overview</span></dt><dd><p>
       This subtab is very similar to the <span class="guilabel">Configuration
       Overview</span> page. The <span class="guilabel">Channel
       Information</span> panel provides status information for the
       contents of the channel. The <span class="guilabel">Configuration
       Actions</span> panel provides access to the most common
       configuration tasks. The main difference is the <span class="guilabel">Channel
       Properties</span> panel. By clicking on the <span class="guilabel">Edit
       Properties</span> link, you can edit the name, label, and
       description of the channel.
      </p></dd><dt><span class="term">List/Remove Files</span></dt><dd><p>
       This tab, which only appears if there are files in the configuration
       channel, lists the files that this configuration channel contains.
       You can remove a file or files, or copy the latest version into a set
       of local overrides or into other central configuration channels.
       Check the box next to any files you wish to manipulate and click the
       button corresponding to the desired action at the bottom of the
       screen.
      </p></dd><dt><span class="term">Add Files</span></dt><dd><p>
       The <span class="guilabel">Add Files</span> subtab has three subtabs of its
       own, which allow you to <span class="guilabel">Upload</span>,
       <span class="guilabel">Import</span>, or <span class="guilabel">Create</span>
       configuration files to be included in the channel.
      </p><div class="variablelist"><dl><dt><span class="term">Upload File</span></dt><dd><p>
          To upload a file into the configuration channel, browse for the
          file on your local system, populate all fields, and click the
          <span class="guibutton">Upload Configuration File</span> button. The
          <span class="guilabel">Filename/Path</span> field is the absolute path
          where the file will be deployed.
         </p><p>
          You can also indicate the <span class="guilabel">Ownership</span> (the
          <span class="guilabel">user name</span> and <span class="guilabel">group
          name</span>) as well as the <span class="guilabel">Permissions</span>
          of the file when it is deployed.
         </p><p>

          If the client has SELinux enabled, you can configure
          <span class="guilabel">SELinux contexts</span> to enable the required file
          attributes (such as user, role, and file type) that allow it to be
          used on the system.

         </p><p>
          Finally, if the configuration file includes a macro, enter the
          symbol that marks the beginning and end of the macro.
         </p></dd><dt><span class="term">Import Files</span></dt><dd><p>
          From this page you can import files from other configuration
          channels, including any locally-managed channels. Check the box to
          the left of any file you wish to import and press the
          <span class="guibutton">Import Configuration File(s)</span> button.
         </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
           A sandbox icon indicates that the listed file is currently
           located in a local sandbox channel. Files in a system's sandbox
           channel are considered experimental and could be unstable. Use
           caution when selecting them for a central configuration channel.
          </p></div></dd><dt><span class="term">Create File</span></dt><dd><p>
          From this page you can create a configuration file, directory, or
          symbolic link from scratch to be included in the configuration
          channel.
         </p><p>
          First, choose whether you want to create a text file, directory,
          or symbolic link (symlink) in the <span class="guilabel">File
          Type</span> section. Indicate the absolute path along which
          the file should be deployed in the
          <code class="filename">Filename/Path</code> text box. If you are creating a
          symlink, indicate the target file and path in the
          <span class="guilabel">Symbolic Link Target Filename/Path</span> text box.
         </p><p>
          Enter the <span class="guilabel">User name</span> and <span class="guilabel">Group
          name</span> for the file in the <span class="guilabel">Ownership</span>
          section, as well as the <span class="guilabel">File Permissions Mode</span>
          for the file.
         </p><p>

          If the client has SELinux enabled, you can configure
          <span class="guilabel">SELinux contexts</span> to enable the required file
          attributes (such as user, role, and file type) that allow it to be
          used on the system.

         </p><p>
          If the configuration file includes a macro, enter the symbol that
          marks the beginning and end of the macro. Then, enter the
          configuration file content in the <span class="guilabel">File
          Contents</span> field, using the script dropdown menu to
          choose the appropriate scripting language. Finally, press the
          <span class="guibutton">Create Configuration File</span> button to create
          the new file.
         </p></dd></dl></div></dd><dt><span class="term">Deploy Files</span></dt><dd><p>
       This subtab only appears when there are files present in the channel.
       You can deploy all files by pressing the <span class="guibutton">Deploy All
       Files</span> button, or you can check selected files and press
       the <span class="guibutton">Deploy Selected Files</span> button. You will
       then be asked to select to which systems the file(s) should be
       applied. The listed systems are those that are subscribed to this
       channel. If you wish to apply the file to a system not listed here,
       first subscribe that system to the channel. When ready, press the
       <span class="guibutton">Confirm and Deploy to Selected Systems</span> button
       to deploy the files.
      </p></dd><dt><span class="term">Systems</span></dt><dd><p>
       This tab, which consists of two subtabs, allows you to manage the
       systems that are subscribed to the configuration channel.
      </p><div class="variablelist"><dl><dt><span class="term">Subscribed Systems</span></dt><dd><p>
          This subtab displays a list of all systems that are subscribed to
          the current channel. Clicking on the name of the system takes you
          to the <span class="guilabel">System Details</span> page for that system.
         </p></dd><dt><span class="term">Target Systems</span></dt><dd><p>
          This subtab displays a list of systems that have been enabled for
          configuration management and that are not yet subscribed to the
          channel. To add a system to the configuration channel, check the
          box to the left of the system's name and press the
          <span class="guibutton">Subscribe System</span> button.
         </p></dd></dl></div></dd></dl></div></div></div><div class="section" title="3.7.4. Configuration Files"><div class="titlepage"><div><div><h3 class="title"><a id="configuration-files"></a>3.7.4. Configuration Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#configuration-files">¶</a></span></h3></div></div></div><p>
   This tab allows you to manage your configuration files independently.
   Both centrally-managed and locally-managed files can be reached from
   subtabs.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    
    By default, the maximum file size for configuration files is 128KB. If
    you need to change that value, find and modify the following line in the
    <code class="filename">/etc/rhn/default/rhn_web.conf</code> file:
   </p><pre class="screen">web.maximum_config_file_size=128</pre><p>
    You must also find and change the following line in the
    <code class="filename">/etc/rhn/default/rhn_server.conf</code> file to the same
    value:
   </p><pre class="screen">maximum_config_file_size=131072</pre><p>
    Change the value in both files from <strong class="userinput"><code>131072</code></strong> to the
    desired value in bytes.
   </p></div><div class="section" title="3.7.4.1. Centrally-Managed Files"><div class="titlepage"><div><div><h4 class="title"><a id="configuration-files-central"></a>3.7.4.1. Centrally-Managed Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#configuration-files-central">¶</a></span></h4></div></div></div><p>
    Centrally-managed files are those that are available to multiple
    systems. Changing a file within a centrally-managed channel may result
    in changes to several systems.
   </p><p>
    This page lists all files that are currently stored in your central
    configuration channels. Click on the <span class="guilabel">Path</span> of a file
    to be taken to the <span class="guilabel">Configuration File Details</span> page
    for that file. Select the name of the configuration channel to be taken
    to the <span class="guilabel">Channel Details</span> page of the channel that
    contains the file. Clicking on the number of systems takes you to a
    listing of systems currently subscribed to the channel containing that
    file. Finally, clicking on the number of overriding systems displays a
    list of systems that have a local (or override) version of the
    configuration files (which means that the centrally-managed file will
    not be deployed to those systems).
   </p></div></div><div class="section" title="3.7.5. Locally-Managed Files"><div class="titlepage"><div><div><h3 class="title"><a id="configuration-files-local"></a>3.7.5. Locally-Managed Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#configuration-files-local">¶</a></span></h3></div></div></div><p>
   Locally-managed configuration files are those files that apply to only
   one system. They may be files in the system's sandbox or they may be
   files that can be deployed to the system at any time. Local files have
   higher priority than centrally-managed files - that is, if a system is
   subscribed to a configuration channel with a given file, and also has a
   locally-managed version of that same file, the locally-managed version is
   the one that will be deployed.
  </p><p>
   This page lists all of the local (override) configuration files for your
   systems. This includes the local configuration channels and the sandbox
   channel for each Provisioning-entitled system.
  </p><p>
   Click the <span class="guilabel">Path</span> of the file to go to the
   <span class="guilabel">Config File Details</span> page for the file. Click the
   name of the system to which it belongs to go to the
   <span class="guilabel">System Details</span>+<span class="guilabel">Configuration</span>+<span class="guilabel">Configuration</span>+<span class="guilabel">Overview</span>
   page for the system.
  </p><div class="section" title="3.7.5.1. Including Macros in your Configuration Files"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-file-macros"></a>3.7.5.1. Including Macros in your Configuration Files<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-file-macros">¶</a></span></h4></div></div></div><a id="id400864" class="indexterm"></a><a id="id400875" class="indexterm"></a><p>
    Being able to store and share identical configurations is useful, but
    what if you have many variations of the same configuration file? What do
    you do if you have configuration files that differ only in
    system-specific details, such as hostname and MAC address?
   </p><p>
    In traditional file management, you would be required to upload and
    distribute each file separately, even if the distinction is nominal and
    the number of variations is in the hundreds or thousands. SUSE Manager
    addresses this by allowing the inclusion of macros, or variables, within
    the configuration files it manages for Provisioning-entitled systems. In
    addition to variables for custom system information, the following
    standard macros are supported:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      rhn.system.sid
     </p></li><li class="listitem"><p>
      rhn.system.profile_name
     </p></li><li class="listitem"><p>
      rhn.system.description
     </p></li><li class="listitem"><p>
      rhn.system.hostname
     </p></li><li class="listitem"><p>
      rhn.system.ip_address
     </p></li><li class="listitem"><p>
      rhn.system.custom_info(key_name)
     </p></li><li class="listitem"><p>
      rhn.system.net_interface.ip_address(eth_device)
     </p></li><li class="listitem"><p>
      rhn.system.net_interface.netmask(eth_device)
     </p></li><li class="listitem"><p>
      rhn.system.net_interface.broadcast(eth_device)
     </p></li><li class="listitem"><p>
      rhn.system.net_interface.hardware_address(eth_device)
     </p></li><li class="listitem"><p>
      rhn.system.net_interface.driver_module(eth_device)
     </p></li></ul></div><p>
    To use this powerful feature, either upload or create a configuration
    file through the <span class="guilabel">Configuration Channel Details</span>
    page. Then, open its <span class="guilabel">Configuration File Details</span>
    page and include the supported macros of your choosing. Ensure that the
    delimiters used to offset your variables match those set in the
    <span class="guilabel">Macro Start Delimiter</span> and <span class="guilabel">Macro End
    Delimiter</span> fields and do not conflict with other characters in
    the file. We recommend that the delimiters be two characters in length
    and must not contain the percent (%) symbol.
   </p><p>
    As an example, you may have a file applicable to all of your servers
    that differs only in IP address and hostname. Rather than manage a
    separate configuration file for each server, you may create a single
    file, such as <code class="filename">server.conf</code>, with the IP address and
    hostname macros included, like so:
   </p><pre class="screen">hostname={| rhn.system.hostname |}
ip_address={| rhn.system.net_interface.ip_address(eth0) |}</pre><p>
    
    Upon delivery of the file to individual systems, whether through a
    scheduled action in the SUSE Manager website or at the command line with
    the <span class="application">SUSE Manager Configuration Client</span>
    (<span class="command"><strong>mgrcfg-client</strong></span>), the variables will be replaced with
    the hostname and IP address of the system, as recorded in SUSE Manager's
    System Profile. In the above configuration file, for example, the
    deployed version resembles the following:
   </p><pre class="screen">hostname=test.example.domain.com
ip_address=177.18.54.7</pre><p>
    To capture custom system information, insert the key label into the
    custom information macro (rhn.system.custom_info). For instance, if you
    developed a key labeled "asset" you can add it to the custom
    information macro in a configuration file to have the value substituted
    on any system containing it. The macro would look like this:
   </p><pre class="screen">asset={@ rhn.system.custom_info(asset) @}</pre><p>
    Upon deployment of the file to a system containing a value for that key,
    the macro gets translated, resulting in a string similar to the
    following:
   </p><pre class="screen">asset=Example#456</pre><p>
    To include a default value, for instance if one is required to prevent
    errors, you can append it to the custom information macro, like so:
   </p><pre class="screen">asset={@ rhn.system.custom_info(asset) = 'Asset #' @}</pre><p>
    This default is overridden by the value on any system containing it.
   </p><p>
    Using the <span class="application">SUSE Manager Configuration Manager</span>
    (<span class="command"><strong>mgrcfg-manager</strong></span>) will not translate or alter files,
    as that tool is system agnostic— <span class="command"><strong>mgrcfg-manager</strong></span>
    does not depend on system settings. Binary files cannot be interpolated.
   </p></div></div><div class="section" title="3.7.6. Systems"><div class="titlepage"><div><div><h3 class="title"><a id="config-systems"></a>3.7.6. Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#config-systems">¶</a></span></h3></div></div></div><p>
   This page displays status information about your system in relation to
   configuration. There are two subtabs: <span class="guilabel">Managed
   Systems</span> and <span class="guilabel">Target Systems</span>.
  </p><div class="section" title="3.7.6.1. Managed Systems"><div class="titlepage"><div><div><h4 class="title"><a id="config-systems-managed"></a>3.7.6.1. Managed Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#config-systems-managed">¶</a></span></h4></div></div></div><p>
    This page is the default display for the
    <span class="guilabel">Configuration</span>+<span class="guilabel">Systems</span>
    page. The systems displayed here have been fully prepared for
    configuration file deployment. The number of local and centrally-managed
    files is displayed. Clicking the name of the system takes you to the
    <span class="guilabel">System Details</span>+<span class="guilabel">Configuration</span>+<span class="guilabel">Overview</span> page for the system. Clicking on the number of local files
    takes you to the <span class="guilabel">System Details</span>+<span class="guilabel">Configuration</span>+<span class="guilabel">View/Modify
    Files</span>+<span class="guilabel">Locally-Managed Files</span> page, which allows you to manage which local (override)
    files apply to the system. Clicking on the number of centrally-managed
    files takes you to the <span class="guilabel">System Details</span>+<span class="guilabel">Configuration</span>+<span class="guilabel">Manage Configuration
    Channels</span>+<span class="guilabel">List/Unsubscribe from Channels</span> page. This allows you to unsubscribe from any channels you
    wish.
   </p></div><div class="section" title="3.7.6.2. Target Systems"><div class="titlepage"><div><div><h4 class="title"><a id="config-systems-target"></a>3.7.6.2. Target Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#config-systems-target">¶</a></span></h4></div></div></div><p>
    This page displays the systems that are either not prepared for
    configuration file deployment or have not yet been subscribed to a
    configuration channel. The table has three columns which identify the
    system name, whether they are prepared for configuration file
    deployment, and a list of the steps that have yet to be completed before
    the system is prepared. By selecting the check box to the left of the
    profile name and then pressing the <span class="guibutton">Enable SUSE Manager
    Configuration Management</span> button, all of the preparatory
    steps that can be automatically performed are scheduled by SUSE Manager.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     You will have to perform a few manual steps to enable configuration file
     deployment, follow the on-screen instructions that are provided
     to assist with this step.
    </p></div></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-channels-packages.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-actions.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.6. Channels </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.8. Schedule</td></tr></table></div></body></html>
